require 5.009005;

# TO THE (POTENTIAL) READER:

# At this point it's my suggestion that
# reading the code and documentation below will serve no purpose.
# This is a developer-only version,
# not useful except for my own testing.
# What applies to the code applies also to the documentation
# -- it's an early draft.  In particular, the draft
# acknowledgments might be incomplete or just plain inaccurate.

# The above is simply a humble and non-binding personal request.
# Where there seems to be a conflict between the above suggestion
# and the standard Perl license, the standard Perl license
# prevails.

# thanks, Jeffrey Kegler

use feature ":5.10";
use warnings;
use strict;

# It's all integers, except for the version number
use integer;

# package for various lexing utilities
package Parse::Marpa::Internal::Source;


use English;
{
    local($RS) = undef;
    $Parse::Marpa::Internal::compiled_source_grammar = \(<DATA>);
}

1;    # End of Parse::Marpa

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 100
# End:
# vim: expandtab shiftwidth=4:
__DATA__
$grammar = bless( [
  0,
  'Parse::Marpa::G_1',
  [
    [
      0,
      'rule 0',
      [
        0,
        'grammar',
        [
          [],
          [
            1,
            'rule 1',
            [],
            [
              [
                1,
                'paragraphs',
                [
                  [
                    2,
                    'rule 2',
                    [],
                    [
                      [
                        5,
                        'paragraph[Seq][1-*][Sep][empty-line]',
                        [
                          [
                            4,
                            'rule 4',
                            [],
                            [
                              [
                                3,
                                'paragraph',
                                [
                                  [
                                    6,
                                    'rule 6',
                                    [],
                                    [
                                      [
                                        6,
                                        'definition-paragraph',
                                        [
                                          [
                                            9,
                                            'rule 9',
                                            [],
                                            [
                                              [
                                                10,
                                                'definition[Seq][1-*]',
                                                [
                                                  [
                                                    10,
                                                    'rule 10',
                                                    [],
                                                    [
                                                      [
                                                        9,
                                                        'definition',
                                                        [
                                                          [
                                                            25,
                                                            'rule 25',
                                                            [],
                                                            [
                                                              [
                                                                27,
                                                                'setting',
                                                                [
                                                                  [
                                                                    29,
                                                                    'rule 29',
                                                                    [],
                                                                    [
                                                                      [
                                                                        30,
                                                                        'default-action-setting',
                                                                        [
                                                                          [
                                                                            51,
                                                                            'rule 51',
                                                                            [],
                                                                            [
                                                                              [
                                                                                23,
                                                                                'action-specifier',
                                                                                [
                                                                                  [
                                                                                    22,
                                                                                    'rule 22',
                                                                                    [],
                                                                                    [
                                                                                      [
                                                                                        24,
                                                                                        'string-specifier',
                                                                                        [
                                                                                          [
                                                                                            89,
                                                                                            'rule 89',
                                                                                            [],
                                                                                            [
                                                                                              [
                                                                                                61,
                                                                                                'literal-string',
                                                                                                [
                                                                                                  [
                                                                                                    59,
                                                                                                    'rule 59',
                                                                                                    [],
                                                                                                    [
                                                                                                      [
                                                                                                        62,
                                                                                                        'q-string',
                                                                                                        [],
                                                                                                        [
                                                                                                          []
                                                                                                        ],
                                                                                                        1,
                                                                                                        1,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        0,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        1,
                                                                                                        undef,
                                                                                                        0,
                                                                                                        undef,
                                                                                                        'lex_q_quote',
                                                                                                        undef,
                                                                                                        undef
                                                                                                      ]
                                                                                                    ],
                                                                                                    undef,
                                                                                                    1,
                                                                                                    1,
                                                                                                    undef,
                                                                                                    1,
                                                                                                    ' $Parse::Marpa::This::v->[0] ',
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    0
                                                                                                  ],
                                                                                                  [
                                                                                                    60,
                                                                                                    'rule 60',
                                                                                                    [],
                                                                                                    [
                                                                                                      [
                                                                                                        63,
                                                                                                        'double-quoted-string',
                                                                                                        [],
                                                                                                        [
                                                                                                          []
                                                                                                        ],
                                                                                                        1,
                                                                                                        1,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        0,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        1,
                                                                                                        undef,
                                                                                                        0,
                                                                                                        undef,
                                                                                                        '
    state $prefix_regex = qr/\\G(?:[ \\t]*(?:\\n|(?:\\#[^\\n]*\\n)))*[ \\t]*"/o;
    return unless $$STRING =~ /$prefix_regex/g;
    state $regex = qr/\\G[^"\\0134]*("|\\0134")/;
    MATCH: while ($$STRING =~ /$regex/gc) {
        next MATCH unless defined $1;
        if ($1 eq q{"}) {
            my $length = (pos $$STRING) - $START;
            return (substr($$STRING, $START, $length), $length);
        }
    }
    return;
',
                                                                                                        undef,
                                                                                                        undef
                                                                                                      ]
                                                                                                    ],
                                                                                                    undef,
                                                                                                    1,
                                                                                                    1,
                                                                                                    undef,
                                                                                                    1,
                                                                                                    '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    0
                                                                                                  ],
                                                                                                  [
                                                                                                    61,
                                                                                                    'rule 61',
                                                                                                    [],
                                                                                                    [
                                                                                                      [
                                                                                                        64,
                                                                                                        'single-quoted-string',
                                                                                                        [],
                                                                                                        [
                                                                                                          []
                                                                                                        ],
                                                                                                        1,
                                                                                                        1,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        0,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        1,
                                                                                                        undef,
                                                                                                        0,
                                                                                                        undef,
                                                                                                        '
    state $prefix_regex = qr/\\G(?:[ \\t]*(?:\\n|(?:\\#[^\\n]*\\n)))*[ \\t]*\'/o;
    return unless $$STRING =~ /$prefix_regex/g;
    state $regex = qr/\\G[^\'\\0134]*(\'|\\0134\')/;
    MATCH: while ($$STRING =~ /$regex/gc) {
        next MATCH unless defined $1;
        if ($1 eq q{\'}) {
            my $length = (pos $$STRING) - $START;
            return (substr($$STRING, $START, $length), $length);
        }
    }
    return;
',
                                                                                                        undef,
                                                                                                        undef
                                                                                                      ]
                                                                                                    ],
                                                                                                    undef,
                                                                                                    1,
                                                                                                    1,
                                                                                                    undef,
                                                                                                    1,
                                                                                                    '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    0
                                                                                                  ]
                                                                                                ],
                                                                                                [
                                                                                                  []
                                                                                                ],
                                                                                                1,
                                                                                                1,
                                                                                                undef,
                                                                                                undef,
                                                                                                undef,
                                                                                                undef,
                                                                                                undef
                                                                                              ]
                                                                                            ],
                                                                                            undef,
                                                                                            1,
                                                                                            1,
                                                                                            undef,
                                                                                            1,
                                                                                            '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                            undef,
                                                                                            undef,
                                                                                            undef,
                                                                                            undef,
                                                                                            undef,
                                                                                            0
                                                                                          ],
                                                                                          [
                                                                                            90,
                                                                                            'rule 90',
                                                                                            [],
                                                                                            [
                                                                                              [
                                                                                                45,
                                                                                                'symbol-phrase',
                                                                                                [
                                                                                                  [
                                                                                                    63,
                                                                                                    'rule 63',
                                                                                                    [],
                                                                                                    [
                                                                                                      [
                                                                                                        68,
                                                                                                        'symbol-word[Seq][1-*]',
                                                                                                        [
                                                                                                          [
                                                                                                            64,
                                                                                                            'rule 64',
                                                                                                            [],
                                                                                                            [
                                                                                                              [
                                                                                                                67,
                                                                                                                'symbol-word',
                                                                                                                [],
                                                                                                                [
                                                                                                                  [],
                                                                                                                  [
                                                                                                                    65,
                                                                                                                    'rule 65',
                                                                                                                    [],
                                                                                                                    [
                                                                                                                      [],
                                                                                                                      []
                                                                                                                    ],
                                                                                                                    undef,
                                                                                                                    1,
                                                                                                                    1,
                                                                                                                    undef,
                                                                                                                    1,
                                                                                                                    '
            $Parse::Marpa::This::v
        ',
                                                                                                                    undef,
                                                                                                                    undef,
                                                                                                                    undef,
                                                                                                                    undef,
                                                                                                                    undef,
                                                                                                                    0
                                                                                                                  ]
                                                                                                                ],
                                                                                                                1,
                                                                                                                1,
                                                                                                                undef,
                                                                                                                qr/(?-xism:(?-xism:[a-zA-Z_][a-zA-Z0-9_-]*))/,
                                                                                                                0,
                                                                                                                undef,
                                                                                                                undef,
                                                                                                                undef,
                                                                                                                1,
                                                                                                                undef,
                                                                                                                0,
                                                                                                                1,
                                                                                                                undef,
                                                                                                                undef,
                                                                                                                undef
                                                                                                              ]
                                                                                                            ],
                                                                                                            undef,
                                                                                                            1,
                                                                                                            1,
                                                                                                            undef,
                                                                                                            1,
                                                                                                            '
                unshift(@$Parse::Marpa::This::v, []);
                $Parse::Marpa::This::v 
            ',
                                                                                                            undef,
                                                                                                            undef,
                                                                                                            undef,
                                                                                                            undef,
                                                                                                            undef,
                                                                                                            0
                                                                                                          ],
                                                                                                          []
                                                                                                        ],
                                                                                                        [
                                                                                                          [],
                                                                                                          []
                                                                                                        ],
                                                                                                        1,
                                                                                                        1,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        undef,
                                                                                                        undef
                                                                                                      ]
                                                                                                    ],
                                                                                                    undef,
                                                                                                    1,
                                                                                                    1,
                                                                                                    undef,
                                                                                                    1,
                                                                                                    '
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                 Parse::Marpa::Source::canonical_symbol_name(join("-", @$Parse::Marpa::This::v)) ',
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    0
                                                                                                  ]
                                                                                                ],
                                                                                                [
                                                                                                  [
                                                                                                    40,
                                                                                                    'rule 40',
                                                                                                    [
                                                                                                      35,
                                                                                                      'start-symbol-setting',
                                                                                                      [
                                                                                                        [],
                                                                                                        [
                                                                                                          41,
                                                                                                          'rule 41',
                                                                                                          [],
                                                                                                          [
                                                                                                            [],
                                                                                                            [
                                                                                                              38,
                                                                                                              'copula',
                                                                                                              [
                                                                                                                [
                                                                                                                  48,
                                                                                                                  'rule 48',
                                                                                                                  [],
                                                                                                                  [
                                                                                                                    [
                                                                                                                      22,
                                                                                                                      'is:k7',
                                                                                                                      [],
                                                                                                                      [
                                                                                                                        [
                                                                                                                          20,
                                                                                                                          'rule 20',
                                                                                                                          [
                                                                                                                            14,
                                                                                                                            'action-sentence',
                                                                                                                            [
                                                                                                                              [],
                                                                                                                              [
                                                                                                                                21,
                                                                                                                                'rule 21',
                                                                                                                                [],
                                                                                                                                [
                                                                                                                                  [],
                                                                                                                                  [
                                                                                                                                    19,
                                                                                                                                    'period',
                                                                                                                                    [],
                                                                                                                                    [
                                                                                                                                      [
                                                                                                                                        19,
                                                                                                                                        'rule 19',
                                                                                                                                        [
                                                                                                                                          15,
                                                                                                                                          'non-structural-production-sentence',
                                                                                                                                          [
                                                                                                                                            [],
                                                                                                                                            [
                                                                                                                                              23,
                                                                                                                                              'rule 23',
                                                                                                                                              [],
                                                                                                                                              [
                                                                                                                                                [
                                                                                                                                                  25,
                                                                                                                                                  'comment-sentence',
                                                                                                                                                  [
                                                                                                                                                    [
                                                                                                                                                      55,
                                                                                                                                                      'rule 55',
                                                                                                                                                      [],
                                                                                                                                                      [
                                                                                                                                                        [
                                                                                                                                                          56,
                                                                                                                                                          'comment-tag',
                                                                                                                                                          [],
                                                                                                                                                          [
                                                                                                                                                            []
                                                                                                                                                          ],
                                                                                                                                                          1,
                                                                                                                                                          1,
                                                                                                                                                          undef,
                                                                                                                                                          qr/(?-xism:(?-xism:(to\s+do|note|comment)))/,
                                                                                                                                                          0,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          1,
                                                                                                                                                          undef,
                                                                                                                                                          0,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef
                                                                                                                                                        ],
                                                                                                                                                        [
                                                                                                                                                          57,
                                                                                                                                                          '%3a:k6',
                                                                                                                                                          [],
                                                                                                                                                          [
                                                                                                                                                            [],
                                                                                                                                                            [
                                                                                                                                                              62,
                                                                                                                                                              'rule 62',
                                                                                                                                                              [
                                                                                                                                                                12,
                                                                                                                                                                'production-sentence',
                                                                                                                                                                [
                                                                                                                                                                  [],
                                                                                                                                                                  [
                                                                                                                                                                    130,
                                                                                                                                                                    'rule 130',
                                                                                                                                                                    [],
                                                                                                                                                                    [
                                                                                                                                                                      [
                                                                                                                                                                        65,
                                                                                                                                                                        'lhs',
                                                                                                                                                                        [
                                                                                                                                                                          [
                                                                                                                                                                            66,
                                                                                                                                                                            'rule 66',
                                                                                                                                                                            [],
                                                                                                                                                                            [
                                                                                                                                                                              []
                                                                                                                                                                            ],
                                                                                                                                                                            undef,
                                                                                                                                                                            1,
                                                                                                                                                                            1,
                                                                                                                                                                            undef,
                                                                                                                                                                            1,
                                                                                                                                                                            ' \'    lhs => "\' . $Parse::Marpa::This::v->[0] . q{"} ',
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            0
                                                                                                                                                                          ]
                                                                                                                                                                        ],
                                                                                                                                                                        [
                                                                                                                                                                          [],
                                                                                                                                                                          [],
                                                                                                                                                                          [
                                                                                                                                                                            131,
                                                                                                                                                                            'rule 131',
                                                                                                                                                                            [],
                                                                                                                                                                            [
                                                                                                                                                                              [],
                                                                                                                                                                              [],
                                                                                                                                                                              [
                                                                                                                                                                                89,
                                                                                                                                                                                'rhs[]',
                                                                                                                                                                                [],
                                                                                                                                                                                [
                                                                                                                                                                                  []
                                                                                                                                                                                ],
                                                                                                                                                                                1,
                                                                                                                                                                                1,
                                                                                                                                                                                undef,
                                                                                                                                                                                undef,
                                                                                                                                                                                1,
                                                                                                                                                                                1,
                                                                                                                                                                                '    rhs => []'
                                                                                                                                                                              ],
                                                                                                                                                                              []
                                                                                                                                                                            ],
                                                                                                                                                                            0,
                                                                                                                                                                            1,
                                                                                                                                                                            1,
                                                                                                                                                                            0,
                                                                                                                                                                            1,
                                                                                                                                                                            ' join(",\\n", @{$Parse::Marpa::This::v}[0,2]) ',
                                                                                                                                                                            undef,
                                                                                                                                                                            [],
                                                                                                                                                                            undef,
                                                                                                                                                                            '',
                                                                                                                                                                            undef,
                                                                                                                                                                            0
                                                                                                                                                                          ]
                                                                                                                                                                        ],
                                                                                                                                                                        1,
                                                                                                                                                                        1,
                                                                                                                                                                        undef,
                                                                                                                                                                        undef,
                                                                                                                                                                        undef,
                                                                                                                                                                        undef,
                                                                                                                                                                        undef
                                                                                                                                                                      ],
                                                                                                                                                                      [],
                                                                                                                                                                      [
                                                                                                                                                                        66,
                                                                                                                                                                        'rhs',
                                                                                                                                                                        [
                                                                                                                                                                          [
                                                                                                                                                                            67,
                                                                                                                                                                            'rule 67',
                                                                                                                                                                            [],
                                                                                                                                                                            [],
                                                                                                                                                                            1,
                                                                                                                                                                            1,
                                                                                                                                                                            1,
                                                                                                                                                                            1,
                                                                                                                                                                            undef,
                                                                                                                                                                            ' $Parse::Marpa::This::v = [];  "    rhs => [" . join(", ", @$Parse::Marpa::This::v) . "]" ',
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            0
                                                                                                                                                                          ],
                                                                                                                                                                          [
                                                                                                                                                                            68,
                                                                                                                                                                            'rule 68',
                                                                                                                                                                            [],
                                                                                                                                                                            [
                                                                                                                                                                              [
                                                                                                                                                                                71,
                                                                                                                                                                                'rhs-element[Seq][1-*][Sep][comma]',
                                                                                                                                                                                [
                                                                                                                                                                                  [
                                                                                                                                                                                    70,
                                                                                                                                                                                    'rule 70',
                                                                                                                                                                                    [],
                                                                                                                                                                                    [
                                                                                                                                                                                      [
                                                                                                                                                                                        69,
                                                                                                                                                                                        'rhs-element',
                                                                                                                                                                                        [
                                                                                                                                                                                          [
                                                                                                                                                                                            76,
                                                                                                                                                                                            'rule 76',
                                                                                                                                                                                            [],
                                                                                                                                                                                            [
                                                                                                                                                                                              [
                                                                                                                                                                                                75,
                                                                                                                                                                                                'mandatory-rhs-element',
                                                                                                                                                                                                [
                                                                                                                                                                                                  [
                                                                                                                                                                                                    78,
                                                                                                                                                                                                    'rule 78',
                                                                                                                                                                                                    [],
                                                                                                                                                                                                    [
                                                                                                                                                                                                      [
                                                                                                                                                                                                        77,
                                                                                                                                                                                                        'rhs-symbol-specifier',
                                                                                                                                                                                                        [
                                                                                                                                                                                                          [
                                                                                                                                                                                                            80,
                                                                                                                                                                                                            'rule 80',
                                                                                                                                                                                                            [],
                                                                                                                                                                                                            [
                                                                                                                                                                                                              []
                                                                                                                                                                                                            ],
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            ' $Parse::Marpa::This::v->[0] ',
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            0
                                                                                                                                                                                                          ],
                                                                                                                                                                                                          [
                                                                                                                                                                                                            81,
                                                                                                                                                                                                            'rule 81',
                                                                                                                                                                                                            [],
                                                                                                                                                                                                            [
                                                                                                                                                                                                              [
                                                                                                                                                                                                                46,
                                                                                                                                                                                                                'regex',
                                                                                                                                                                                                                [],
                                                                                                                                                                                                                [
                                                                                                                                                                                                                  [
                                                                                                                                                                                                                    42,
                                                                                                                                                                                                                    'rule 42',
                                                                                                                                                                                                                    [
                                                                                                                                                                                                                      36,
                                                                                                                                                                                                                      'default-lex-prefix-setting',
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          43,
                                                                                                                                                                                                                          'rule 43',
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              20,
                                                                                                                                                                                                                              'the:ka:optional',
                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                  53,
                                                                                                                                                                                                                                  'rule 53',
                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  ' $Parse::Marpa::This::v->[0] ',
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  0
                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                  54,
                                                                                                                                                                                                                                  'rule 54',
                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                      55,
                                                                                                                                                                                                                                      'the:ka',
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                      qr/(?-xism:(?-xism:the))/,
                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                      undef
                                                                                                                                                                                                                                    ]
                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  ' $Parse::Marpa::This::v->[0] ',
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  0
                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                  36,
                                                                                                                                                                                                                                  'rule 36',
                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                    33,
                                                                                                                                                                                                                                    'semantics-setting',
                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                        37,
                                                                                                                                                                                                                                        'rule 37',
                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                            39,
                                                                                                                                                                                                                                            'perl5:k17',
                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                106,
                                                                                                                                                                                                                                                'rule 106',
                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                    37,
                                                                                                                                                                                                                                                    'semantics:k16',
                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                        107,
                                                                                                                                                                                                                                                        'rule 107',
                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                                            88,
                                                                                                                                                                                                                                                            'the:ka:optional[]',
                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                105,
                                                                                                                                                                                                                                                                'rule 105',
                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                    21,
                                                                                                                                                                                                                                                                    'action:k8',
                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                        52,
                                                                                                                                                                                                                                                                        'rule 52',
                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                                                            47,
                                                                                                                                                                                                                                                                            'default:k9',
                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                44,
                                                                                                                                                                                                                                                                                'rule 44',
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  31,
                                                                                                                                                                                                                                                                                  'default-null-value-setting',
                                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                      45,
                                                                                                                                                                                                                                                                                      'rule 45',
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                                                          50,
                                                                                                                                                                                                                                                                                          'null:kf',
                                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                                                                              122,
                                                                                                                                                                                                                                                                                              'rule 122',
                                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                  51,
                                                                                                                                                                                                                                                                                                  'value:ke',
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                                      123,
                                                                                                                                                                                                                                                                                                      'rule 123',
                                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      '
             q{$new_default_null_value = }
             . $Parse::Marpa::This::v->[0]
             . qq{;\\n}
',
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      '',
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                                      124,
                                                                                                                                                                                                                                                                                                      'rule 124',
                                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      '
    q{$new_default_null_value = }
    . $Parse::Marpa::This::v->[5]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      '',
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                                      125,
                                                                                                                                                                                                                                                                                                      'rule 125',
                                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                                      '
    q{$new_default_null_value = }
    . $Parse::Marpa::This::v->[5]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      '',
                                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                                                    ]
                                                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  qr/(?-xism:(?-xism:value))/,
                                                                                                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                                  undef
                                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                                              '
             q{$new_default_null_value = }
             . $Parse::Marpa::This::v->[0]
             . qq{;\\n}
',
                                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                                              '',
                                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                                              0
                                                                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                                            []
                                                                                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          qr/(?-xism:(?-xism:null))/,
                                                                                                                                                                                                                                                                                          0,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          0,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                                          undef
                                                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      '
    q{$new_default_null_value = }
    . $Parse::Marpa::This::v->[5]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    []
                                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                      30,
                                                                                                                                                                                                                                                                                      'rule 30',
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                                    ]
                                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '
             q{$new_default_null_value = }
             . $Parse::Marpa::This::v->[0]
             . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                118,
                                                                                                                                                                                                                                                                                'rule 118',
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                                    48,
                                                                                                                                                                                                                                                                                    'lex:k11',
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                        119,
                                                                                                                                                                                                                                                                                        'rule 119',
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                                                                            49,
                                                                                                                                                                                                                                                                                            'prefix:k10',
                                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                                120,
                                                                                                                                                                                                                                                                                                'rule 120',
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                                '
    q{$new_default_lex_prefix = }
    . $Parse::Marpa::This::v->[5]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                                121,
                                                                                                                                                                                                                                                                                                'rule 121',
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                                '
    q{$new_default_lex_prefix = }
    . $Parse::Marpa::This::v->[5]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                                              ]
                                                                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            qr/(?-xism:(?-xism:prefix))/,
                                                                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                                                                                          ]
                                                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                                        '
             q{$new_default_lex_prefix = }
             . $Parse::Marpa::This::v->[0]
             . qq{;\\n}
',
                                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                                        '',
                                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      []
                                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    qr/(?-xism:(?-xism:lex))/,
                                                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                                    undef
                                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                '
             q{$new_default_lex_prefix = }
             . $Parse::Marpa::This::v->[0]
             . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                126,
                                                                                                                                                                                                                                                                                'rule 126',
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                '
    q{ $new_default_action = }
    . $Parse::Marpa::This::v->[0]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                127,
                                                                                                                                                                                                                                                                                'rule 127',
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                '
    q{ $new_default_action = }
    . $Parse::Marpa::This::v->[0]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                128,
                                                                                                                                                                                                                                                                                'rule 128',
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                '
    q{ $new_default_action = }
    . $Parse::Marpa::This::v->[4]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                129,
                                                                                                                                                                                                                                                                                'rule 129',
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                '
    q{ $new_default_action = }
    . $Parse::Marpa::This::v->[4]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ]
                                                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            qr/(?-xism:(?-xism:default))/,
                                                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        '
    q{ $new_default_action = }
    . $Parse::Marpa::This::v->[4]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                        104,
                                                                                                                                                                                                                                                                        'rule 104',
                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        '
    "    action => "
    . $Parse::Marpa::This::v->[3]
',
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        '',
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      []
                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    qr/(?-xism:(?-xism:action))/,
                                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef
                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                '
    "    action => "
    . $Parse::Marpa::This::v->[3]
',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                109,
                                                                                                                                                                                                                                                                'rule 109',
                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                '
    q{$new_semantics = \'}
    . $Parse::Marpa::This::v->[0]
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                111,
                                                                                                                                                                                                                                                                'rule 111',
                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                  34,
                                                                                                                                                                                                                                                                  'version-setting',
                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                      38,
                                                                                                                                                                                                                                                                      'rule 38',
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                                          40,
                                                                                                                                                                                                                                                                          'version:k14',
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                                                              39,
                                                                                                                                                                                                                                                                              'rule 39',
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  42,
                                                                                                                                                                                                                                                                                  'version%20number:k15',
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                      112,
                                                                                                                                                                                                                                                                                      'rule 112',
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      '
    q{ $new_version = \'}
    . Parse::Marpa::Source::canonical_version($Parse::Marpa::This::v->[0])
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      '',
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                                      113,
                                                                                                                                                                                                                                                                                      'rule 113',
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                                      '
    q{ $new_version = \'}
    . Parse::Marpa::Source::canonical_version($Parse::Marpa::This::v->[0])
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      '',
                                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                                    ]
                                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  qr/(?-xism:(?-xism:version number))/,
                                                                                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                []
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              '
    q{ $new_version = \'}
    . Parse::Marpa::Source::canonical_version($Parse::Marpa::This::v->[0])
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              0
                                                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                                                              110,
                                                                                                                                                                                                                                                                              'rule 110',
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  41,
                                                                                                                                                                                                                                                                                  'version-number',
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                                    []
                                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  qr/(?-xism:(?-xism:(\d+\.)*\d+))/,
                                                                                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                                  undef
                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                                                                              '
    q{ $new_version = \'}
    . Parse::Marpa::Source::canonical_version($Parse::Marpa::This::v->[3])
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              '',
                                                                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                                                                              0
                                                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                            []
                                                                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          qr/(?-xism:(?-xism:version))/,
                                                                                                                                                                                                                                                                          0,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          0,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                                                                          undef
                                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      '
    q{ $new_version = \'}
    . Parse::Marpa::Source::canonical_version($Parse::Marpa::This::v->[3])
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                    []
                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                      33,
                                                                                                                                                                                                                                                                      'rule 33',
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                        []
                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                                                                      '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                                                                      0
                                                                                                                                                                                                                                                                    ]
                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                                                  undef
                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                '
    q{ $new_version = \'}
    . Parse::Marpa::Source::canonical_version($Parse::Marpa::This::v->[3])
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                115,
                                                                                                                                                                                                                                                                'rule 115',
                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                                    43,
                                                                                                                                                                                                                                                                    'start:k13',
                                                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                                        114,
                                                                                                                                                                                                                                                                        'rule 114',
                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                                                            44,
                                                                                                                                                                                                                                                                            'symbol:k12',
                                                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                116,
                                                                                                                                                                                                                                                                                'rule 116',
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                '
    q{$new_start_symbol = }
    . $Parse::Marpa::This::v->[0]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                                                117,
                                                                                                                                                                                                                                                                                'rule 117',
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                                '
    q{$new_start_symbol = }
    . $Parse::Marpa::This::v->[0]
    . qq{;\\n}
',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                                              ]
                                                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            qr/(?-xism:(?-xism:symbol))/,
                                                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                                        '
    q{$new_start_symbol = "}
    . $Parse::Marpa::This::v->[4]
    . qq{";\\n}
',
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        '',
                                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                                      []
                                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    qr/(?-xism:(?-xism:start))/,
                                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                                    undef
                                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                                '
    q{$new_start_symbol = "}
    . $Parse::Marpa::This::v->[4]
    . qq{";\\n}
',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                                              []
                                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        '
         q{$new_semantics = \'}
         . $Parse::Marpa::This::v->[3]
        . qq{\';\\n}
',
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        '',
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                        108,
                                                                                                                                                                                                                                                        'rule 108',
                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        '
    q{$new_semantics = \'}
    . $Parse::Marpa::This::v->[0]
    . qq{\';\\n}
',
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        '',
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                                      []
                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    qr/(?-xism:(?-xism:semantics))/,
                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef
                                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                '
         q{$new_semantics = \'}
         . $Parse::Marpa::This::v->[3]
        . qq{\';\\n}
',
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                              []
                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            qr/(?-xism:(?-xism:perl5))/,
                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        '
    q{$new_semantics = \'}
    . $Parse::Marpa::This::v->[0]
    . qq{\';\\n}
',
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      []
                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                        32,
                                                                                                                                                                                                                                        'rule 32',
                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                      ]
                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef
                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                    []
                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  '
         q{$new_semantics = \'}
         . $Parse::Marpa::This::v->[3]
        . qq{\';\\n}
',
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                                  0
                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                []
                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              []
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            []
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          '
    q{$new_default_lex_prefix = }
    . $Parse::Marpa::This::v->[5]
    . qq{;\\n}
',
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          0
                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        []
                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          35,
                                                                                                                                                                                                                          'rule 35',
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            []
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          0
                                                                                                                                                                                                                        ]
                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef
                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                    [
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      []
                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    '
             q{$new_default_lex_prefix = }
             . $Parse::Marpa::This::v->[0]
             . qq{;\\n}
',
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    0
                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  [
                                                                                                                                                                                                                    87,
                                                                                                                                                                                                                    'rule 87',
                                                                                                                                                                                                                    [
                                                                                                                                                                                                                      79,
                                                                                                                                                                                                                      'terminal-sentence',
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          88,
                                                                                                                                                                                                                          'rule 88',
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              82,
                                                                                                                                                                                                                              'match:k1',
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                []
                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              qr/(?-xism:(?-xism:match))/,
                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              83,
                                                                                                                                                                                                                              'using:k0',
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                []
                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              qr/(?-xism:(?-xism:using))/,
                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              1,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              0,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef,
                                                                                                                                                                                                                              undef
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            []
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          '
    q{push(@$new_terminals, [ "}
    . $Parse::Marpa::This::v->[1]
    . q{" => }
    . $Parse::Marpa::This::v->[3]
    . qq{ ] );\\n}
',
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          0
                                                                                                                                                                                                                        ]
                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          82,
                                                                                                                                                                                                                          'rule 82',
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            8,
                                                                                                                                                                                                                            'terminal-paragraph',
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                132,
                                                                                                                                                                                                                                'rule 132',
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                    78,
                                                                                                                                                                                                                                    'non-structural-terminal-sentences',
                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                        83,
                                                                                                                                                                                                                                        'rule 83',
                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        ' $Parse::Marpa::This::v = []; 
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                        84,
                                                                                                                                                                                                                                        'rule 84',
                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                            80,
                                                                                                                                                                                                                                            'non-structural-terminal-sentence[Seq][1-*]',
                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                85,
                                                                                                                                                                                                                                                'rule 85',
                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                                    26,
                                                                                                                                                                                                                                                    'non-structural-terminal-sentence',
                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                        24,
                                                                                                                                                                                                                                                        'rule 24',
                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                      ]
                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                                        86,
                                                                                                                                                                                                                                                        'rule 86',
                                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                                        '
            $Parse::Marpa::This::v
        ',
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                                      ]
                                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                                    1
                                                                                                                                                                                                                                                  ]
                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                '
                unshift(@$Parse::Marpa::This::v, []);
                $Parse::Marpa::This::v 
            ',
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                              []
                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                              []
                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                                          ]
                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        '
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                      ]
                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [
                                                                                                                                                                                                                                        133,
                                                                                                                                                                                                                                        'rule 133',
                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                        [
                                                                                                                                                                                                                                          [
                                                                                                                                                                                                                                            90,
                                                                                                                                                                                                                                            'non-structural-terminal-sentences[]',
                                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                                            [
                                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                134,
                                                                                                                                                                                                                                                'rule 134',
                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                                135,
                                                                                                                                                                                                                                                'rule 135',
                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                                '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                                0
                                                                                                                                                                                                                                              ]
                                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                                          []
                                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                                        '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        '',
                                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                                        0
                                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                                      []
                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    []
                                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                '',
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                0
                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              []
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                8,
                                                                                                                                                                                                                                'rule 8',
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                  []
                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                0
                                                                                                                                                                                                                              ]
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            []
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          0
                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        []
                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef
                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                    [
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        81,
                                                                                                                                                                                                                        'matches:k2',
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          []
                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        qr/(?-xism:(?-xism:matches))/,
                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef
                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      []
                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    '
    q{push(@$new_terminals, [ "}
    . $Parse::Marpa::This::v->[0]
    . q{" => [ }
    . $Parse::Marpa::This::v->[2]
    . qq{] ] );\\n}
',
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    0
                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  []
                                                                                                                                                                                                                ],
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                0,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                0,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                'lex_regex',
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef
                                                                                                                                                                                                              ]
                                                                                                                                                                                                            ],
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            '
    my $regex = $Parse::Marpa::This::v->[0];
    my ($symbol, $new) = Parse::Marpa::Source::gen_symbol_from_regex($regex);
    if ($new) {
        our @implicit_terminals;
        push(@implicit_terminals,
            q{"}
            . $symbol
            . \'" => [ \'
            . $regex
            . " ]"
        );
    }
    $symbol;
',
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            0
                                                                                                                                                                                                          ]
                                                                                                                                                                                                        ],
                                                                                                                                                                                                        [
                                                                                                                                                                                                          [],
                                                                                                                                                                                                          [
                                                                                                                                                                                                            79,
                                                                                                                                                                                                            'rule 79',
                                                                                                                                                                                                            [
                                                                                                                                                                                                              76,
                                                                                                                                                                                                              'optional-rhs-element',
                                                                                                                                                                                                              [
                                                                                                                                                                                                                []
                                                                                                                                                                                                              ],
                                                                                                                                                                                                              [
                                                                                                                                                                                                                [
                                                                                                                                                                                                                  77,
                                                                                                                                                                                                                  'rule 77',
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  [
                                                                                                                                                                                                                    []
                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  0
                                                                                                                                                                                                                ]
                                                                                                                                                                                                              ],
                                                                                                                                                                                                              1,
                                                                                                                                                                                                              1,
                                                                                                                                                                                                              undef,
                                                                                                                                                                                                              undef,
                                                                                                                                                                                                              undef,
                                                                                                                                                                                                              undef,
                                                                                                                                                                                                              undef
                                                                                                                                                                                                            ],
                                                                                                                                                                                                            [
                                                                                                                                                                                                              [
                                                                                                                                                                                                                73,
                                                                                                                                                                                                                'optional:k3',
                                                                                                                                                                                                                [],
                                                                                                                                                                                                                [
                                                                                                                                                                                                                  [
                                                                                                                                                                                                                    73,
                                                                                                                                                                                                                    'rule 73',
                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                    [
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        72,
                                                                                                                                                                                                                        'sequence:k4',
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            72,
                                                                                                                                                                                                                            'rule 72',
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              []
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            '
    q{rhs => ["}
    . $Parse::Marpa::This::v->[0]
    . qq{"],\\n}
    . qq{min => 1,\\n}
',
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            1000
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            74,
                                                                                                                                                                                                                            'rule 74',
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              [
                                                                                                                                                                                                                                74,
                                                                                                                                                                                                                                'separated:k5',
                                                                                                                                                                                                                                [],
                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                                  [
                                                                                                                                                                                                                                    75,
                                                                                                                                                                                                                                    'rule 75',
                                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                                    [
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                                      []
                                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                                    '
    q{rhs => ["}
    . $Parse::Marpa::This::v->[3]
    . qq{"],\\n}
    . q{separator => "}
    . $Parse::Marpa::This::v->[1]
    . qq{",\\n}
    . qq{min => 0,\\n}
',
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                                    3000
                                                                                                                                                                                                                                  ]
                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                qr/(?-xism:(?-xism:separated))/,
                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                1,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                0,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                                undef
                                                                                                                                                                                                                              ],
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              []
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            '
    q{rhs => ["}
    . $Parse::Marpa::This::v->[2]
    . qq{"],\\n}
    . q{separator => "}
    . $Parse::Marpa::This::v->[0]
    . qq{",\\n}
    . qq{min => 1,\\n}
',
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            2000
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          []
                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        qr/(?-xism:(?-xism:sequence))/,
                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        0,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef
                                                                                                                                                                                                                      ]
                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    '
    q{rhs => ["}
    . $Parse::Marpa::This::v->[1]
    . qq{"],\\n}
    . qq{min => 0,\\n}
',
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    2000
                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  []
                                                                                                                                                                                                                ],
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                qr/(?-xism:(?-xism:optional))/,
                                                                                                                                                                                                                0,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                0,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef
                                                                                                                                                                                                              ],
                                                                                                                                                                                                              []
                                                                                                                                                                                                            ],
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            1,
                                                                                                                                                                                                            '
     my $symbol_phrase = $Parse::Marpa::This::v->[1];
     my $optional_symbol_phrase = $symbol_phrase . ":optional";
     our %implicit_rules;
     if (not defined $implicit_rules{$optional_symbol_phrase}) {
         $implicit_rules{$optional_symbol_phrase} = 1;
         our @implicit_rules;
         push(
             @implicit_rules,
             q{ lhs => "} . $optional_symbol_phrase . q{", }
             . q{ rhs => [ "} . $symbol_phrase . qq{" ], }
             . q{
                     min => 0,
                     max => 1,
                     action => q{ $Parse::Marpa::This::v->[0] }
             }
         );
     }
     q{"} . $optional_symbol_phrase . q{"};
',
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            undef,
                                                                                                                                                                                                            0
                                                                                                                                                                                                          ]
                                                                                                                                                                                                        ],
                                                                                                                                                                                                        1,
                                                                                                                                                                                                        1,
                                                                                                                                                                                                        undef,
                                                                                                                                                                                                        undef,
                                                                                                                                                                                                        undef,
                                                                                                                                                                                                        undef,
                                                                                                                                                                                                        undef
                                                                                                                                                                                                      ]
                                                                                                                                                                                                    ],
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    1,
                                                                                                                                                                                                    1,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    1,
                                                                                                                                                                                                    ' q{"} . $Parse::Marpa::This::v->[0] . q{"} ',
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    0
                                                                                                                                                                                                  ]
                                                                                                                                                                                                ],
                                                                                                                                                                                                [
                                                                                                                                                                                                  []
                                                                                                                                                                                                ],
                                                                                                                                                                                                1,
                                                                                                                                                                                                1,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef
                                                                                                                                                                                              ]
                                                                                                                                                                                            ],
                                                                                                                                                                                            undef,
                                                                                                                                                                                            1,
                                                                                                                                                                                            1,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            1,
                                                                                                                                                                                            '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            0
                                                                                                                                                                                          ],
                                                                                                                                                                                          []
                                                                                                                                                                                        ],
                                                                                                                                                                                        [
                                                                                                                                                                                          [],
                                                                                                                                                                                          [
                                                                                                                                                                                            71,
                                                                                                                                                                                            'rule 71',
                                                                                                                                                                                            [],
                                                                                                                                                                                            [
                                                                                                                                                                                              [],
                                                                                                                                                                                              [
                                                                                                                                                                                                70,
                                                                                                                                                                                                'comma',
                                                                                                                                                                                                [],
                                                                                                                                                                                                [
                                                                                                                                                                                                  [
                                                                                                                                                                                                    69,
                                                                                                                                                                                                    'rule 69',
                                                                                                                                                                                                    [],
                                                                                                                                                                                                    [
                                                                                                                                                                                                      [],
                                                                                                                                                                                                      []
                                                                                                                                                                                                    ],
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    1,
                                                                                                                                                                                                    1,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    1,
                                                                                                                                                                                                    ' pop @$Parse::Marpa::This::v; 
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                 "    rhs => [" . join(", ", @$Parse::Marpa::This::v) . "]" ',
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    undef,
                                                                                                                                                                                                    0
                                                                                                                                                                                                  ],
                                                                                                                                                                                                  []
                                                                                                                                                                                                ],
                                                                                                                                                                                                1,
                                                                                                                                                                                                1,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                qr/(?-xism:(?-xism:\,))/,
                                                                                                                                                                                                0,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                1,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                0,
                                                                                                                                                                                                1,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef,
                                                                                                                                                                                                undef
                                                                                                                                                                                              ],
                                                                                                                                                                                              []
                                                                                                                                                                                            ],
                                                                                                                                                                                            undef,
                                                                                                                                                                                            1,
                                                                                                                                                                                            1,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            1,
                                                                                                                                                                                            '
            [
                @{$Parse::Marpa::This::v}[
                   grep { !($_ % 2) } (0 .. $#$Parse::Marpa::This::v)
                ],
            ]
        ',
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            undef,
                                                                                                                                                                                            0
                                                                                                                                                                                          ]
                                                                                                                                                                                        ],
                                                                                                                                                                                        1,
                                                                                                                                                                                        1,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        undef,
                                                                                                                                                                                        1
                                                                                                                                                                                      ]
                                                                                                                                                                                    ],
                                                                                                                                                                                    undef,
                                                                                                                                                                                    1,
                                                                                                                                                                                    1,
                                                                                                                                                                                    undef,
                                                                                                                                                                                    1,
                                                                                                                                                                                    '
                [
                    [],
                    @{$Parse::Marpa::This::v}[
                        grep { !($_ % 2) } (0 .. $#$Parse::Marpa::This::v)
                    ]
                ]
            ',
                                                                                                                                                                                    undef,
                                                                                                                                                                                    undef,
                                                                                                                                                                                    undef,
                                                                                                                                                                                    undef,
                                                                                                                                                                                    undef,
                                                                                                                                                                                    0
                                                                                                                                                                                  ],
                                                                                                                                                                                  []
                                                                                                                                                                                ],
                                                                                                                                                                                [
                                                                                                                                                                                  [],
                                                                                                                                                                                  [],
                                                                                                                                                                                  []
                                                                                                                                                                                ],
                                                                                                                                                                                1,
                                                                                                                                                                                1,
                                                                                                                                                                                undef,
                                                                                                                                                                                undef,
                                                                                                                                                                                undef,
                                                                                                                                                                                undef,
                                                                                                                                                                                undef
                                                                                                                                                                              ]
                                                                                                                                                                            ],
                                                                                                                                                                            undef,
                                                                                                                                                                            1,
                                                                                                                                                                            1,
                                                                                                                                                                            undef,
                                                                                                                                                                            1,
                                                                                                                                                                            '
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                 "    rhs => [" . join(", ", @$Parse::Marpa::This::v) . "]" ',
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            undef,
                                                                                                                                                                            0
                                                                                                                                                                          ],
                                                                                                                                                                          [],
                                                                                                                                                                          [],
                                                                                                                                                                          [],
                                                                                                                                                                          [],
                                                                                                                                                                          []
                                                                                                                                                                        ],
                                                                                                                                                                        [
                                                                                                                                                                          [],
                                                                                                                                                                          []
                                                                                                                                                                        ],
                                                                                                                                                                        1,
                                                                                                                                                                        1,
                                                                                                                                                                        undef,
                                                                                                                                                                        undef,
                                                                                                                                                                        undef,
                                                                                                                                                                        0,
                                                                                                                                                                        '    rhs => []',
                                                                                                                                                                        []
                                                                                                                                                                      ],
                                                                                                                                                                      []
                                                                                                                                                                    ],
                                                                                                                                                                    0,
                                                                                                                                                                    1,
                                                                                                                                                                    1,
                                                                                                                                                                    0,
                                                                                                                                                                    1,
                                                                                                                                                                    ' join(",\\n", @{$Parse::Marpa::This::v}[0,2]) ',
                                                                                                                                                                    undef,
                                                                                                                                                                    [],
                                                                                                                                                                    undef,
                                                                                                                                                                    '',
                                                                                                                                                                    undef,
                                                                                                                                                                    0
                                                                                                                                                                  ],
                                                                                                                                                                  []
                                                                                                                                                                ],
                                                                                                                                                                [
                                                                                                                                                                  [
                                                                                                                                                                    12,
                                                                                                                                                                    'rule 12',
                                                                                                                                                                    [
                                                                                                                                                                      7,
                                                                                                                                                                      'production-paragraph',
                                                                                                                                                                      [
                                                                                                                                                                        [],
                                                                                                                                                                        [
                                                                                                                                                                          94,
                                                                                                                                                                          'rule 94',
                                                                                                                                                                          [],
                                                                                                                                                                          [
                                                                                                                                                                            [
                                                                                                                                                                              11,
                                                                                                                                                                              'non-structural-production-sentences',
                                                                                                                                                                              [
                                                                                                                                                                                [
                                                                                                                                                                                  15,
                                                                                                                                                                                  'rule 15',
                                                                                                                                                                                  [],
                                                                                                                                                                                  [],
                                                                                                                                                                                  1,
                                                                                                                                                                                  1,
                                                                                                                                                                                  1,
                                                                                                                                                                                  1,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  ' $Parse::Marpa::This::v = []; 
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  0
                                                                                                                                                                                ],
                                                                                                                                                                                [
                                                                                                                                                                                  16,
                                                                                                                                                                                  'rule 16',
                                                                                                                                                                                  [],
                                                                                                                                                                                  [
                                                                                                                                                                                    [
                                                                                                                                                                                      16,
                                                                                                                                                                                      'non-structural-production-sentence[Seq][1-*]',
                                                                                                                                                                                      [
                                                                                                                                                                                        [
                                                                                                                                                                                          17,
                                                                                                                                                                                          'rule 17',
                                                                                                                                                                                          [],
                                                                                                                                                                                          [
                                                                                                                                                                                            []
                                                                                                                                                                                          ],
                                                                                                                                                                                          undef,
                                                                                                                                                                                          1,
                                                                                                                                                                                          1,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          1,
                                                                                                                                                                                          '
                unshift(@$Parse::Marpa::This::v, []);
                $Parse::Marpa::This::v 
            ',
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          0
                                                                                                                                                                                        ],
                                                                                                                                                                                        [
                                                                                                                                                                                          18,
                                                                                                                                                                                          'rule 18',
                                                                                                                                                                                          [],
                                                                                                                                                                                          [
                                                                                                                                                                                            [],
                                                                                                                                                                                            []
                                                                                                                                                                                          ],
                                                                                                                                                                                          undef,
                                                                                                                                                                                          1,
                                                                                                                                                                                          1,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          1,
                                                                                                                                                                                          '
            $Parse::Marpa::This::v
        ',
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          undef,
                                                                                                                                                                                          0
                                                                                                                                                                                        ]
                                                                                                                                                                                      ],
                                                                                                                                                                                      [
                                                                                                                                                                                        [],
                                                                                                                                                                                        []
                                                                                                                                                                                      ],
                                                                                                                                                                                      1,
                                                                                                                                                                                      1,
                                                                                                                                                                                      undef,
                                                                                                                                                                                      undef,
                                                                                                                                                                                      undef,
                                                                                                                                                                                      undef,
                                                                                                                                                                                      undef
                                                                                                                                                                                    ]
                                                                                                                                                                                  ],
                                                                                                                                                                                  undef,
                                                                                                                                                                                  1,
                                                                                                                                                                                  1,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  1,
                                                                                                                                                                                  '
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  undef,
                                                                                                                                                                                  0
                                                                                                                                                                                ]
                                                                                                                                                                              ],
                                                                                                                                                                              [
                                                                                                                                                                                [],
                                                                                                                                                                                [],
                                                                                                                                                                                [
                                                                                                                                                                                  96,
                                                                                                                                                                                  'rule 96',
                                                                                                                                                                                  [],
                                                                                                                                                                                  [
                                                                                                                                                                                    [],
                                                                                                                                                                                    [],
                                                                                                                                                                                    [
                                                                                                                                                                                      92,
                                                                                                                                                                                      'production-paragraph[12:2][]',
                                                                                                                                                                                      [],
                                                                                                                                                                                      [
                                                                                                                                                                                        [],
                                                                                                                                                                                        [
                                                                                                                                                                                          97,
                                                                                                                                                                                          'rule 97',
                                                                                                                                                                                          [],
                                                                                                                                                                                          [
                                                                                                                                                                                            [
                                                                                                                                                                                              86,
                                                                                                                                                                                              'non-structural-production-sentences[]',
                                                                                                                                                                                              [],
                                                                                                                                                                                              [
                                                                                                                                                                                                [
                                                                                                                                                                                                  95,
                                                                                                                                                                                                  'rule 95',
                                                                                                                                                                                                  [],
                                                                                                                                                                                                  [
                                                                                                                                                                                                    [],
                                                                                                                                                                                                    [],
                                                                                                                                                                                                    [
                                                                                                                                                                                                      91,
                                                                                                                                                                                                      'production-paragraph[12:2]',
                                                                                                                                                                                                      [
                                                                                                                                                                                                        [
                                                                                                                                                                                                          98,
                                                                                                                                                                                                          'rule 98',
                                                                                                                                                                                                          [],
                                                                                                                                                                                                          [
                                                                                                                                                                                                            [],
                                                                                                                                                                                                            [
                                                                                                                                                                                                              93,
                                                                                                                                                                                                              'production-paragraph[12:3]',
                                                                                                                                                                                                              [
                                                                                                                                                                                                                [
                                                                                                                                                                                                                  101,
                                                                                                                                                                                                                  'rule 101',
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  [
                                                                                                                                                                                                                    [
                                                                                                                                                                                                                      13,
                                                                                                                                                                                                                      'action-sentence:optional',
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          13,
                                                                                                                                                                                                                          'rule 13',
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          ' $Parse::Marpa::This::v->[0] ',
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          0
                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          14,
                                                                                                                                                                                                                          'rule 14',
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            []
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          ' $Parse::Marpa::This::v->[0] ',
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          0
                                                                                                                                                                                                                        ]
                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          103,
                                                                                                                                                                                                                          'rule 103',
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            []
                                                                                                                                                                                                                          ],
                                                                                                                                                                                                                          0,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          0,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          [],
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          1,
                                                                                                                                                                                                                          undef,
                                                                                                                                                                                                                          0
                                                                                                                                                                                                                        ]
                                                                                                                                                                                                                      ],
                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                      1,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      0,
                                                                                                                                                                                                                      undef,
                                                                                                                                                                                                                      [
                                                                                                                                                                                                                        87,
                                                                                                                                                                                                                        'action-sentence:optional[]',
                                                                                                                                                                                                                        [],
                                                                                                                                                                                                                        [
                                                                                                                                                                                                                          [
                                                                                                                                                                                                                            102,
                                                                                                                                                                                                                            'rule 102',
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            [
                                                                                                                                                                                                                              [],
                                                                                                                                                                                                                              []
                                                                                                                                                                                                                            ],
                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            0,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            [],
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            1,
                                                                                                                                                                                                                            undef,
                                                                                                                                                                                                                            0
                                                                                                                                                                                                                          ]
                                                                                                                                                                                                                        ],
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        undef,
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        1,
                                                                                                                                                                                                                        undef
                                                                                                                                                                                                                      ]
                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                    []
                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  0
                                                                                                                                                                                                                ],
                                                                                                                                                                                                                [],
                                                                                                                                                                                                                []
                                                                                                                                                                                                              ],
                                                                                                                                                                                                              [
                                                                                                                                                                                                                [],
                                                                                                                                                                                                                [
                                                                                                                                                                                                                  99,
                                                                                                                                                                                                                  'rule 99',
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  [
                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                    []
                                                                                                                                                                                                                  ],
                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  0,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  undef,
                                                                                                                                                                                                                  1,
                                                                                                                                                                                                                  [],
                                                                                                                                                                                                                  0
                                                                                                                                                                                                                ]
                                                                                                                                                                                                              ],
                                                                                                                                                                                                              1,
                                                                                                                                                                                                              1,
                                                                                                                                                                                                              undef,
                                                                                                                                                                                                              undef,
                                                                                                                                                                                                              0,
                                                                                                                                                                                                              0,
                                                                                                                                                                                                              [
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                []
                                                                                                                                                                                                              ],
                                                                                                                                                                                                              [
                                                                                                                                                                                                                94,
                                                                                                                                                                                                                'production-paragraph[12:3][]',
                                                                                                                                                                                                                [],
                                                                                                                                                                                                                [
                                                                                                                                                                                                                  [
                                                                                                                                                                                                                    100,
                                                                                                                                                                                                                    'rule 100',
                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                    [
                                                                                                                                                                                                                      [],
                                                                                                                                                                                                                      []
                                                                                                                                                                                                                    ],
                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    0,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                    undef,
                                                                                                                                                                                                                    1,
                                                                                                                                                                                                                    [],
                                                                                                                                                                                                                    0
                                                                                                                                                                                                                  ]
                                                                                                                                                                                                                ],
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                undef,
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                1,
                                                                                                                                                                                                                []
                                                                                                                                                                                                              ]
                                                                                                                                                                                                            ]
                                                                                                                                                                                                          ],
                                                                                                                                                                                                          0,
                                                                                                                                                                                                          1,
                                                                                                                                                                                                          1,
                                                                                                                                                                                                          0,
                                                                                                                                                                                                          1,
                                                                                                                                                                                                          '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                                          undef,
                                                                                                                                                                                                          [],
                                                                                                                                                                                                          undef,
                                                                                                                                                                                                          1,
                                                                                                                                                                                                          [],
                                                                                                                                                                                                          0
                                                                                                                                                                                                        ],
                                                                                                                                                                                                        [],
                                                                                                                                                                                                        []
                                                                                                                                                                                                      ],
                                                                                                                                                                                                      [
                                                                                                                                                                                                        [],
                                                                                                                                                                                                        []
                                                                                                                                                                                                      ],
                                                                                                                                                                                                      1,
                                                                                                                                                                                                      1,
                                                                                                                                                                                                      undef,
                                                                                                                                                                                                      undef,
                                                                                                                                                                                                      0,
                                                                                                                                                                                                      0,
                                                                                                                                                                                                      [
                                                                                                                                                                                                        undef,
                                                                                                                                                                                                        undef,
                                                                                                                                                                                                        undef,
                                                                                                                                                                                                        []
                                                                                                                                                                                                      ],
                                                                                                                                                                                                      []
                                                                                                                                                                                                    ]
                                                                                                                                                                                                  ],
                                                                                                                                                                                                  0,
                                                                                                                                                                                                  1,
                                                                                                                                                                                                  1,
                                                                                                                                                                                                  0,
                                                                                                                                                                                                  1,
                                                                                                                                                                                                  '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                                  undef,
                                                                                                                                                                                                  [],
                                                                                                                                                                                                  undef,
                                                                                                                                                                                                  '',
                                                                                                                                                                                                  [],
                                                                                                                                                                                                  0
                                                                                                                                                                                                ],
                                                                                                                                                                                                [],
                                                                                                                                                                                                [],
                                                                                                                                                                                                []
                                                                                                                                                                                              ],
                                                                                                                                                                                              1,
                                                                                                                                                                                              1,
                                                                                                                                                                                              undef,
                                                                                                                                                                                              undef,
                                                                                                                                                                                              1,
                                                                                                                                                                                              1,
                                                                                                                                                                                              undef
                                                                                                                                                                                            ],
                                                                                                                                                                                            [],
                                                                                                                                                                                            []
                                                                                                                                                                                          ],
                                                                                                                                                                                          0,
                                                                                                                                                                                          1,
                                                                                                                                                                                          1,
                                                                                                                                                                                          0,
                                                                                                                                                                                          1,
                                                                                                                                                                                          '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                          undef,
                                                                                                                                                                                          [],
                                                                                                                                                                                          undef,
                                                                                                                                                                                          '',
                                                                                                                                                                                          [],
                                                                                                                                                                                          0
                                                                                                                                                                                        ]
                                                                                                                                                                                      ],
                                                                                                                                                                                      1,
                                                                                                                                                                                      1,
                                                                                                                                                                                      undef,
                                                                                                                                                                                      undef,
                                                                                                                                                                                      1,
                                                                                                                                                                                      1,
                                                                                                                                                                                      []
                                                                                                                                                                                    ]
                                                                                                                                                                                  ],
                                                                                                                                                                                  0,
                                                                                                                                                                                  1,
                                                                                                                                                                                  1,
                                                                                                                                                                                  0,
                                                                                                                                                                                  1,
                                                                                                                                                                                  '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                                  undef,
                                                                                                                                                                                  [],
                                                                                                                                                                                  undef,
                                                                                                                                                                                  '',
                                                                                                                                                                                  [],
                                                                                                                                                                                  0
                                                                                                                                                                                ],
                                                                                                                                                                                [],
                                                                                                                                                                                [],
                                                                                                                                                                                [],
                                                                                                                                                                                []
                                                                                                                                                                              ],
                                                                                                                                                                              1,
                                                                                                                                                                              1,
                                                                                                                                                                              undef,
                                                                                                                                                                              undef,
                                                                                                                                                                              undef,
                                                                                                                                                                              0,
                                                                                                                                                                              undef,
                                                                                                                                                                              []
                                                                                                                                                                            ],
                                                                                                                                                                            [],
                                                                                                                                                                            []
                                                                                                                                                                          ],
                                                                                                                                                                          0,
                                                                                                                                                                          1,
                                                                                                                                                                          1,
                                                                                                                                                                          0,
                                                                                                                                                                          1,
                                                                                                                                                                          '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                          undef,
                                                                                                                                                                          [],
                                                                                                                                                                          undef,
                                                                                                                                                                          '',
                                                                                                                                                                          [],
                                                                                                                                                                          0
                                                                                                                                                                        ],
                                                                                                                                                                        [],
                                                                                                                                                                        [],
                                                                                                                                                                        []
                                                                                                                                                                      ],
                                                                                                                                                                      [
                                                                                                                                                                        [
                                                                                                                                                                          7,
                                                                                                                                                                          'rule 7',
                                                                                                                                                                          [],
                                                                                                                                                                          [
                                                                                                                                                                            []
                                                                                                                                                                          ],
                                                                                                                                                                          undef,
                                                                                                                                                                          1,
                                                                                                                                                                          1,
                                                                                                                                                                          undef,
                                                                                                                                                                          1,
                                                                                                                                                                          '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                                                          undef,
                                                                                                                                                                          undef,
                                                                                                                                                                          undef,
                                                                                                                                                                          undef,
                                                                                                                                                                          undef,
                                                                                                                                                                          0
                                                                                                                                                                        ]
                                                                                                                                                                      ],
                                                                                                                                                                      1,
                                                                                                                                                                      1,
                                                                                                                                                                      undef,
                                                                                                                                                                      undef,
                                                                                                                                                                      undef,
                                                                                                                                                                      undef,
                                                                                                                                                                      undef
                                                                                                                                                                    ],
                                                                                                                                                                    [
                                                                                                                                                                      [],
                                                                                                                                                                      [],
                                                                                                                                                                      [],
                                                                                                                                                                      [],
                                                                                                                                                                      []
                                                                                                                                                                    ],
                                                                                                                                                                    undef,
                                                                                                                                                                    1,
                                                                                                                                                                    1,
                                                                                                                                                                    undef,
                                                                                                                                                                    undef,
                                                                                                                                                                    '
        my $action = $Parse::Marpa::This::v->[3];
        my $other_key_value = join(",\\n", map { $_ // "" } @{$Parse::Marpa::This::v}[0,2,4]);
        my $result =
            \'push(@$new_rules, \'
             . "{\\n"
             . $Parse::Marpa::This::v->[1] . ",\\n"
             . (defined $action ? ($action . ",\\n") : "")
             . $other_key_value
             . "\\n});"
         ;
         our @implicit_terminals;
         if (@implicit_terminals) {
             $result .= "\\n" . \'push(@$new_terminals,\' . "\\n";
             while (my $implicit_terminal = shift @implicit_terminals) {
                 $result .= "    [" . $implicit_terminal . "],\\n";
             }
             $result .= ");\\n";
         }
         our @implicit_rules;
         if (@implicit_rules) {
             $result .= "\\n" . \'push(@$new_rules, \' . "\\n";
             while (my $implicit_production = shift @implicit_rules) {
                 $result .= "    {" . $implicit_production . "},\\n";
             }
             $result .= " );\\n";
         }
         $result;
    ',
                                                                                                                                                                    undef,
                                                                                                                                                                    undef,
                                                                                                                                                                    undef,
                                                                                                                                                                    undef,
                                                                                                                                                                    undef,
                                                                                                                                                                    0
                                                                                                                                                                  ],
                                                                                                                                                                  [],
                                                                                                                                                                  [],
                                                                                                                                                                  [],
                                                                                                                                                                  []
                                                                                                                                                                ],
                                                                                                                                                                1,
                                                                                                                                                                1,
                                                                                                                                                                undef,
                                                                                                                                                                undef,
                                                                                                                                                                undef,
                                                                                                                                                                undef,
                                                                                                                                                                undef
                                                                                                                                                              ],
                                                                                                                                                              [
                                                                                                                                                                [],
                                                                                                                                                                [],
                                                                                                                                                                [],
                                                                                                                                                                []
                                                                                                                                                              ],
                                                                                                                                                              undef,
                                                                                                                                                              1,
                                                                                                                                                              1,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              ' join(",\\n", @{$Parse::Marpa::This::v}[0,2]) ',
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              0
                                                                                                                                                            ],
                                                                                                                                                            [],
                                                                                                                                                            []
                                                                                                                                                          ],
                                                                                                                                                          1,
                                                                                                                                                          1,
                                                                                                                                                          undef,
                                                                                                                                                          qr/(?-xism:(?-xism::))/,
                                                                                                                                                          0,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          1,
                                                                                                                                                          undef,
                                                                                                                                                          0,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef
                                                                                                                                                        ],
                                                                                                                                                        [
                                                                                                                                                          58,
                                                                                                                                                          'comment-words',
                                                                                                                                                          [
                                                                                                                                                            [
                                                                                                                                                              56,
                                                                                                                                                              'rule 56',
                                                                                                                                                              [],
                                                                                                                                                              [
                                                                                                                                                                [
                                                                                                                                                                  60,
                                                                                                                                                                  'comment-word[Seq][1-*]',
                                                                                                                                                                  [
                                                                                                                                                                    [
                                                                                                                                                                      57,
                                                                                                                                                                      'rule 57',
                                                                                                                                                                      [],
                                                                                                                                                                      [
                                                                                                                                                                        [
                                                                                                                                                                          59,
                                                                                                                                                                          'comment-word',
                                                                                                                                                                          [],
                                                                                                                                                                          [
                                                                                                                                                                            [],
                                                                                                                                                                            [
                                                                                                                                                                              58,
                                                                                                                                                                              'rule 58',
                                                                                                                                                                              [],
                                                                                                                                                                              [
                                                                                                                                                                                [],
                                                                                                                                                                                []
                                                                                                                                                                              ],
                                                                                                                                                                              undef,
                                                                                                                                                                              1,
                                                                                                                                                                              1,
                                                                                                                                                                              undef,
                                                                                                                                                                              1,
                                                                                                                                                                              '
            $Parse::Marpa::This::v
        ',
                                                                                                                                                                              undef,
                                                                                                                                                                              undef,
                                                                                                                                                                              undef,
                                                                                                                                                                              undef,
                                                                                                                                                                              undef,
                                                                                                                                                                              0
                                                                                                                                                                            ]
                                                                                                                                                                          ],
                                                                                                                                                                          1,
                                                                                                                                                                          1,
                                                                                                                                                                          undef,
                                                                                                                                                                          qr/(?-xism:(?-xism:[\x{21}-\x{2d}\x{2f}-\x{7e}]+))/,
                                                                                                                                                                          0,
                                                                                                                                                                          undef,
                                                                                                                                                                          undef,
                                                                                                                                                                          undef,
                                                                                                                                                                          1,
                                                                                                                                                                          undef,
                                                                                                                                                                          0,
                                                                                                                                                                          1,
                                                                                                                                                                          undef,
                                                                                                                                                                          undef,
                                                                                                                                                                          undef
                                                                                                                                                                        ]
                                                                                                                                                                      ],
                                                                                                                                                                      undef,
                                                                                                                                                                      1,
                                                                                                                                                                      1,
                                                                                                                                                                      undef,
                                                                                                                                                                      1,
                                                                                                                                                                      '
                unshift(@$Parse::Marpa::This::v, []);
                $Parse::Marpa::This::v 
            ',
                                                                                                                                                                      undef,
                                                                                                                                                                      undef,
                                                                                                                                                                      undef,
                                                                                                                                                                      undef,
                                                                                                                                                                      undef,
                                                                                                                                                                      0
                                                                                                                                                                    ],
                                                                                                                                                                    []
                                                                                                                                                                  ],
                                                                                                                                                                  [
                                                                                                                                                                    [],
                                                                                                                                                                    []
                                                                                                                                                                  ],
                                                                                                                                                                  1,
                                                                                                                                                                  1,
                                                                                                                                                                  undef,
                                                                                                                                                                  undef,
                                                                                                                                                                  undef,
                                                                                                                                                                  undef,
                                                                                                                                                                  undef
                                                                                                                                                                ]
                                                                                                                                                              ],
                                                                                                                                                              undef,
                                                                                                                                                              1,
                                                                                                                                                              1,
                                                                                                                                                              undef,
                                                                                                                                                              1,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              undef,
                                                                                                                                                              0
                                                                                                                                                            ]
                                                                                                                                                          ],
                                                                                                                                                          [
                                                                                                                                                            []
                                                                                                                                                          ],
                                                                                                                                                          1,
                                                                                                                                                          1,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef,
                                                                                                                                                          undef
                                                                                                                                                        ],
                                                                                                                                                        []
                                                                                                                                                      ],
                                                                                                                                                      undef,
                                                                                                                                                      1,
                                                                                                                                                      1,
                                                                                                                                                      undef,
                                                                                                                                                      1,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      0
                                                                                                                                                    ]
                                                                                                                                                  ],
                                                                                                                                                  [
                                                                                                                                                    [],
                                                                                                                                                    [],
                                                                                                                                                    [
                                                                                                                                                      26,
                                                                                                                                                      'rule 26',
                                                                                                                                                      [],
                                                                                                                                                      [
                                                                                                                                                        []
                                                                                                                                                      ],
                                                                                                                                                      undef,
                                                                                                                                                      1,
                                                                                                                                                      1,
                                                                                                                                                      undef,
                                                                                                                                                      1,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      undef,
                                                                                                                                                      0
                                                                                                                                                    ]
                                                                                                                                                  ],
                                                                                                                                                  1,
                                                                                                                                                  1,
                                                                                                                                                  undef,
                                                                                                                                                  undef,
                                                                                                                                                  undef,
                                                                                                                                                  undef,
                                                                                                                                                  undef
                                                                                                                                                ]
                                                                                                                                              ],
                                                                                                                                              undef,
                                                                                                                                              1,
                                                                                                                                              1,
                                                                                                                                              undef,
                                                                                                                                              1,
                                                                                                                                              '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              0
                                                                                                                                            ]
                                                                                                                                          ],
                                                                                                                                          [
                                                                                                                                            [],
                                                                                                                                            []
                                                                                                                                          ],
                                                                                                                                          1,
                                                                                                                                          1,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          1
                                                                                                                                        ],
                                                                                                                                        [
                                                                                                                                          [
                                                                                                                                            17,
                                                                                                                                            'priority:k18',
                                                                                                                                            [],
                                                                                                                                            [
                                                                                                                                              []
                                                                                                                                            ],
                                                                                                                                            1,
                                                                                                                                            1,
                                                                                                                                            undef,
                                                                                                                                            qr/(?-xism:(?-xism:priority))/,
                                                                                                                                            0,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            1,
                                                                                                                                            undef,
                                                                                                                                            0,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            undef
                                                                                                                                          ],
                                                                                                                                          [
                                                                                                                                            18,
                                                                                                                                            'integer',
                                                                                                                                            [],
                                                                                                                                            [
                                                                                                                                              []
                                                                                                                                            ],
                                                                                                                                            1,
                                                                                                                                            1,
                                                                                                                                            undef,
                                                                                                                                            qr/(?-xism:(?-xism:\d+))/,
                                                                                                                                            0,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            1,
                                                                                                                                            undef,
                                                                                                                                            0,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            undef,
                                                                                                                                            undef
                                                                                                                                          ],
                                                                                                                                          []
                                                                                                                                        ],
                                                                                                                                        undef,
                                                                                                                                        1,
                                                                                                                                        1,
                                                                                                                                        undef,
                                                                                                                                        1,
                                                                                                                                        ' q{ priority => } . $Parse::Marpa::This::v->[1] ',
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        0
                                                                                                                                      ],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      [
                                                                                                                                        50,
                                                                                                                                        'rule 50',
                                                                                                                                        [
                                                                                                                                          29,
                                                                                                                                          'string-definition',
                                                                                                                                          [
                                                                                                                                            []
                                                                                                                                          ],
                                                                                                                                          [
                                                                                                                                            [
                                                                                                                                              28,
                                                                                                                                              'rule 28',
                                                                                                                                              [],
                                                                                                                                              [
                                                                                                                                                []
                                                                                                                                              ],
                                                                                                                                              undef,
                                                                                                                                              1,
                                                                                                                                              1,
                                                                                                                                              undef,
                                                                                                                                              1,
                                                                                                                                              '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              undef,
                                                                                                                                              0
                                                                                                                                            ]
                                                                                                                                          ],
                                                                                                                                          1,
                                                                                                                                          1,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef,
                                                                                                                                          undef
                                                                                                                                        ],
                                                                                                                                        [
                                                                                                                                          [],
                                                                                                                                          [],
                                                                                                                                          [],
                                                                                                                                          []
                                                                                                                                        ],
                                                                                                                                        undef,
                                                                                                                                        1,
                                                                                                                                        1,
                                                                                                                                        undef,
                                                                                                                                        1,
                                                                                                                                        '
    \'$strings{"\'
    . $Parse::Marpa::This::v->[0]
    . \'"} = \'
    . $Parse::Marpa::This::v->[2]
    . qq{;\\n}
',
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        undef,
                                                                                                                                        0
                                                                                                                                      ],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      [],
                                                                                                                                      []
                                                                                                                                    ],
                                                                                                                                    1,
                                                                                                                                    1,
                                                                                                                                    undef,
                                                                                                                                    qr/(?-xism:(?-xism:\.))/,
                                                                                                                                    0,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    1,
                                                                                                                                    undef,
                                                                                                                                    0,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef
                                                                                                                                  ]
                                                                                                                                ],
                                                                                                                                undef,
                                                                                                                                1,
                                                                                                                                1,
                                                                                                                                undef,
                                                                                                                                1,
                                                                                                                                '
    "    action => "
    . $Parse::Marpa::This::v->[0]
',
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                0
                                                                                                                              ],
                                                                                                                              [],
                                                                                                                              []
                                                                                                                            ],
                                                                                                                            [
                                                                                                                              []
                                                                                                                            ],
                                                                                                                            1,
                                                                                                                            1,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            1
                                                                                                                          ],
                                                                                                                          [
                                                                                                                            [],
                                                                                                                            [],
                                                                                                                            [],
                                                                                                                            [],
                                                                                                                            []
                                                                                                                          ],
                                                                                                                          undef,
                                                                                                                          1,
                                                                                                                          1,
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          '
    "    action => "
    . $Parse::Marpa::This::v->[3]
',
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          0
                                                                                                                        ],
                                                                                                                        [
                                                                                                                          46,
                                                                                                                          'rule 46',
                                                                                                                          [
                                                                                                                            32,
                                                                                                                            'preamble-setting',
                                                                                                                            [
                                                                                                                              [],
                                                                                                                              [
                                                                                                                                47,
                                                                                                                                'rule 47',
                                                                                                                                [],
                                                                                                                                [
                                                                                                                                  [],
                                                                                                                                  [],
                                                                                                                                  [
                                                                                                                                    52,
                                                                                                                                    'a:kd',
                                                                                                                                    [],
                                                                                                                                    [
                                                                                                                                      [],
                                                                                                                                      []
                                                                                                                                    ],
                                                                                                                                    1,
                                                                                                                                    1,
                                                                                                                                    undef,
                                                                                                                                    qr/(?-xism:(?-xism:a))/,
                                                                                                                                    0,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    1,
                                                                                                                                    undef,
                                                                                                                                    0,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef
                                                                                                                                  ],
                                                                                                                                  [
                                                                                                                                    53,
                                                                                                                                    'preamble:kc',
                                                                                                                                    [],
                                                                                                                                    [
                                                                                                                                      [],
                                                                                                                                      []
                                                                                                                                    ],
                                                                                                                                    1,
                                                                                                                                    1,
                                                                                                                                    undef,
                                                                                                                                    qr/(?-xism:(?-xism:preamble))/,
                                                                                                                                    0,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    1,
                                                                                                                                    undef,
                                                                                                                                    0,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef,
                                                                                                                                    undef
                                                                                                                                  ]
                                                                                                                                ],
                                                                                                                                undef,
                                                                                                                                1,
                                                                                                                                1,
                                                                                                                                undef,
                                                                                                                                1,
                                                                                                                                '
    q{$new_preamble .= }
    . $Parse::Marpa::This::v->[0]
    . qq{;\\n}
',
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                1000
                                                                                                                              ]
                                                                                                                            ],
                                                                                                                            [
                                                                                                                              [
                                                                                                                                31,
                                                                                                                                'rule 31',
                                                                                                                                [],
                                                                                                                                [
                                                                                                                                  []
                                                                                                                                ],
                                                                                                                                undef,
                                                                                                                                1,
                                                                                                                                1,
                                                                                                                                undef,
                                                                                                                                1,
                                                                                                                                '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                undef,
                                                                                                                                0
                                                                                                                              ]
                                                                                                                            ],
                                                                                                                            1,
                                                                                                                            1,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef,
                                                                                                                            undef
                                                                                                                          ],
                                                                                                                          [
                                                                                                                            [],
                                                                                                                            [],
                                                                                                                            [],
                                                                                                                            []
                                                                                                                          ],
                                                                                                                          undef,
                                                                                                                          1,
                                                                                                                          1,
                                                                                                                          undef,
                                                                                                                          1,
                                                                                                                          '
    q{$new_preamble .= }
    . $Parse::Marpa::This::v->[3]
    . qq{;\\n}
',
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          undef,
                                                                                                                          1000
                                                                                                                        ],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        [],
                                                                                                                        []
                                                                                                                      ],
                                                                                                                      1,
                                                                                                                      1,
                                                                                                                      undef,
                                                                                                                      qr/(?-xism:(?-xism:is))/,
                                                                                                                      0,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      1,
                                                                                                                      undef,
                                                                                                                      0,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      undef
                                                                                                                    ]
                                                                                                                  ],
                                                                                                                  undef,
                                                                                                                  1,
                                                                                                                  1,
                                                                                                                  undef,
                                                                                                                  1,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  0
                                                                                                                ],
                                                                                                                [
                                                                                                                  49,
                                                                                                                  'rule 49',
                                                                                                                  [],
                                                                                                                  [
                                                                                                                    [
                                                                                                                      54,
                                                                                                                      'are:kb',
                                                                                                                      [],
                                                                                                                      [
                                                                                                                        []
                                                                                                                      ],
                                                                                                                      1,
                                                                                                                      1,
                                                                                                                      undef,
                                                                                                                      qr/(?-xism:(?-xism:are))/,
                                                                                                                      0,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      1,
                                                                                                                      undef,
                                                                                                                      0,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      undef,
                                                                                                                      undef
                                                                                                                    ]
                                                                                                                  ],
                                                                                                                  undef,
                                                                                                                  1,
                                                                                                                  1,
                                                                                                                  undef,
                                                                                                                  1,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  undef,
                                                                                                                  0
                                                                                                                ]
                                                                                                              ],
                                                                                                              [
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                [],
                                                                                                                []
                                                                                                              ],
                                                                                                              1,
                                                                                                              1,
                                                                                                              undef,
                                                                                                              undef,
                                                                                                              undef,
                                                                                                              undef,
                                                                                                              undef
                                                                                                            ],
                                                                                                            [],
                                                                                                            [],
                                                                                                            []
                                                                                                          ],
                                                                                                          undef,
                                                                                                          1,
                                                                                                          1,
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          '
    q{$new_start_symbol = }
    . $Parse::Marpa::This::v->[0]
    . qq{;\\n}
',
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          0
                                                                                                        ],
                                                                                                        [],
                                                                                                        [],
                                                                                                        [],
                                                                                                        []
                                                                                                      ],
                                                                                                      [
                                                                                                        [
                                                                                                          34,
                                                                                                          'rule 34',
                                                                                                          [],
                                                                                                          [
                                                                                                            []
                                                                                                          ],
                                                                                                          undef,
                                                                                                          1,
                                                                                                          1,
                                                                                                          undef,
                                                                                                          1,
                                                                                                          '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          undef,
                                                                                                          0
                                                                                                        ]
                                                                                                      ],
                                                                                                      1,
                                                                                                      1,
                                                                                                      undef,
                                                                                                      undef,
                                                                                                      undef,
                                                                                                      undef,
                                                                                                      undef
                                                                                                    ],
                                                                                                    [
                                                                                                      [],
                                                                                                      [],
                                                                                                      [],
                                                                                                      [],
                                                                                                      []
                                                                                                    ],
                                                                                                    undef,
                                                                                                    1,
                                                                                                    1,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    '
    q{$new_start_symbol = "}
    . $Parse::Marpa::This::v->[4]
    . qq{";\\n}
',
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    undef,
                                                                                                    0
                                                                                                  ],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  [],
                                                                                                  []
                                                                                                ],
                                                                                                1,
                                                                                                1,
                                                                                                undef,
                                                                                                undef,
                                                                                                undef,
                                                                                                undef,
                                                                                                undef
                                                                                              ]
                                                                                            ],
                                                                                            undef,
                                                                                            1,
                                                                                            1,
                                                                                            undef,
                                                                                            1,
                                                                                            '
    \'$strings{ "\'
    . $Parse::Marpa::This::v->[0]
    . \'" }\'
',
                                                                                            undef,
                                                                                            undef,
                                                                                            undef,
                                                                                            undef,
                                                                                            undef,
                                                                                            0
                                                                                          ]
                                                                                        ],
                                                                                        [
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          [],
                                                                                          []
                                                                                        ],
                                                                                        1,
                                                                                        1,
                                                                                        undef,
                                                                                        undef,
                                                                                        undef,
                                                                                        undef,
                                                                                        undef
                                                                                      ]
                                                                                    ],
                                                                                    undef,
                                                                                    1,
                                                                                    1,
                                                                                    undef,
                                                                                    1,
                                                                                    '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                                    undef,
                                                                                    undef,
                                                                                    undef,
                                                                                    undef,
                                                                                    undef,
                                                                                    0
                                                                                  ]
                                                                                ],
                                                                                [
                                                                                  [],
                                                                                  [],
                                                                                  [],
                                                                                  [],
                                                                                  [],
                                                                                  [],
                                                                                  [],
                                                                                  [],
                                                                                  [],
                                                                                  []
                                                                                ],
                                                                                1,
                                                                                1,
                                                                                undef,
                                                                                undef,
                                                                                undef,
                                                                                undef,
                                                                                undef
                                                                              ],
                                                                              [],
                                                                              [],
                                                                              [],
                                                                              []
                                                                            ],
                                                                            undef,
                                                                            1,
                                                                            1,
                                                                            undef,
                                                                            undef,
                                                                            '
    q{ $new_default_action = }
    . $Parse::Marpa::This::v->[0]
    . qq{;\\n}
',
                                                                            undef,
                                                                            undef,
                                                                            undef,
                                                                            undef,
                                                                            undef,
                                                                            0
                                                                          ],
                                                                          [],
                                                                          [],
                                                                          [],
                                                                          [],
                                                                          []
                                                                        ],
                                                                        [
                                                                          []
                                                                        ],
                                                                        1,
                                                                        1,
                                                                        undef,
                                                                        undef,
                                                                        undef,
                                                                        undef,
                                                                        undef
                                                                      ]
                                                                    ],
                                                                    undef,
                                                                    1,
                                                                    1,
                                                                    undef,
                                                                    1,
                                                                    '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                                                    undef,
                                                                    undef,
                                                                    undef,
                                                                    undef,
                                                                    undef,
                                                                    0
                                                                  ],
                                                                  [],
                                                                  [],
                                                                  [],
                                                                  [],
                                                                  [],
                                                                  []
                                                                ],
                                                                [
                                                                  []
                                                                ],
                                                                1,
                                                                1,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef
                                                              ],
                                                              []
                                                            ],
                                                            undef,
                                                            1,
                                                            1,
                                                            undef,
                                                            1,
                                                            ' $Parse::Marpa::This::v->[0] ',
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            1000
                                                          ],
                                                          [],
                                                          [
                                                            27,
                                                            'rule 27',
                                                            [],
                                                            [
                                                              [
                                                                28,
                                                                'bracketed-comment',
                                                                [],
                                                                [
                                                                  []
                                                                ],
                                                                1,
                                                                1,
                                                                undef,
                                                                qr/(?-xism:(?-xism:\x{5b}[^\x{5d}]*\x{5d}))/,
                                                                0,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                1,
                                                                undef,
                                                                0,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef
                                                              ]
                                                            ],
                                                            undef,
                                                            1,
                                                            1,
                                                            undef,
                                                            1,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            0
                                                          ],
                                                          []
                                                        ],
                                                        [
                                                          [],
                                                          [
                                                            11,
                                                            'rule 11',
                                                            [],
                                                            [
                                                              [],
                                                              []
                                                            ],
                                                            undef,
                                                            1,
                                                            1,
                                                            undef,
                                                            1,
                                                            '
            $Parse::Marpa::This::v
        ',
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            0
                                                          ]
                                                        ],
                                                        1,
                                                        1,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        1
                                                      ]
                                                    ],
                                                    undef,
                                                    1,
                                                    1,
                                                    undef,
                                                    1,
                                                    '
                unshift(@$Parse::Marpa::This::v, []);
                $Parse::Marpa::This::v 
            ',
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    0
                                                  ],
                                                  []
                                                ],
                                                [
                                                  [],
                                                  []
                                                ],
                                                1,
                                                1,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef
                                              ]
                                            ],
                                            undef,
                                            1,
                                            1,
                                            undef,
                                            1,
                                            '
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            0
                                          ]
                                        ],
                                        [
                                          []
                                        ],
                                        1,
                                        1,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef
                                      ]
                                    ],
                                    undef,
                                    1,
                                    1,
                                    undef,
                                    1,
                                    '
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    0
                                  ],
                                  [],
                                  []
                                ],
                                [
                                  [],
                                  [
                                    5,
                                    'rule 5',
                                    [],
                                    [
                                      [],
                                      [
                                        4,
                                        'empty-line',
                                        [],
                                        [
                                          [
                                            3,
                                            'rule 3',
                                            [],
                                            [
                                              [],
                                              []
                                            ],
                                            undef,
                                            1,
                                            1,
                                            undef,
                                            1,
                                            ' pop @$Parse::Marpa::This::v; 
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            0
                                          ],
                                          []
                                        ],
                                        1,
                                        1,
                                        undef,
                                        qr/(?-xism:(?m-xis:^[ \t]*\n))/,
                                        0,
                                        undef,
                                        undef,
                                        undef,
                                        1,
                                        undef,
                                        0,
                                        1,
                                        undef,
                                        undef,
                                        undef
                                      ],
                                      []
                                    ],
                                    undef,
                                    1,
                                    1,
                                    undef,
                                    1,
                                    '
            [
                @{$Parse::Marpa::This::v}[
                   grep { !($_ % 2) } (0 .. $#$Parse::Marpa::This::v)
                ],
            ]
        ',
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    0
                                  ]
                                ],
                                1,
                                1,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                1
                              ]
                            ],
                            undef,
                            1,
                            1,
                            undef,
                            1,
                            '
                [
                    [],
                    @{$Parse::Marpa::This::v}[
                        grep { !($_ % 2) } (0 .. $#$Parse::Marpa::This::v)
                    ]
                ]
            ',
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            0
                          ],
                          []
                        ],
                        [
                          [],
                          [],
                          []
                        ],
                        1,
                        1,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef
                      ]
                    ],
                    undef,
                    1,
                    1,
                    undef,
                    1,
                    '
                    HEAD: for (;;) {
                        my $head = shift @$Parse::Marpa::This::v;
                        last HEAD unless scalar @$head;
                        unshift(@$Parse::Marpa::This::v, @$head);
                    }
                
    my $v_count = scalar @$Parse::Marpa::This::v;
    return undef if $v_count <= 0;
    join("\\n", grep { $_ } @$Parse::Marpa::This::v);
',
                    undef,
                    undef,
                    undef,
                    undef,
                    undef,
                    0
                  ],
                  []
                ],
                [
                  [],
                  []
                ],
                1,
                1,
                undef,
                undef,
                undef,
                undef,
                undef
              ],
              [
                2,
                'whitespace-lines',
                [
                  [
                    91,
                    'rule 91',
                    [],
                    [
                      [
                        85,
                        'whitespace-line[Seq][1-*]',
                        [
                          [
                            92,
                            'rule 92',
                            [],
                            [
                              [
                                84,
                                'whitespace-line',
                                [],
                                [
                                  [],
                                  [
                                    93,
                                    'rule 93',
                                    [],
                                    [
                                      [],
                                      []
                                    ],
                                    undef,
                                    1,
                                    1,
                                    undef,
                                    1,
                                    '
            $Parse::Marpa::This::v
        ',
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    0
                                  ]
                                ],
                                1,
                                1,
                                undef,
                                qr/(?-xism:(?m-xis:^[ \t]*(?:\#[^\n]*)?\n))/,
                                0,
                                undef,
                                undef,
                                undef,
                                1,
                                undef,
                                0,
                                1,
                                undef,
                                undef,
                                undef
                              ]
                            ],
                            undef,
                            1,
                            1,
                            undef,
                            1,
                            '
                unshift(@$Parse::Marpa::This::v, []);
                $Parse::Marpa::This::v 
            ',
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            0
                          ],
                          []
                        ],
                        [
                          [],
                          []
                        ],
                        1,
                        1,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef
                      ]
                    ],
                    undef,
                    1,
                    1,
                    undef,
                    1,
                    undef,
                    undef,
                    undef,
                    undef,
                    undef,
                    undef,
                    0
                  ]
                ],
                [
                  []
                ],
                1,
                1,
                undef,
                undef,
                undef,
                undef,
                undef
              ]
            ],
            undef,
            1,
            1,
            undef,
            1,
            ' $Parse::Marpa::This::v->[0] ',
            undef,
            undef,
            undef,
            undef,
            undef,
            0
          ]
        ],
        [
          [
            136,
            'rule 136',
            [
              95,
              'grammar[\']',
              [
                []
              ],
              [],
              1,
              1,
              1,
              undef,
              undef,
              undef,
              undef
            ],
            [
              []
            ],
            undef,
            1,
            1,
            undef,
            1,
            ' $Parse::Marpa::This::v->[0] ',
            undef,
            undef,
            undef,
            undef,
            undef,
            0
          ]
        ],
        1,
        1,
        undef,
        undef,
        undef,
        undef,
        undef
      ],
      [
        []
      ],
      undef,
      1,
      1,
      undef,
      1,
      ' $Parse::Marpa::This::v->[0] ',
      undef,
      undef,
      undef,
      undef,
      undef,
      0
    ],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    []
  ],
  [
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    []
  ],
  {
    '29,45,22,24,19' => 1,
    '9,28' => 1,
    '33,39,38,20,37' => 1,
    '31,24,38,20,47,50,51' => 1,
    '20,55' => 1,
    '66,69,70,69' => 1,
    '78,26' => 1,
    '9,29' => 1,
    '1,3,4,3' => 1,
    '20' => 1,
    '35,45,38,20,43,44' => 1,
    '0,1,2' => 1,
    '14,23,19' => 1,
    '61,62' => 1,
    '69,75' => 1,
    '34,20,40,38,41' => 1,
    '38,22' => 1,
    '79,45,81,46,19' => 1,
    '65,45' => 1,
    '32,52,53,22,24' => 1,
    '11' => 1,
    '30,23,22,20,47,21' => 1,
    '26,25' => 1,
    '66,45,74,45,72' => 1,
    '78' => 1,
    '27,34' => 1,
    '27,36' => 1,
    '15,17,18,19' => 1,
    '9,25' => 1,
    '27,31' => 1,
    '7,11,12,11,13,11' => 1,
    '76,73,77' => 1,
    '27,33' => 1,
    '12,65,57,66,19' => 1,
    '66' => 1,
    '35,20,43,44,38,45' => 1,
    '77,45' => 1,
    '3,7' => 1,
    '33,20,37,38,39' => 1,
    '14,20,21,22,23,19' => 1,
    '34,42,38,20,40' => 1,
    '24,61' => 1,
    '79,82,45,83,24,19' => 1,
    '27,30' => 1,
    '66,73,45,72' => 1,
    '31,20,47,50,51,38,24' => 1,
    '66,45,72' => 1,
    '3,8' => 1,
    '30,20,47,21,22,23' => 1,
    '15,25' => 1,
    '23,24' => 1,
    '11,15' => 1,
    '36,20,47,48,49,38,46' => 1,
    '2,84' => 1,
    '58,59' => 1,
    '0,1' => 1,
    '32,24,22,52,53' => 1,
    '69,76' => 1,
    '25,56,57,58,19' => 1,
    '27,35' => 1,
    '24,45' => 1,
    '77,46' => 1,
    '13' => 1,
    '9,27,19' => 1,
    '27,32' => 1,
    '3,6' => 1,
    '13,14' => 1,
    '66,73,45,74,45,72' => 1,
    '61,63' => 1,
    '38,54' => 1,
    '6,9' => 1,
    '45,67' => 1,
    '61,64' => 1,
    '36,46,38,20,47,48,49' => 1,
    '8,78,79,78' => 1,
    '75,77' => 1
  },
  {
    'using:k0' => [],
    'comment-word' => [],
    'paragraph[Seq][1-*][Sep][empty-line]' => [],
    'default-null-value-setting' => [],
    'definition-paragraph' => [],
    '%3a:k6' => [],
    'are:kb' => [],
    'whitespace-line' => [],
    'terminal-paragraph' => [],
    'the:ka' => [],
    'version%20number:k15' => [],
    'single-quoted-string' => [],
    'period' => [],
    'comma' => [],
    'comment-tag' => [],
    'production-paragraph' => [],
    'non-structural-terminal-sentences[]' => [],
    'prefix:k10' => [],
    'non-structural-terminal-sentence' => [],
    'separated:k5' => [],
    'string-specifier' => [],
    'preamble-setting' => [],
    'q-string' => [],
    'null:kf' => [],
    'regex' => [],
    'comment-sentence' => [],
    'semantics-setting' => [],
    'rhs' => [],
    'production-paragraph[12:3][]' => [],
    'production-paragraph[12:2]' => [],
    'version-number' => [],
    'optional-rhs-element' => [],
    'version:k14' => [],
    'mandatory-rhs-element' => [],
    'empty-line' => [],
    'version-setting' => [],
    'optional:k3' => [],
    'action-specifier' => [],
    'non-structural-terminal-sentences' => [],
    'rhs-element' => [],
    'paragraphs' => [],
    'lex:k11' => [],
    'matches:k2' => [],
    'is:k7' => [],
    'non-structural-production-sentence' => [],
    'copula' => [],
    'action-sentence:optional[]' => [],
    'grammar' => [],
    'default-lex-prefix-setting' => [],
    'symbol-phrase' => [],
    'the:ka:optional[]' => [],
    'paragraph' => [],
    'action-sentence:optional' => [],
    'rhs[]' => [],
    'perl5:k17' => [],
    'integer' => [],
    'whitespace-line[Seq][1-*]' => [],
    'string-definition' => [],
    'preamble:kc' => [],
    'comment-word[Seq][1-*]' => [],
    'production-paragraph[12:3]' => [],
    'rhs-symbol-specifier' => [],
    'setting' => [],
    'a:kd' => [],
    'non-structural-production-sentence[Seq][1-*]' => [],
    'whitespace-lines' => [],
    'action:k8' => [],
    'terminal-sentence' => [],
    'rhs-element[Seq][1-*][Sep][comma]' => [],
    'production-sentence' => [],
    'sequence:k4' => [],
    'start:k13' => [],
    'match:k1' => [],
    'default-action-setting' => [],
    'definition' => [],
    'definition[Seq][1-*]' => [],
    'default:k9' => [],
    'non-structural-production-sentences' => [],
    'symbol-word' => [],
    'non-structural-production-sentences[]' => [],
    'non-structural-terminal-sentence[Seq][1-*]' => [],
    'action-sentence' => [],
    'lhs' => [],
    'double-quoted-string' => [],
    'comment-words' => [],
    'bracketed-comment' => [],
    'value:ke' => [],
    'symbol-word[Seq][1-*]' => [],
    'semantics:k16' => [],
    'start-symbol-setting' => [],
    'the:ka:optional' => [],
    'grammar[\']' => [],
    'production-paragraph[12:2][]' => [],
    'literal-string' => [],
    'symbol:k12' => [],
    'priority:k18' => []
  },
  [],
  [
    [
      0,
      'S0',
      undef,
      {
        '' => [
          [
            410,
            'S410',
            [
              [],
              0
            ],
            {
              '' => [
                [
                  1,
                  'S1',
                  [
                    [],
                    0
                  ],
                  {
                    '' => [
                      [
                        6,
                        'S6',
                        [
                          [],
                          0
                        ],
                        {
                          '' => [
                            [
                              11,
                              'S11',
                              [
                                [],
                                0
                              ],
                              {
                                '' => [
                                  [
                                    17,
                                    'S17',
                                    [
                                      [],
                                      0
                                    ],
                                    {
                                      '' => [
                                        [
                                          23,
                                          'S23',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            '' => [
                                              [
                                                25,
                                                'S25',
                                                [
                                                  [],
                                                  0
                                                ],
                                                {
                                                  '' => [
                                                    [
                                                      52,
                                                      'S52',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [
                                                            61,
                                                            'S61',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                [
                                                                  360,
                                                                  'S360',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      [
                                                                        46,
                                                                        'S46',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [
                                                                              183,
                                                                              'S183',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [
                                                                                    108,
                                                                                    'S108',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      'q-string' => [
                                                                                        [
                                                                                          109,
                                                                                          'S109',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ],
                                                                                  [
                                                                                    110,
                                                                                    'S110',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      'double-quoted-string' => [
                                                                                        [
                                                                                          111,
                                                                                          'S111',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ],
                                                                                  [
                                                                                    112,
                                                                                    'S112',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      'single-quoted-string' => [
                                                                                        [
                                                                                          113,
                                                                                          'S113',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ],
                                                                                'literal-string' => [
                                                                                  [
                                                                                    184,
                                                                                    'S184',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ],
                                                                            [
                                                                              185,
                                                                              'S185',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [
                                                                                    114,
                                                                                    'S114',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        [
                                                                                          116,
                                                                                          'S116',
                                                                                          [
                                                                                            [],
                                                                                            0
                                                                                          ],
                                                                                          {
                                                                                            'symbol-word' => [
                                                                                              [
                                                                                                117,
                                                                                                'S117',
                                                                                                [
                                                                                                  [],
                                                                                                  1
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ],
                                                                                        [
                                                                                          118,
                                                                                          'S118',
                                                                                          [
                                                                                            [],
                                                                                            0
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              [],
                                                                                              []
                                                                                            ],
                                                                                            'symbol-word[Seq][1-*]' => [
                                                                                              [
                                                                                                119,
                                                                                                'S119',
                                                                                                [
                                                                                                  [],
                                                                                                  1
                                                                                                ],
                                                                                                {
                                                                                                  'symbol-word' => [
                                                                                                    [
                                                                                                      120,
                                                                                                      'S120',
                                                                                                      [
                                                                                                        [],
                                                                                                        2
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ],
                                                                                      'symbol-word[Seq][1-*]' => [
                                                                                        [
                                                                                          115,
                                                                                          'S115',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ],
                                                                                'symbol-phrase' => [
                                                                                  [
                                                                                    186,
                                                                                    'S186',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ],
                                                                          'string-specifier' => [
                                                                            [
                                                                              47,
                                                                              'S47',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {}
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ],
                                                                    'action-specifier' => [
                                                                      [
                                                                        361,
                                                                        'S361',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'is:k7' => [
                                                                            [
                                                                              362,
                                                                              'S362',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [
                                                                                    94,
                                                                                    'S94',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      'the:ka' => [
                                                                                        [
                                                                                          95,
                                                                                          'S95',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ],
                                                                                'the:ka:optional' => [
                                                                                  [
                                                                                    363,
                                                                                    'S363',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'default:k9' => [
                                                                                        [
                                                                                          364,
                                                                                          'S364',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'action:k8' => [
                                                                                              [
                                                                                                365,
                                                                                                'S365',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  366,
                                                                  'S366',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'action-specifier' => [
                                                                      [
                                                                        367,
                                                                        'S367',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'is:k7' => [
                                                                            [
                                                                              368,
                                                                              'S368',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'the:ka:optional[]' => [
                                                                                  [
                                                                                    369,
                                                                                    'S369',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'default:k9' => [
                                                                                        [
                                                                                          370,
                                                                                          'S370',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'action:k8' => [
                                                                                              [
                                                                                                371,
                                                                                                'S371',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  372,
                                                                  'S372',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'the:ka:optional' => [
                                                                      [
                                                                        373,
                                                                        'S373',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'default:k9' => [
                                                                            [
                                                                              374,
                                                                              'S374',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'action:k8' => [
                                                                                  [
                                                                                    375,
                                                                                    'S375',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'is:k7' => [
                                                                                        [
                                                                                          376,
                                                                                          'S376',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              []
                                                                                            ],
                                                                                            'action-specifier' => [
                                                                                              [
                                                                                                377,
                                                                                                'S377',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  378,
                                                                  'S378',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'the:ka:optional[]' => [
                                                                      [
                                                                        379,
                                                                        'S379',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'default:k9' => [
                                                                            [
                                                                              380,
                                                                              'S380',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'action:k8' => [
                                                                                  [
                                                                                    381,
                                                                                    'S381',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'is:k7' => [
                                                                                        [
                                                                                          382,
                                                                                          'S382',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              []
                                                                                            ],
                                                                                            'action-specifier' => [
                                                                                              [
                                                                                                383,
                                                                                                'S383',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ],
                                                              'default-action-setting' => [
                                                                [
                                                                  62,
                                                                  'S62',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            63,
                                                            'S63',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                [
                                                                  332,
                                                                  'S332',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      [],
                                                                      []
                                                                    ],
                                                                    'string-specifier' => [
                                                                      [
                                                                        333,
                                                                        'S333',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [
                                                                              85,
                                                                              'S85',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                'is:k7' => [
                                                                                  [
                                                                                    86,
                                                                                    'S86',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ],
                                                                            [
                                                                              87,
                                                                              'S87',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                'are:kb' => [
                                                                                  [
                                                                                    88,
                                                                                    'S88',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              334,
                                                                              'S334',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'the:ka:optional' => [
                                                                                  [
                                                                                    335,
                                                                                    'S335',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'default:k9' => [
                                                                                        [
                                                                                          336,
                                                                                          'S336',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'null:kf' => [
                                                                                              [
                                                                                                337,
                                                                                                'S337',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  'value:ke' => [
                                                                                                    [
                                                                                                      338,
                                                                                                      'S338',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  339,
                                                                  'S339',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      [],
                                                                      []
                                                                    ],
                                                                    'string-specifier' => [
                                                                      [
                                                                        340,
                                                                        'S340',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              341,
                                                                              'S341',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'the:ka:optional[]' => [
                                                                                  [
                                                                                    342,
                                                                                    'S342',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'default:k9' => [
                                                                                        [
                                                                                          343,
                                                                                          'S343',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'null:kf' => [
                                                                                              [
                                                                                                344,
                                                                                                'S344',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  'value:ke' => [
                                                                                                    [
                                                                                                      345,
                                                                                                      'S345',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  346,
                                                                  'S346',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'the:ka:optional' => [
                                                                      [
                                                                        347,
                                                                        'S347',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'default:k9' => [
                                                                            [
                                                                              348,
                                                                              'S348',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'null:kf' => [
                                                                                  [
                                                                                    349,
                                                                                    'S349',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'value:ke' => [
                                                                                        [
                                                                                          350,
                                                                                          'S350',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              [],
                                                                                              []
                                                                                            ],
                                                                                            'copula' => [
                                                                                              [
                                                                                                351,
                                                                                                'S351',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  '' => [
                                                                                                    [],
                                                                                                    []
                                                                                                  ],
                                                                                                  'string-specifier' => [
                                                                                                    [
                                                                                                      352,
                                                                                                      'S352',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  353,
                                                                  'S353',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'the:ka:optional[]' => [
                                                                      [
                                                                        354,
                                                                        'S354',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'default:k9' => [
                                                                            [
                                                                              355,
                                                                              'S355',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'null:kf' => [
                                                                                  [
                                                                                    356,
                                                                                    'S356',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'value:ke' => [
                                                                                        [
                                                                                          357,
                                                                                          'S357',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              [],
                                                                                              []
                                                                                            ],
                                                                                            'copula' => [
                                                                                              [
                                                                                                358,
                                                                                                'S358',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  '' => [
                                                                                                    [],
                                                                                                    []
                                                                                                  ],
                                                                                                  'string-specifier' => [
                                                                                                    [
                                                                                                      359,
                                                                                                      'S359',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ],
                                                              'default-null-value-setting' => [
                                                                [
                                                                  64,
                                                                  'S64',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            65,
                                                            'S65',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                [
                                                                  75,
                                                                  'S75',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'a:kd' => [
                                                                      [
                                                                        76,
                                                                        'S76',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'preamble:kc' => [
                                                                            [
                                                                              77,
                                                                              'S77',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'is:k7' => [
                                                                                  [
                                                                                    78,
                                                                                    'S78',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        [],
                                                                                        []
                                                                                      ],
                                                                                      'string-specifier' => [
                                                                                        [
                                                                                          79,
                                                                                          'S79',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  80,
                                                                  'S80',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      [],
                                                                      []
                                                                    ],
                                                                    'string-specifier' => [
                                                                      [
                                                                        81,
                                                                        'S81',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'is:k7' => [
                                                                            [
                                                                              82,
                                                                              'S82',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'a:kd' => [
                                                                                  [
                                                                                    83,
                                                                                    'S83',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'preamble:kc' => [
                                                                                        [
                                                                                          84,
                                                                                          'S84',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ],
                                                              'preamble-setting' => [
                                                                [
                                                                  66,
                                                                  'S66',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            67,
                                                            'S67',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                [
                                                                  240,
                                                                  'S240',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'the:ka:optional' => [
                                                                      [
                                                                        241,
                                                                        'S241',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'semantics:k16' => [
                                                                            [
                                                                              242,
                                                                              'S242',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [],
                                                                                  []
                                                                                ],
                                                                                'copula' => [
                                                                                  [
                                                                                    243,
                                                                                    'S243',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'perl5:k17' => [
                                                                                        [
                                                                                          244,
                                                                                          'S244',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  245,
                                                                  'S245',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'the:ka:optional[]' => [
                                                                      [
                                                                        246,
                                                                        'S246',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'semantics:k16' => [
                                                                            [
                                                                              247,
                                                                              'S247',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [],
                                                                                  []
                                                                                ],
                                                                                'copula' => [
                                                                                  [
                                                                                    248,
                                                                                    'S248',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'perl5:k17' => [
                                                                                        [
                                                                                          249,
                                                                                          'S249',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  250,
                                                                  'S250',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'perl5:k17' => [
                                                                      [
                                                                        251,
                                                                        'S251',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              252,
                                                                              'S252',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'the:ka:optional' => [
                                                                                  [
                                                                                    253,
                                                                                    'S253',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'semantics:k16' => [
                                                                                        [
                                                                                          254,
                                                                                          'S254',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  255,
                                                                  'S255',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'perl5:k17' => [
                                                                      [
                                                                        256,
                                                                        'S256',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              257,
                                                                              'S257',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'the:ka:optional[]' => [
                                                                                  [
                                                                                    258,
                                                                                    'S258',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'semantics:k16' => [
                                                                                        [
                                                                                          259,
                                                                                          'S259',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ],
                                                              'semantics-setting' => [
                                                                [
                                                                  68,
                                                                  'S68',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            69,
                                                            'S69',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                [
                                                                  260,
                                                                  'S260',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'the:ka:optional' => [
                                                                      [
                                                                        261,
                                                                        'S261',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'version:k14' => [
                                                                            [
                                                                              262,
                                                                              'S262',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [],
                                                                                  []
                                                                                ],
                                                                                'copula' => [
                                                                                  [
                                                                                    263,
                                                                                    'S263',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'version-number' => [
                                                                                        [
                                                                                          264,
                                                                                          'S264',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  265,
                                                                  'S265',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'the:ka:optional[]' => [
                                                                      [
                                                                        266,
                                                                        'S266',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'version:k14' => [
                                                                            [
                                                                              267,
                                                                              'S267',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [],
                                                                                  []
                                                                                ],
                                                                                'copula' => [
                                                                                  [
                                                                                    268,
                                                                                    'S268',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'version-number' => [
                                                                                        [
                                                                                          269,
                                                                                          'S269',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  270,
                                                                  'S270',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'version%20number:k15' => [
                                                                      [
                                                                        271,
                                                                        'S271',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              272,
                                                                              'S272',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'the:ka:optional' => [
                                                                                  [
                                                                                    273,
                                                                                    'S273',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'version:k14' => [
                                                                                        [
                                                                                          274,
                                                                                          'S274',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  275,
                                                                  'S275',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'version%20number:k15' => [
                                                                      [
                                                                        276,
                                                                        'S276',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              277,
                                                                              'S277',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'the:ka:optional[]' => [
                                                                                  [
                                                                                    278,
                                                                                    'S278',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'version:k14' => [
                                                                                        [
                                                                                          279,
                                                                                          'S279',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ],
                                                              'version-setting' => [
                                                                [
                                                                  70,
                                                                  'S70',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            71,
                                                            'S71',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                [
                                                                  280,
                                                                  'S280',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'the:ka:optional' => [
                                                                      [
                                                                        281,
                                                                        'S281',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'start:k13' => [
                                                                            [
                                                                              282,
                                                                              'S282',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'symbol:k12' => [
                                                                                  [
                                                                                    283,
                                                                                    'S283',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        [],
                                                                                        []
                                                                                      ],
                                                                                      'copula' => [
                                                                                        [
                                                                                          284,
                                                                                          'S284',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              []
                                                                                            ],
                                                                                            'symbol-phrase' => [
                                                                                              [
                                                                                                285,
                                                                                                'S285',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  286,
                                                                  'S286',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'the:ka:optional[]' => [
                                                                      [
                                                                        287,
                                                                        'S287',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'start:k13' => [
                                                                            [
                                                                              288,
                                                                              'S288',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'symbol:k12' => [
                                                                                  [
                                                                                    289,
                                                                                    'S289',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        [],
                                                                                        []
                                                                                      ],
                                                                                      'copula' => [
                                                                                        [
                                                                                          290,
                                                                                          'S290',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              []
                                                                                            ],
                                                                                            'symbol-phrase' => [
                                                                                              [
                                                                                                291,
                                                                                                'S291',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  292,
                                                                  'S292',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'symbol-phrase' => [
                                                                      [
                                                                        293,
                                                                        'S293',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              294,
                                                                              'S294',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'the:ka:optional' => [
                                                                                  [
                                                                                    295,
                                                                                    'S295',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'start:k13' => [
                                                                                        [
                                                                                          296,
                                                                                          'S296',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'symbol:k12' => [
                                                                                              [
                                                                                                297,
                                                                                                'S297',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  298,
                                                                  'S298',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'symbol-phrase' => [
                                                                      [
                                                                        299,
                                                                        'S299',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              300,
                                                                              'S300',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'the:ka:optional[]' => [
                                                                                  [
                                                                                    301,
                                                                                    'S301',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'start:k13' => [
                                                                                        [
                                                                                          302,
                                                                                          'S302',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'symbol:k12' => [
                                                                                              [
                                                                                                303,
                                                                                                'S303',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ],
                                                              'start-symbol-setting' => [
                                                                [
                                                                  72,
                                                                  'S72',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            73,
                                                            'S73',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                [
                                                                  304,
                                                                  'S304',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'regex' => [
                                                                      [
                                                                        305,
                                                                        'S305',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              306,
                                                                              'S306',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'the:ka:optional' => [
                                                                                  [
                                                                                    307,
                                                                                    'S307',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'default:k9' => [
                                                                                        [
                                                                                          308,
                                                                                          'S308',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'lex:k11' => [
                                                                                              [
                                                                                                309,
                                                                                                'S309',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  'prefix:k10' => [
                                                                                                    [
                                                                                                      310,
                                                                                                      'S310',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  311,
                                                                  'S311',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'regex' => [
                                                                      [
                                                                        312,
                                                                        'S312',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'copula' => [
                                                                            [
                                                                              313,
                                                                              'S313',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'the:ka:optional[]' => [
                                                                                  [
                                                                                    314,
                                                                                    'S314',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'default:k9' => [
                                                                                        [
                                                                                          315,
                                                                                          'S315',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            'lex:k11' => [
                                                                                              [
                                                                                                316,
                                                                                                'S316',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  'prefix:k10' => [
                                                                                                    [
                                                                                                      317,
                                                                                                      'S317',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  318,
                                                                  'S318',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      []
                                                                    ],
                                                                    'the:ka:optional' => [
                                                                      [
                                                                        319,
                                                                        'S319',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'default:k9' => [
                                                                            [
                                                                              320,
                                                                              'S320',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'lex:k11' => [
                                                                                  [
                                                                                    321,
                                                                                    'S321',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'prefix:k10' => [
                                                                                        [
                                                                                          322,
                                                                                          'S322',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              [],
                                                                                              []
                                                                                            ],
                                                                                            'copula' => [
                                                                                              [
                                                                                                323,
                                                                                                'S323',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  'regex' => [
                                                                                                    [
                                                                                                      324,
                                                                                                      'S324',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ],
                                                                [
                                                                  325,
                                                                  'S325',
                                                                  [
                                                                    [],
                                                                    0
                                                                  ],
                                                                  {
                                                                    'the:ka:optional[]' => [
                                                                      [
                                                                        326,
                                                                        'S326',
                                                                        [
                                                                          [],
                                                                          1
                                                                        ],
                                                                        {
                                                                          'default:k9' => [
                                                                            [
                                                                              327,
                                                                              'S327',
                                                                              [
                                                                                [],
                                                                                2
                                                                              ],
                                                                              {
                                                                                'lex:k11' => [
                                                                                  [
                                                                                    328,
                                                                                    'S328',
                                                                                    [
                                                                                      [],
                                                                                      3
                                                                                    ],
                                                                                    {
                                                                                      'prefix:k10' => [
                                                                                        [
                                                                                          329,
                                                                                          'S329',
                                                                                          [
                                                                                            [],
                                                                                            4
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              [],
                                                                                              []
                                                                                            ],
                                                                                            'copula' => [
                                                                                              [
                                                                                                330,
                                                                                                'S330',
                                                                                                [
                                                                                                  [],
                                                                                                  5
                                                                                                ],
                                                                                                {
                                                                                                  'regex' => [
                                                                                                    [
                                                                                                      331,
                                                                                                      'S331',
                                                                                                      [
                                                                                                        [],
                                                                                                        6
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ],
                                                              'default-lex-prefix-setting' => [
                                                                [
                                                                  74,
                                                                  'S74',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ],
                                                        'setting' => [
                                                          [
                                                            53,
                                                            'S53',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {
                                                              'period' => [
                                                                [
                                                                  54,
                                                                  'S54',
                                                                  [
                                                                    [],
                                                                    2
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ]
                                                      }
                                                    ],
                                                    [
                                                      55,
                                                      'S55',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [
                                                            96,
                                                            'S96',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              'comment-tag' => [
                                                                [
                                                                  97,
                                                                  'S97',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {
                                                                    '%3a:k6' => [
                                                                      [
                                                                        98,
                                                                        'S98',
                                                                        [
                                                                          [],
                                                                          2
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [
                                                                              101,
                                                                              'S101',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [
                                                                                    103,
                                                                                    'S103',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      'comment-word' => [
                                                                                        [
                                                                                          104,
                                                                                          'S104',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ],
                                                                                  [
                                                                                    105,
                                                                                    'S105',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        [],
                                                                                        []
                                                                                      ],
                                                                                      'comment-word[Seq][1-*]' => [
                                                                                        [
                                                                                          106,
                                                                                          'S106',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {
                                                                                            'comment-word' => [
                                                                                              [
                                                                                                107,
                                                                                                'S107',
                                                                                                [
                                                                                                  [],
                                                                                                  2
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ],
                                                                                'comment-word[Seq][1-*]' => [
                                                                                  [
                                                                                    102,
                                                                                    'S102',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ],
                                                                          'comment-words' => [
                                                                            [
                                                                              99,
                                                                              'S99',
                                                                              [
                                                                                [],
                                                                                3
                                                                              ],
                                                                              {
                                                                                'period' => [
                                                                                  [
                                                                                    100,
                                                                                    'S100',
                                                                                    [
                                                                                      [],
                                                                                      4
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ],
                                                        'comment-sentence' => [
                                                          [
                                                            56,
                                                            'S56',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ],
                                                    [
                                                      57,
                                                      'S57',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        'bracketed-comment' => [
                                                          [
                                                            58,
                                                            'S58',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ],
                                                    [
                                                      59,
                                                      'S59',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [
                                                            89,
                                                            'S89',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'symbol-phrase' => [
                                                                [
                                                                  90,
                                                                  'S90',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {
                                                                    'is:k7' => [
                                                                      [
                                                                        91,
                                                                        'S91',
                                                                        [
                                                                          [],
                                                                          2
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'string-specifier' => [
                                                                            [
                                                                              92,
                                                                              'S92',
                                                                              [
                                                                                [],
                                                                                3
                                                                              ],
                                                                              {
                                                                                'period' => [
                                                                                  [
                                                                                    93,
                                                                                    'S93',
                                                                                    [
                                                                                      [],
                                                                                      4
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ],
                                                        'string-definition' => [
                                                          [
                                                            60,
                                                            'S60',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ],
                                                  'definition' => [
                                                    [
                                                      26,
                                                      'S26',
                                                      [
                                                        [],
                                                        1
                                                      ],
                                                      {}
                                                    ]
                                                  ]
                                                }
                                              ],
                                              [
                                                27,
                                                'S27',
                                                [
                                                  [],
                                                  0
                                                ],
                                                {
                                                  '' => [
                                                    [],
                                                    []
                                                  ],
                                                  'definition[Seq][1-*]' => [
                                                    [
                                                      28,
                                                      'S28',
                                                      [
                                                        [],
                                                        1
                                                      ],
                                                      {
                                                        '' => [
                                                          [],
                                                          [],
                                                          [],
                                                          []
                                                        ],
                                                        'definition' => [
                                                          [
                                                            29,
                                                            'S29',
                                                            [
                                                              [],
                                                              2
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ],
                                            'definition[Seq][1-*]' => [
                                              [
                                                24,
                                                'S24',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {}
                                              ]
                                            ]
                                          }
                                        ]
                                      ],
                                      'definition-paragraph' => [
                                        [
                                          18,
                                          'S18',
                                          [
                                            [],
                                            1
                                          ],
                                          {}
                                        ]
                                      ]
                                    }
                                  ],
                                  [
                                    19,
                                    'S19',
                                    [
                                      [],
                                      0
                                    ],
                                    {
                                      '' => [
                                        [
                                          194,
                                          'S194',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            '' => [
                                              [
                                                32,
                                                'S32',
                                                [
                                                  [],
                                                  0
                                                ],
                                                {
                                                  '' => [
                                                    [
                                                      34,
                                                      'S34',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [
                                                            39,
                                                            'S39',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              'priority:k18' => [
                                                                [
                                                                  40,
                                                                  'S40',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {
                                                                    'integer' => [
                                                                      [
                                                                        41,
                                                                        'S41',
                                                                        [
                                                                          [],
                                                                          2
                                                                        ],
                                                                        {
                                                                          'period' => [
                                                                            [
                                                                              42,
                                                                              'S42',
                                                                              [
                                                                                [],
                                                                                3
                                                                              ],
                                                                              {}
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            48,
                                                            'S48',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'comment-sentence' => [
                                                                [
                                                                  49,
                                                                  'S49',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ],
                                                        'non-structural-production-sentence' => [
                                                          [
                                                            35,
                                                            'S35',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ],
                                                    [
                                                      36,
                                                      'S36',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [],
                                                          []
                                                        ],
                                                        'non-structural-production-sentence[Seq][1-*]' => [
                                                          [
                                                            37,
                                                            'S37',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {
                                                              '' => [
                                                                [],
                                                                []
                                                              ],
                                                              'non-structural-production-sentence' => [
                                                                [
                                                                  38,
                                                                  'S38',
                                                                  [
                                                                    [],
                                                                    2
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ],
                                                  'non-structural-production-sentence[Seq][1-*]' => [
                                                    [
                                                      33,
                                                      'S33',
                                                      [
                                                        [],
                                                        1
                                                      ],
                                                      {}
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ],
                                            'non-structural-production-sentences' => [
                                              [
                                                195,
                                                'S195',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [
                                                      384,
                                                      'S384',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [
                                                            121,
                                                            'S121',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'symbol-phrase' => [
                                                                [
                                                                  122,
                                                                  'S122',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ],
                                                        'lhs' => [
                                                          [
                                                            385,
                                                            'S385',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {
                                                              '%3a:k6' => [
                                                                [
                                                                  386,
                                                                  'S386',
                                                                  [
                                                                    [],
                                                                    2
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      [
                                                                        123,
                                                                        'S123',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [
                                                                              128,
                                                                              'S128',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [
                                                                                    152,
                                                                                    'S152',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        [
                                                                                          156,
                                                                                          'S156',
                                                                                          [
                                                                                            [],
                                                                                            0
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              [
                                                                                                161,
                                                                                                'S161',
                                                                                                [
                                                                                                  [],
                                                                                                  0
                                                                                                ],
                                                                                                {
                                                                                                  '' => [
                                                                                                    []
                                                                                                  ],
                                                                                                  'symbol-phrase' => [
                                                                                                    [
                                                                                                      162,
                                                                                                      'S162',
                                                                                                      [
                                                                                                        [],
                                                                                                        1
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ],
                                                                                              [
                                                                                                163,
                                                                                                'S163',
                                                                                                [
                                                                                                  [],
                                                                                                  0
                                                                                                ],
                                                                                                {
                                                                                                  'regex' => [
                                                                                                    [
                                                                                                      164,
                                                                                                      'S164',
                                                                                                      [
                                                                                                        [],
                                                                                                        1
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ],
                                                                                            'rhs-symbol-specifier' => [
                                                                                              [
                                                                                                157,
                                                                                                'S157',
                                                                                                [
                                                                                                  [],
                                                                                                  1
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ],
                                                                                      'mandatory-rhs-element' => [
                                                                                        [
                                                                                          153,
                                                                                          'S153',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ],
                                                                                  [
                                                                                    154,
                                                                                    'S154',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        [
                                                                                          158,
                                                                                          'S158',
                                                                                          [
                                                                                            [],
                                                                                            0
                                                                                          ],
                                                                                          {
                                                                                            'optional:k3' => [
                                                                                              [
                                                                                                159,
                                                                                                'S159',
                                                                                                [
                                                                                                  [],
                                                                                                  1
                                                                                                ],
                                                                                                {
                                                                                                  '' => [
                                                                                                    [],
                                                                                                    []
                                                                                                  ],
                                                                                                  'rhs-symbol-specifier' => [
                                                                                                    [
                                                                                                      160,
                                                                                                      'S160',
                                                                                                      [
                                                                                                        [],
                                                                                                        2
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ],
                                                                                      'optional-rhs-element' => [
                                                                                        [
                                                                                          155,
                                                                                          'S155',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ],
                                                                                'rhs-element' => [
                                                                                  [
                                                                                    129,
                                                                                    'S129',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ],
                                                                            [
                                                                              130,
                                                                              'S130',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [],
                                                                                  []
                                                                                ],
                                                                                'rhs-element[Seq][1-*][Sep][comma]' => [
                                                                                  [
                                                                                    131,
                                                                                    'S131',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {
                                                                                      'comma' => [
                                                                                        [
                                                                                          132,
                                                                                          'S132',
                                                                                          [
                                                                                            [],
                                                                                            2
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              [],
                                                                                              []
                                                                                            ],
                                                                                            'rhs-element' => [
                                                                                              [
                                                                                                133,
                                                                                                'S133',
                                                                                                [
                                                                                                  [],
                                                                                                  3
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ],
                                                                          'rhs-element[Seq][1-*][Sep][comma]' => [
                                                                            [
                                                                              124,
                                                                              'S124',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {}
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ],
                                                                      [
                                                                        125,
                                                                        'S125',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'rhs-element[Seq][1-*][Sep][comma]' => [
                                                                            [
                                                                              126,
                                                                              'S126',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                'comma' => [
                                                                                  [
                                                                                    127,
                                                                                    'S127',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ],
                                                                      [
                                                                        134,
                                                                        'S134',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            []
                                                                          ],
                                                                          'symbol-phrase' => [
                                                                            [
                                                                              135,
                                                                              'S135',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                'sequence:k4' => [
                                                                                  [
                                                                                    136,
                                                                                    'S136',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ],
                                                                      [
                                                                        137,
                                                                        'S137',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          'optional:k3' => [
                                                                            [
                                                                              138,
                                                                              'S138',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'symbol-phrase' => [
                                                                                  [
                                                                                    139,
                                                                                    'S139',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {
                                                                                      'sequence:k4' => [
                                                                                        [
                                                                                          140,
                                                                                          'S140',
                                                                                          [
                                                                                            [],
                                                                                            3
                                                                                          ],
                                                                                          {}
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ],
                                                                      [
                                                                        141,
                                                                        'S141',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            []
                                                                          ],
                                                                          'symbol-phrase' => [
                                                                            [
                                                                              142,
                                                                              'S142',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                'separated:k5' => [
                                                                                  [
                                                                                    143,
                                                                                    'S143',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        []
                                                                                      ],
                                                                                      'symbol-phrase' => [
                                                                                        [
                                                                                          144,
                                                                                          'S144',
                                                                                          [
                                                                                            [],
                                                                                            3
                                                                                          ],
                                                                                          {
                                                                                            'sequence:k4' => [
                                                                                              [
                                                                                                145,
                                                                                                'S145',
                                                                                                [
                                                                                                  [],
                                                                                                  4
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ],
                                                                      [
                                                                        146,
                                                                        'S146',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          'optional:k3' => [
                                                                            [
                                                                              147,
                                                                              'S147',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'symbol-phrase' => [
                                                                                  [
                                                                                    148,
                                                                                    'S148',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {
                                                                                      'separated:k5' => [
                                                                                        [
                                                                                          149,
                                                                                          'S149',
                                                                                          [
                                                                                            [],
                                                                                            3
                                                                                          ],
                                                                                          {
                                                                                            '' => [
                                                                                              []
                                                                                            ],
                                                                                            'symbol-phrase' => [
                                                                                              [
                                                                                                150,
                                                                                                'S150',
                                                                                                [
                                                                                                  [],
                                                                                                  4
                                                                                                ],
                                                                                                {
                                                                                                  'sequence:k4' => [
                                                                                                    [
                                                                                                      151,
                                                                                                      'S151',
                                                                                                      [
                                                                                                        [],
                                                                                                        5
                                                                                                      ],
                                                                                                      {}
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ],
                                                                    'rhs' => [
                                                                      [
                                                                        387,
                                                                        'S387',
                                                                        [
                                                                          [],
                                                                          3
                                                                        ],
                                                                        {
                                                                          'period' => [
                                                                            [
                                                                              388,
                                                                              'S388',
                                                                              [
                                                                                [],
                                                                                4
                                                                              ],
                                                                              {}
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ]
                                                      }
                                                    ],
                                                    [
                                                      389,
                                                      'S389',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          []
                                                        ],
                                                        'lhs' => [
                                                          [
                                                            390,
                                                            'S390',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {
                                                              '%3a:k6' => [
                                                                [
                                                                  391,
                                                                  'S391',
                                                                  [
                                                                    [],
                                                                    2
                                                                  ],
                                                                  {
                                                                    'rhs[]' => [
                                                                      [
                                                                        392,
                                                                        'S392',
                                                                        [
                                                                          [],
                                                                          3
                                                                        ],
                                                                        {
                                                                          'period' => [
                                                                            [
                                                                              393,
                                                                              'S393',
                                                                              [
                                                                                [],
                                                                                4
                                                                              ],
                                                                              {}
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ],
                                                  'production-sentence' => [
                                                    [
                                                      196,
                                                      'S196',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        '' => [
                                                          [
                                                            210,
                                                            'S210',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'non-structural-production-sentences' => [
                                                                [
                                                                  211,
                                                                  'S211',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      [
                                                                        219,
                                                                        'S219',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [
                                                                              30,
                                                                              'S30',
                                                                              [
                                                                                [],
                                                                                0
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  [
                                                                                    43,
                                                                                    'S43',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        []
                                                                                      ],
                                                                                      'action-specifier' => [
                                                                                        [
                                                                                          44,
                                                                                          'S44',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {
                                                                                            'period' => [
                                                                                              [
                                                                                                45,
                                                                                                'S45',
                                                                                                [
                                                                                                  [],
                                                                                                  2
                                                                                                ],
                                                                                                {}
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ],
                                                                                  [
                                                                                    228,
                                                                                    'S228',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      '' => [
                                                                                        []
                                                                                      ],
                                                                                      'the:ka:optional' => [
                                                                                        [
                                                                                          229,
                                                                                          'S229',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {
                                                                                            'action:k8' => [
                                                                                              [
                                                                                                230,
                                                                                                'S230',
                                                                                                [
                                                                                                  [],
                                                                                                  2
                                                                                                ],
                                                                                                {
                                                                                                  'is:k7' => [
                                                                                                    [
                                                                                                      231,
                                                                                                      'S231',
                                                                                                      [
                                                                                                        [],
                                                                                                        3
                                                                                                      ],
                                                                                                      {
                                                                                                        '' => [
                                                                                                          []
                                                                                                        ],
                                                                                                        'action-specifier' => [
                                                                                                          [
                                                                                                            232,
                                                                                                            'S232',
                                                                                                            [
                                                                                                              [],
                                                                                                              4
                                                                                                            ],
                                                                                                            {
                                                                                                              'period' => [
                                                                                                                [
                                                                                                                  233,
                                                                                                                  'S233',
                                                                                                                  [
                                                                                                                    [],
                                                                                                                    5
                                                                                                                  ],
                                                                                                                  {}
                                                                                                                ]
                                                                                                              ]
                                                                                                            }
                                                                                                          ]
                                                                                                        ]
                                                                                                      }
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ],
                                                                                  [
                                                                                    234,
                                                                                    'S234',
                                                                                    [
                                                                                      [],
                                                                                      0
                                                                                    ],
                                                                                    {
                                                                                      'the:ka:optional[]' => [
                                                                                        [
                                                                                          235,
                                                                                          'S235',
                                                                                          [
                                                                                            [],
                                                                                            1
                                                                                          ],
                                                                                          {
                                                                                            'action:k8' => [
                                                                                              [
                                                                                                236,
                                                                                                'S236',
                                                                                                [
                                                                                                  [],
                                                                                                  2
                                                                                                ],
                                                                                                {
                                                                                                  'is:k7' => [
                                                                                                    [
                                                                                                      237,
                                                                                                      'S237',
                                                                                                      [
                                                                                                        [],
                                                                                                        3
                                                                                                      ],
                                                                                                      {
                                                                                                        '' => [
                                                                                                          []
                                                                                                        ],
                                                                                                        'action-specifier' => [
                                                                                                          [
                                                                                                            238,
                                                                                                            'S238',
                                                                                                            [
                                                                                                              [],
                                                                                                              4
                                                                                                            ],
                                                                                                            {
                                                                                                              'period' => [
                                                                                                                [
                                                                                                                  239,
                                                                                                                  'S239',
                                                                                                                  [
                                                                                                                    [],
                                                                                                                    5
                                                                                                                  ],
                                                                                                                  {}
                                                                                                                ]
                                                                                                              ]
                                                                                                            }
                                                                                                          ]
                                                                                                        ]
                                                                                                      }
                                                                                                    ]
                                                                                                  ]
                                                                                                }
                                                                                              ]
                                                                                            ]
                                                                                          }
                                                                                        ]
                                                                                      ]
                                                                                    }
                                                                                  ]
                                                                                ],
                                                                                'action-sentence' => [
                                                                                  [
                                                                                    31,
                                                                                    'S31',
                                                                                    [
                                                                                      [],
                                                                                      1
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ],
                                                                          'action-sentence:optional' => [
                                                                            [
                                                                              220,
                                                                              'S220',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'non-structural-production-sentences' => [
                                                                                  [
                                                                                    221,
                                                                                    'S221',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ],
                                                                      [
                                                                        222,
                                                                        'S222',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          'action-sentence:optional[]' => [
                                                                            [
                                                                              223,
                                                                              'S223',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                '' => [
                                                                                  []
                                                                                ],
                                                                                'non-structural-production-sentences' => [
                                                                                  [
                                                                                    224,
                                                                                    'S224',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ],
                                                                      [
                                                                        225,
                                                                        'S225',
                                                                        [
                                                                          [],
                                                                          0
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            []
                                                                          ],
                                                                          'action-sentence:optional' => [
                                                                            [
                                                                              226,
                                                                              'S226',
                                                                              [
                                                                                [],
                                                                                1
                                                                              ],
                                                                              {
                                                                                'non-structural-production-sentences[]' => [
                                                                                  [
                                                                                    227,
                                                                                    'S227',
                                                                                    [
                                                                                      [],
                                                                                      2
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ],
                                                                    'production-paragraph[12:3]' => [
                                                                      [
                                                                        212,
                                                                        'S212',
                                                                        [
                                                                          [],
                                                                          2
                                                                        ],
                                                                        {}
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            213,
                                                            'S213',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              'non-structural-production-sentences[]' => [
                                                                [
                                                                  214,
                                                                  'S214',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {
                                                                    '' => [
                                                                      [],
                                                                      [],
                                                                      []
                                                                    ],
                                                                    'production-paragraph[12:3]' => [
                                                                      [
                                                                        215,
                                                                        'S215',
                                                                        [
                                                                          [],
                                                                          2
                                                                        ],
                                                                        {}
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ],
                                                          [
                                                            216,
                                                            'S216',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'non-structural-production-sentences' => [
                                                                [
                                                                  217,
                                                                  'S217',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {
                                                                    'production-paragraph[12:3][]' => [
                                                                      [
                                                                        218,
                                                                        'S218',
                                                                        [
                                                                          [],
                                                                          2
                                                                        ],
                                                                        {}
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ],
                                                        'production-paragraph[12:2]' => [
                                                          [
                                                            197,
                                                            'S197',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ],
                                        [
                                          198,
                                          'S198',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            'non-structural-production-sentences[]' => [
                                              [
                                                199,
                                                'S199',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [],
                                                    []
                                                  ],
                                                  'production-sentence' => [
                                                    [
                                                      200,
                                                      'S200',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        '' => [
                                                          [],
                                                          [],
                                                          []
                                                        ],
                                                        'production-paragraph[12:2]' => [
                                                          [
                                                            201,
                                                            'S201',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ],
                                        [
                                          202,
                                          'S202',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            '' => [
                                              []
                                            ],
                                            'non-structural-production-sentences' => [
                                              [
                                                203,
                                                'S203',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [],
                                                    []
                                                  ],
                                                  'production-sentence' => [
                                                    [
                                                      204,
                                                      'S204',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        'production-paragraph[12:2][]' => [
                                                          [
                                                            205,
                                                            'S205',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ],
                                        [
                                          206,
                                          'S206',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            'non-structural-production-sentences[]' => [
                                              [
                                                207,
                                                'S207',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [],
                                                    []
                                                  ],
                                                  'production-sentence' => [
                                                    [
                                                      208,
                                                      'S208',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        'production-paragraph[12:2][]' => [
                                                          [
                                                            209,
                                                            'S209',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ]
                                      ],
                                      'production-paragraph' => [
                                        [
                                          20,
                                          'S20',
                                          [
                                            [],
                                            1
                                          ],
                                          {}
                                        ]
                                      ]
                                    }
                                  ],
                                  [
                                    21,
                                    'S21',
                                    [
                                      [],
                                      0
                                    ],
                                    {
                                      '' => [
                                        [
                                          394,
                                          'S394',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            '' => [
                                              [
                                                165,
                                                'S165',
                                                [
                                                  [],
                                                  0
                                                ],
                                                {
                                                  '' => [
                                                    [
                                                      167,
                                                      'S167',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [
                                                            50,
                                                            'S50',
                                                            [
                                                              [],
                                                              0
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'comment-sentence' => [
                                                                [
                                                                  51,
                                                                  'S51',
                                                                  [
                                                                    [],
                                                                    1
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ],
                                                        'non-structural-terminal-sentence' => [
                                                          [
                                                            168,
                                                            'S168',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ],
                                                    [
                                                      169,
                                                      'S169',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          [],
                                                          []
                                                        ],
                                                        'non-structural-terminal-sentence[Seq][1-*]' => [
                                                          [
                                                            170,
                                                            'S170',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'non-structural-terminal-sentence' => [
                                                                [
                                                                  171,
                                                                  'S171',
                                                                  [
                                                                    [],
                                                                    2
                                                                  ],
                                                                  {}
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ],
                                                  'non-structural-terminal-sentence[Seq][1-*]' => [
                                                    [
                                                      166,
                                                      'S166',
                                                      [
                                                        [],
                                                        1
                                                      ],
                                                      {}
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ],
                                            'non-structural-terminal-sentences' => [
                                              [
                                                395,
                                                'S395',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [
                                                      172,
                                                      'S172',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        '' => [
                                                          []
                                                        ],
                                                        'symbol-phrase' => [
                                                          [
                                                            173,
                                                            'S173',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {
                                                              'matches:k2' => [
                                                                [
                                                                  174,
                                                                  'S174',
                                                                  [
                                                                    [],
                                                                    2
                                                                  ],
                                                                  {
                                                                    'regex' => [
                                                                      [
                                                                        175,
                                                                        'S175',
                                                                        [
                                                                          [],
                                                                          3
                                                                        ],
                                                                        {
                                                                          'period' => [
                                                                            [
                                                                              176,
                                                                              'S176',
                                                                              [
                                                                                [],
                                                                                4
                                                                              ],
                                                                              {}
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ]
                                                      }
                                                    ],
                                                    [
                                                      177,
                                                      'S177',
                                                      [
                                                        [],
                                                        0
                                                      ],
                                                      {
                                                        'match:k1' => [
                                                          [
                                                            178,
                                                            'S178',
                                                            [
                                                              [],
                                                              1
                                                            ],
                                                            {
                                                              '' => [
                                                                []
                                                              ],
                                                              'symbol-phrase' => [
                                                                [
                                                                  179,
                                                                  'S179',
                                                                  [
                                                                    [],
                                                                    2
                                                                  ],
                                                                  {
                                                                    'using:k0' => [
                                                                      [
                                                                        180,
                                                                        'S180',
                                                                        [
                                                                          [],
                                                                          3
                                                                        ],
                                                                        {
                                                                          '' => [
                                                                            [],
                                                                            []
                                                                          ],
                                                                          'string-specifier' => [
                                                                            [
                                                                              181,
                                                                              'S181',
                                                                              [
                                                                                [],
                                                                                4
                                                                              ],
                                                                              {
                                                                                'period' => [
                                                                                  [
                                                                                    182,
                                                                                    'S182',
                                                                                    [
                                                                                      [],
                                                                                      5
                                                                                    ],
                                                                                    {}
                                                                                  ]
                                                                                ]
                                                                              }
                                                                            ]
                                                                          ]
                                                                        }
                                                                      ]
                                                                    ]
                                                                  }
                                                                ]
                                                              ]
                                                            }
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ],
                                                  'terminal-sentence' => [
                                                    [
                                                      396,
                                                      'S396',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        '' => [
                                                          []
                                                        ],
                                                        'non-structural-terminal-sentences' => [
                                                          [
                                                            397,
                                                            'S397',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ],
                                        [
                                          398,
                                          'S398',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            'non-structural-terminal-sentences[]' => [
                                              [
                                                399,
                                                'S399',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [],
                                                    []
                                                  ],
                                                  'terminal-sentence' => [
                                                    [
                                                      400,
                                                      'S400',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        '' => [
                                                          []
                                                        ],
                                                        'non-structural-terminal-sentences' => [
                                                          [
                                                            401,
                                                            'S401',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ],
                                        [
                                          402,
                                          'S402',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            '' => [
                                              []
                                            ],
                                            'non-structural-terminal-sentences' => [
                                              [
                                                403,
                                                'S403',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [],
                                                    []
                                                  ],
                                                  'terminal-sentence' => [
                                                    [
                                                      404,
                                                      'S404',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        'non-structural-terminal-sentences[]' => [
                                                          [
                                                            405,
                                                            'S405',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ],
                                        [
                                          406,
                                          'S406',
                                          [
                                            [],
                                            0
                                          ],
                                          {
                                            'non-structural-terminal-sentences[]' => [
                                              [
                                                407,
                                                'S407',
                                                [
                                                  [],
                                                  1
                                                ],
                                                {
                                                  '' => [
                                                    [],
                                                    []
                                                  ],
                                                  'terminal-sentence' => [
                                                    [
                                                      408,
                                                      'S408',
                                                      [
                                                        [],
                                                        2
                                                      ],
                                                      {
                                                        'non-structural-terminal-sentences[]' => [
                                                          [
                                                            409,
                                                            'S409',
                                                            [
                                                              [],
                                                              3
                                                            ],
                                                            {}
                                                          ]
                                                        ]
                                                      }
                                                    ]
                                                  ]
                                                }
                                              ]
                                            ]
                                          }
                                        ]
                                      ],
                                      'terminal-paragraph' => [
                                        [
                                          22,
                                          'S22',
                                          [
                                            [],
                                            1
                                          ],
                                          {}
                                        ]
                                      ]
                                    }
                                  ]
                                ],
                                'paragraph' => [
                                  [
                                    12,
                                    'S12',
                                    [
                                      [],
                                      1
                                    ],
                                    {}
                                  ]
                                ]
                              }
                            ],
                            [
                              13,
                              'S13',
                              [
                                [],
                                0
                              ],
                              {
                                '' => [
                                  [],
                                  []
                                ],
                                'paragraph[Seq][1-*][Sep][empty-line]' => [
                                  [
                                    14,
                                    'S14',
                                    [
                                      [],
                                      1
                                    ],
                                    {
                                      'empty-line' => [
                                        [
                                          15,
                                          'S15',
                                          [
                                            [],
                                            2
                                          ],
                                          {
                                            '' => [
                                              [],
                                              [],
                                              []
                                            ],
                                            'paragraph' => [
                                              [
                                                16,
                                                'S16',
                                                [
                                                  [],
                                                  3
                                                ],
                                                {}
                                              ]
                                            ]
                                          }
                                        ]
                                      ]
                                    }
                                  ]
                                ]
                              }
                            ]
                          ],
                          'paragraph[Seq][1-*][Sep][empty-line]' => [
                            [
                              7,
                              'S7',
                              [
                                [],
                                1
                              ],
                              {}
                            ]
                          ]
                        }
                      ],
                      [
                        8,
                        'S8',
                        [
                          [],
                          0
                        ],
                        {
                          '' => [
                            [],
                            []
                          ],
                          'paragraph[Seq][1-*][Sep][empty-line]' => [
                            [
                              9,
                              'S9',
                              [
                                [],
                                1
                              ],
                              {
                                'empty-line' => [
                                  [
                                    10,
                                    'S10',
                                    [
                                      [],
                                      2
                                    ],
                                    {}
                                  ]
                                ]
                              }
                            ]
                          ]
                        }
                      ]
                    ],
                    'paragraphs' => [
                      [
                        2,
                        'S2',
                        [
                          [],
                          1
                        ],
                        {}
                      ]
                    ]
                  }
                ],
                [
                  3,
                  'S3',
                  [
                    [],
                    0
                  ],
                  {
                    '' => [
                      [],
                      []
                    ],
                    'paragraphs' => [
                      [
                        4,
                        'S4',
                        [
                          [],
                          1
                        ],
                        {
                          '' => [
                            [
                              187,
                              'S187',
                              [
                                [],
                                0
                              ],
                              {
                                '' => [
                                  [
                                    189,
                                    'S189',
                                    [
                                      [],
                                      0
                                    ],
                                    {
                                      'whitespace-line' => [
                                        [
                                          190,
                                          'S190',
                                          [
                                            [],
                                            1
                                          ],
                                          {}
                                        ]
                                      ]
                                    }
                                  ],
                                  [
                                    191,
                                    'S191',
                                    [
                                      [],
                                      0
                                    ],
                                    {
                                      '' => [
                                        [],
                                        []
                                      ],
                                      'whitespace-line[Seq][1-*]' => [
                                        [
                                          192,
                                          'S192',
                                          [
                                            [],
                                            1
                                          ],
                                          {
                                            'whitespace-line' => [
                                              [
                                                193,
                                                'S193',
                                                [
                                                  [],
                                                  2
                                                ],
                                                {}
                                              ]
                                            ]
                                          }
                                        ]
                                      ]
                                    }
                                  ]
                                ],
                                'whitespace-line[Seq][1-*]' => [
                                  [
                                    188,
                                    'S188',
                                    [
                                      [],
                                      1
                                    ],
                                    {}
                                  ]
                                ]
                              }
                            ]
                          ],
                          'whitespace-lines' => [
                            [
                              5,
                              'S5',
                              [
                                [],
                                2
                              ],
                              {}
                            ]
                          ]
                        }
                      ]
                    ]
                  }
                ]
              ],
              'grammar' => [
                [
                  411,
                  'S411',
                  [
                    [],
                    1
                  ],
                  {}
                ]
              ]
            }
          ]
        ]
      }
    ],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    []
  ],
  [
    [
      0,
      '410',
      [
        []
      ],
      {
        '' => [
          1,
          '1,3,6,8,11,13,17,19,21,23,25,27,32,34,36,39,46,48,50,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,121,165,167,169,172,177,183,185,194,199,202,207,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379,384,389,394,399,402,407',
          [
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            [],
            []
          ],
          {
            'paragraph[Seq][1-*][Sep][empty-line]' => [
              3,
              '7,9,14',
              [
                [],
                [],
                []
              ],
              {
                'empty-line' => [
                  63,
                  '10,15',
                  [
                    [],
                    []
                  ],
                  {
                    '' => [
                      64,
                      '17,19,21,23,25,27,32,34,36,39,46,48,50,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,121,165,167,169,172,177,183,185,194,199,202,207,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379,384,389,394,399,402,407',
                      [
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        [],
                        []
                      ],
                      {
                        'default-null-value-setting' => [
                          4,
                          '64',
                          [
                            []
                          ],
                          undef,
                          [
                            'setting'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'definition-paragraph' => [
                          5,
                          '18',
                          [
                            []
                          ],
                          undef,
                          [
                            'paragraph'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'perl5:k17' => [
                          6,
                          '251,256',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [
                              7,
                              '85,87',
                              [
                                [],
                                []
                              ],
                              {
                                'is:k7' => [
                                  67,
                                  '86',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'copula'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'are:kb' => [
                                  68,
                                  '88',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'copula'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ],
                            'copula' => [
                              65,
                              '252,258',
                              [
                                [],
                                []
                              ],
                              {
                                '' => [
                                  66,
                                  '94',
                                  [
                                    []
                                  ],
                                  {
                                    'the:ka' => [
                                      8,
                                      '95',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'the:ka:optional'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'the:ka:optional' => [
                                  125,
                                  '253',
                                  [
                                    []
                                  ],
                                  {
                                    'semantics:k16' => [
                                      179,
                                      '254',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'semantics-setting'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'semantics:k16' => [
                                  126,
                                  '259',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'semantics-setting'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'the:ka' => [],
                        'terminal-paragraph' => [
                          9,
                          '22',
                          [
                            []
                          ],
                          undef,
                          [
                            'paragraph'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'version%20number:k15' => [
                          10,
                          '271,276',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [],
                            'copula' => [
                              69,
                              '272,278',
                              [
                                [],
                                []
                              ],
                              {
                                '' => [],
                                'the:ka:optional' => [
                                  127,
                                  '273',
                                  [
                                    []
                                  ],
                                  {
                                    'version:k14' => [
                                      180,
                                      '274',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'version-setting'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'version:k14' => [
                                  128,
                                  '279',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'version-setting'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'single-quoted-string' => [
                          11,
                          '113',
                          [
                            []
                          ],
                          undef,
                          [
                            'literal-string'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'string-definition' => [
                          12,
                          '60',
                          [
                            []
                          ],
                          undef,
                          [
                            'definition'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'comment-tag' => [
                          13,
                          '97',
                          [
                            []
                          ],
                          {
                            '%3a:k6' => [
                              70,
                              '98',
                              [
                                []
                              ],
                              {
                                '' => [
                                  71,
                                  '101,103,105',
                                  [
                                    [],
                                    [],
                                    []
                                  ],
                                  {
                                    'comment-word[Seq][1-*]' => [
                                      130,
                                      '102,106',
                                      [
                                        [],
                                        []
                                      ],
                                      {
                                        'comment-word' => [
                                          182,
                                          '107',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'comment-word[Seq][1-*]'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [
                                        'comment-words'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ],
                                    'comment-word' => [
                                      131,
                                      '104',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'comment-word[Seq][1-*]'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'comment-words' => [
                                  129,
                                  '99',
                                  [
                                    []
                                  ],
                                  {
                                    'period' => [
                                      181,
                                      '100',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'comment-sentence'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'production-paragraph' => [
                          14,
                          '20',
                          [
                            []
                          ],
                          undef,
                          [
                            'paragraph'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'a:kd' => [
                          15,
                          '76',
                          [
                            []
                          ],
                          {
                            'preamble:kc' => [
                              72,
                              '77',
                              [
                                []
                              ],
                              {
                                'is:k7' => [
                                  132,
                                  '78',
                                  [
                                    []
                                  ],
                                  {
                                    'string-specifier' => [
                                      183,
                                      '79',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'preamble-setting'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ],
                                    '' => [
                                      121,
                                      '108,110,112,114,116,118,183,185',
                                      [
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        []
                                      ],
                                      {
                                        'q-string' => [
                                          20,
                                          '109',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'literal-string'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'double-quoted-string' => [
                                          52,
                                          '111',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'literal-string'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'single-quoted-string' => [],
                                        'symbol-phrase' => [
                                          92,
                                          '186',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'string-specifier'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'symbol-word[Seq][1-*]' => [
                                          53,
                                          '115,119',
                                          [
                                            [],
                                            []
                                          ],
                                          {
                                            'symbol-word' => [
                                              113,
                                              '120',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'symbol-word[Seq][1-*]'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [
                                            'symbol-phrase'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'symbol-word' => [
                                          42,
                                          '117',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'symbol-word[Seq][1-*]'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'literal-string' => [
                                          60,
                                          '184',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'string-specifier'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'setting' => [
                          16,
                          '53',
                          [
                            []
                          ],
                          {
                            'period' => [
                              73,
                              '54',
                              [
                                []
                              ],
                              undef,
                              [
                                'definition'
                              ],
                              [
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                [
                                  []
                                ]
                              ],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'non-structural-terminal-sentence' => [
                          17,
                          '168',
                          [
                            []
                          ],
                          undef,
                          [
                            'non-structural-terminal-sentence[Seq][1-*]'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'non-structural-production-sentence[Seq][1-*]' => [
                          18,
                          '33,37',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [
                              19,
                              '39,48,96',
                              [
                                [],
                                [],
                                []
                              ],
                              {
                                'comment-tag' => [],
                                'comment-sentence' => [
                                  75,
                                  '49',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'non-structural-production-sentence'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'priority:k18' => [
                                  61,
                                  '40',
                                  [
                                    []
                                  ],
                                  {
                                    'integer' => [
                                      123,
                                      '41',
                                      [
                                        []
                                      ],
                                      {
                                        'period' => [
                                          178,
                                          '42',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'non-structural-production-sentence'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ],
                            'non-structural-production-sentence' => [
                              74,
                              '38',
                              [
                                []
                              ],
                              undef,
                              [
                                'non-structural-production-sentence[Seq][1-*]'
                              ],
                              [
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                [
                                  []
                                ]
                              ],
                              undef
                            ]
                          },
                          [
                            'non-structural-production-sentences'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'preamble-setting' => [
                          21,
                          '66',
                          [
                            []
                          ],
                          undef,
                          [
                            'setting'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'q-string' => [],
                        'string-specifier' => [
                          22,
                          '47,81,333,340',
                          [
                            [],
                            [],
                            [],
                            []
                          ],
                          {
                            '' => [],
                            'is:k7' => [
                              76,
                              '82',
                              [
                                []
                              ],
                              {
                                'a:kd' => [
                                  133,
                                  '83',
                                  [
                                    []
                                  ],
                                  {
                                    'preamble:kc' => [
                                      184,
                                      '84',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'preamble-setting'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ],
                            'copula' => [
                              77,
                              '334,342',
                              [
                                [],
                                []
                              ],
                              {
                                '' => [],
                                'default:k9' => [
                                  134,
                                  '343',
                                  [
                                    []
                                  ],
                                  {
                                    'null:kf' => [
                                      185,
                                      '344',
                                      [
                                        []
                                      ],
                                      {
                                        'value:ke' => [
                                          216,
                                          '345',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'default-null-value-setting'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'the:ka:optional' => [
                                  135,
                                  '335',
                                  [
                                    []
                                  ],
                                  {
                                    'default:k9' => [
                                      186,
                                      '336',
                                      [
                                        []
                                      ],
                                      {
                                        'null:kf' => [
                                          217,
                                          '337',
                                          [
                                            []
                                          ],
                                          {
                                            'value:ke' => [
                                              236,
                                              '338',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'default-null-value-setting'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [
                            'action-specifier'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'regex' => [
                          23,
                          '305,312',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [],
                            'copula' => [
                              78,
                              '306,314',
                              [
                                [],
                                []
                              ],
                              {
                                '' => [],
                                'default:k9' => [
                                  136,
                                  '315',
                                  [
                                    []
                                  ],
                                  {
                                    'lex:k11' => [
                                      187,
                                      '316',
                                      [
                                        []
                                      ],
                                      {
                                        'prefix:k10' => [
                                          218,
                                          '317',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'default-lex-prefix-setting'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'the:ka:optional' => [
                                  137,
                                  '307',
                                  [
                                    []
                                  ],
                                  {
                                    'default:k9' => [
                                      188,
                                      '308',
                                      [
                                        []
                                      ],
                                      {
                                        'lex:k11' => [
                                          219,
                                          '309',
                                          [
                                            []
                                          ],
                                          {
                                            'prefix:k10' => [
                                              237,
                                              '310',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'default-lex-prefix-setting'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'comment-sentence' => [
                          24,
                          '49,51,56',
                          [
                            [],
                            [],
                            []
                          ],
                          undef,
                          [
                            'definition',
                            'non-structural-production-sentence',
                            'non-structural-terminal-sentence'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ],
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ],
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'terminal-sentence' => [
                          25,
                          '400,409',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [
                              26,
                              '50,96,165,167,169',
                              [
                                [],
                                [],
                                [],
                                [],
                                []
                              ],
                              {
                                'comment-tag' => [],
                                'comment-sentence' => [
                                  80,
                                  '51',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'non-structural-terminal-sentence'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'non-structural-terminal-sentence' => [],
                                'non-structural-terminal-sentence[Seq][1-*]' => [
                                  44,
                                  '166,170',
                                  [
                                    [],
                                    []
                                  ],
                                  {
                                    '' => [
                                      45,
                                      '50,96',
                                      [
                                        [],
                                        []
                                      ],
                                      {
                                        'comment-tag' => [],
                                        'comment-sentence' => []
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'non-structural-terminal-sentence' => [
                                      105,
                                      '171',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'non-structural-terminal-sentence[Seq][1-*]'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [
                                    'non-structural-terminal-sentences'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ],
                            'non-structural-terminal-sentences' => [
                              79,
                              '401',
                              [
                                []
                              ],
                              undef,
                              [
                                'terminal-paragraph'
                              ],
                              [
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                [
                                  []
                                ]
                              ],
                              undef
                            ]
                          },
                          [
                            'terminal-paragraph'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'production-sentence' => [
                          27,
                          '200,209',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [
                              28,
                              '30,32,34,36,39,43,46,48,94,96,108,110,112,114,116,118,183,185,210,214,216,219,223,225,228,235',
                              [
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                []
                              ],
                              {
                                'action-sentence:optional' => [
                                  82,
                                  '220,227',
                                  [
                                    [],
                                    []
                                  ],
                                  {
                                    '' => [
                                      83,
                                      '32,34,36,39,48,96',
                                      [
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        []
                                      ],
                                      {
                                        'comment-tag' => [],
                                        'comment-sentence' => [],
                                        'non-structural-production-sentence[Seq][1-*]' => [],
                                        'priority:k18' => [],
                                        'non-structural-production-sentence' => [
                                          55,
                                          '35',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'non-structural-production-sentence[Seq][1-*]'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'non-structural-production-sentences' => [
                                      138,
                                      '221',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'production-paragraph[12:3]'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [
                                    'production-paragraph[12:3]'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'the:ka' => [],
                                'single-quoted-string' => [],
                                'non-structural-production-sentences' => [
                                  84,
                                  '211,218,224',
                                  [
                                    [],
                                    [],
                                    []
                                  ],
                                  {
                                    '' => [
                                      85,
                                      '30,32,34,36,39,43,46,48,94,96,108,110,112,114,116,118,183,185,219,223,225,228,235',
                                      [
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        [],
                                        []
                                      ],
                                      {
                                        'action-sentence:optional' => [],
                                        'the:ka' => [],
                                        'single-quoted-string' => [],
                                        'non-structural-production-sentences' => [
                                          140,
                                          '224',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'production-paragraph[12:3]'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'symbol-word' => [],
                                        'action-specifier' => [
                                          86,
                                          '44',
                                          [
                                            []
                                          ],
                                          {
                                            'period' => [
                                              141,
                                              '45',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'action-sentence'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'action-sentence' => [
                                          88,
                                          '31',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'action-sentence:optional'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'comment-tag' => [],
                                        'double-quoted-string' => [],
                                        'non-structural-production-sentence[Seq][1-*]' => [],
                                        'symbol-word[Seq][1-*]' => [],
                                        'non-structural-production-sentence' => [],
                                        'string-specifier' => [
                                          89,
                                          '47',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'action-specifier'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'q-string' => [],
                                        'action:k8' => [
                                          90,
                                          '236',
                                          [
                                            []
                                          ],
                                          {
                                            'is:k7' => [
                                              142,
                                              '237',
                                              [
                                                []
                                              ],
                                              {
                                                '' => [
                                                  143,
                                                  '46,108,110,112,114,116,118,183,185',
                                                  [
                                                    [],
                                                    [],
                                                    [],
                                                    [],
                                                    [],
                                                    [],
                                                    [],
                                                    [],
                                                    []
                                                  ],
                                                  {
                                                    'double-quoted-string' => [],
                                                    'symbol-word[Seq][1-*]' => [],
                                                    'q-string' => [],
                                                    'string-specifier' => [],
                                                    'single-quoted-string' => [],
                                                    'symbol-phrase' => [],
                                                    'literal-string' => [],
                                                    'symbol-word' => []
                                                  },
                                                  [],
                                                  [],
                                                  undef
                                                ],
                                                'action-specifier' => [
                                                  189,
                                                  '238',
                                                  [
                                                    []
                                                  ],
                                                  {
                                                    'period' => [
                                                      220,
                                                      '239',
                                                      [
                                                        []
                                                      ],
                                                      undef,
                                                      [
                                                        'action-sentence'
                                                      ],
                                                      [
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        [
                                                          []
                                                        ]
                                                      ],
                                                      undef
                                                    ]
                                                  },
                                                  [],
                                                  [],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'the:ka:optional' => [
                                          91,
                                          '229',
                                          [
                                            []
                                          ],
                                          {
                                            'action:k8' => [
                                              144,
                                              '230',
                                              [
                                                []
                                              ],
                                              {
                                                'is:k7' => [
                                                  190,
                                                  '231',
                                                  [
                                                    []
                                                  ],
                                                  {
                                                    '' => [],
                                                    'action-specifier' => [
                                                      221,
                                                      '232',
                                                      [
                                                        []
                                                      ],
                                                      {
                                                        'period' => [
                                                          238,
                                                          '233',
                                                          [
                                                            []
                                                          ],
                                                          undef,
                                                          [
                                                            'action-sentence'
                                                          ],
                                                          [
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            [
                                                              []
                                                            ]
                                                          ],
                                                          undef
                                                        ]
                                                      },
                                                      [],
                                                      [],
                                                      undef
                                                    ]
                                                  },
                                                  [],
                                                  [],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'comment-sentence' => [],
                                        'symbol-phrase' => [],
                                        'literal-string' => [],
                                        'priority:k18' => []
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'production-paragraph[12:3]' => [
                                      139,
                                      '212',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'production-paragraph[12:2]'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [
                                    'production-paragraph[12:2]',
                                    'production-paragraph[12:3]'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ],
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'symbol-word' => [],
                                'action-specifier' => [],
                                'production-paragraph[12:3]' => [
                                  87,
                                  '215',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'production-paragraph[12:2]'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'action-sentence' => [],
                                'comment-tag' => [],
                                'double-quoted-string' => [],
                                'non-structural-production-sentence[Seq][1-*]' => [],
                                'symbol-word[Seq][1-*]' => [],
                                'non-structural-production-sentence' => [],
                                'string-specifier' => [],
                                'q-string' => [],
                                'action:k8' => [],
                                'the:ka:optional' => [],
                                'comment-sentence' => [],
                                'symbol-phrase' => [],
                                'literal-string' => [],
                                'priority:k18' => []
                              },
                              [],
                              [],
                              undef
                            ],
                            'production-paragraph[12:2]' => [
                              81,
                              '201',
                              [
                                []
                              ],
                              undef,
                              [
                                'production-paragraph'
                              ],
                              [
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                [
                                  []
                                ]
                              ],
                              undef
                            ]
                          },
                          [
                            'production-paragraph'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'semantics-setting' => [
                          29,
                          '68',
                          [
                            []
                          ],
                          undef,
                          [
                            'setting'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'start:k13' => [
                          30,
                          '288',
                          [
                            []
                          ],
                          {
                            'symbol:k12' => [
                              93,
                              '289',
                              [
                                []
                              ],
                              {
                                '' => [],
                                'copula' => [
                                  145,
                                  '290',
                                  [
                                    []
                                  ],
                                  {
                                    '' => [
                                      32,
                                      '114,116,118',
                                      [
                                        [],
                                        [],
                                        []
                                      ],
                                      {
                                        'symbol-word[Seq][1-*]' => [],
                                        'symbol-word' => []
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'symbol-phrase' => [
                                      191,
                                      '291',
                                      [
                                        []
                                      ],
                                      undef,
                                      [
                                        'start-symbol-setting'
                                      ],
                                      [
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        undef,
                                        [
                                          []
                                        ]
                                      ],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'match:k1' => [
                          31,
                          '178',
                          [
                            []
                          ],
                          {
                            '' => [],
                            'symbol-phrase' => [
                              94,
                              '179',
                              [
                                []
                              ],
                              {
                                'using:k0' => [
                                  146,
                                  '180',
                                  [
                                    []
                                  ],
                                  {
                                    'string-specifier' => [
                                      192,
                                      '181',
                                      [
                                        []
                                      ],
                                      {
                                        'period' => [
                                          222,
                                          '182',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'terminal-sentence'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    '' => []
                                  },
                                  [],
                                  [],
                                  undef
                                ]
                              },
                              [],
                              [],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'default-action-setting' => [
                          33,
                          '62',
                          [
                            []
                          ],
                          undef,
                          [
                            'setting'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'definition[Seq][1-*]' => [
                          34,
                          '24,28',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [
                              35,
                              '46,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,183,185,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379',
                              [
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                [],
                                []
                              ],
                              {
                                'semantics-setting' => [],
                                'default-null-value-setting' => [],
                                'start:k13' => [],
                                'default-action-setting' => [],
                                'perl5:k17' => [],
                                'default:k9' => [
                                  37,
                                  '327,355,380',
                                  [
                                    [],
                                    [],
                                    []
                                  ],
                                  {
                                    'action:k8' => [
                                      98,
                                      '381',
                                      [
                                        []
                                      ],
                                      {
                                        'is:k7' => [
                                          147,
                                          '382',
                                          [
                                            []
                                          ],
                                          {
                                            '' => [],
                                            'action-specifier' => [
                                              193,
                                              '383',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'default-action-setting'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'null:kf' => [
                                      99,
                                      '356',
                                      [
                                        []
                                      ],
                                      {
                                        'value:ke' => [
                                          148,
                                          '357',
                                          [
                                            []
                                          ],
                                          {
                                            '' => [],
                                            'copula' => [
                                              194,
                                              '358',
                                              [
                                                []
                                              ],
                                              {
                                                'string-specifier' => [
                                                  223,
                                                  '359',
                                                  [
                                                    []
                                                  ],
                                                  undef,
                                                  [
                                                    'default-null-value-setting'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ],
                                                '' => []
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'lex:k11' => [
                                      100,
                                      '328',
                                      [
                                        []
                                      ],
                                      {
                                        'prefix:k10' => [
                                          149,
                                          '329',
                                          [
                                            []
                                          ],
                                          {
                                            '' => [],
                                            'copula' => [
                                              195,
                                              '330',
                                              [
                                                []
                                              ],
                                              {
                                                'regex' => [
                                                  224,
                                                  '331',
                                                  [
                                                    []
                                                  ],
                                                  undef,
                                                  [
                                                    'default-lex-prefix-setting'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'the:ka' => [],
                                'version%20number:k15' => [],
                                'version:k14' => [
                                  38,
                                  '267',
                                  [
                                    []
                                  ],
                                  {
                                    '' => [],
                                    'copula' => [
                                      101,
                                      '268',
                                      [
                                        []
                                      ],
                                      {
                                        'version-number' => [
                                          150,
                                          '269',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'version-setting'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'string-definition' => [],
                                'single-quoted-string' => [],
                                'version-setting' => [
                                  41,
                                  '70',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'setting'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'symbol-word' => [],
                                'action-specifier' => [
                                  43,
                                  '361,367',
                                  [
                                    [],
                                    []
                                  ],
                                  {
                                    'is:k7' => [
                                      104,
                                      '362,369',
                                      [
                                        [],
                                        []
                                      ],
                                      {
                                        '' => [],
                                        'default:k9' => [
                                          152,
                                          '370',
                                          [
                                            []
                                          ],
                                          {
                                            'action:k8' => [
                                              196,
                                              '371',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'default-action-setting'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'the:ka:optional' => [
                                          153,
                                          '363',
                                          [
                                            []
                                          ],
                                          {
                                            'default:k9' => [
                                              197,
                                              '364',
                                              [
                                                []
                                              ],
                                              {
                                                'action:k8' => [
                                                  225,
                                                  '365',
                                                  [
                                                    []
                                                  ],
                                                  undef,
                                                  [
                                                    'default-action-setting'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'comment-tag' => [],
                                'bracketed-comment' => [
                                  51,
                                  '58',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'definition'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'double-quoted-string' => [],
                                'a:kd' => [],
                                'setting' => [],
                                'symbol-word[Seq][1-*]' => [],
                                'semantics:k16' => [
                                  54,
                                  '247',
                                  [
                                    []
                                  ],
                                  {
                                    '' => [],
                                    'copula' => [
                                      114,
                                      '248',
                                      [
                                        []
                                      ],
                                      {
                                        'perl5:k17' => [
                                          167,
                                          '249',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'semantics-setting'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'q-string' => [],
                                'string-specifier' => [],
                                'preamble-setting' => [],
                                'default-lex-prefix-setting' => [
                                  58,
                                  '74',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'setting'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'start-symbol-setting' => [
                                  57,
                                  '72',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'setting'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'the:ka:optional' => [
                                  56,
                                  '241,261,281,319,347,373',
                                  [
                                    [],
                                    [],
                                    [],
                                    [],
                                    [],
                                    []
                                  ],
                                  {
                                    'default:k9' => [
                                      115,
                                      '320,348,374',
                                      [
                                        [],
                                        [],
                                        []
                                      ],
                                      {
                                        'action:k8' => [
                                          168,
                                          '375',
                                          [
                                            []
                                          ],
                                          {
                                            'is:k7' => [
                                              206,
                                              '376',
                                              [
                                                []
                                              ],
                                              {
                                                '' => [],
                                                'action-specifier' => [
                                                  231,
                                                  '377',
                                                  [
                                                    []
                                                  ],
                                                  undef,
                                                  [
                                                    'default-action-setting'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'null:kf' => [
                                          169,
                                          '349',
                                          [
                                            []
                                          ],
                                          {
                                            'value:ke' => [
                                              207,
                                              '350',
                                              [
                                                []
                                              ],
                                              {
                                                '' => [],
                                                'copula' => [
                                                  232,
                                                  '351',
                                                  [
                                                    []
                                                  ],
                                                  {
                                                    'string-specifier' => [
                                                      241,
                                                      '352',
                                                      [
                                                        []
                                                      ],
                                                      undef,
                                                      [
                                                        'default-null-value-setting'
                                                      ],
                                                      [
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        [
                                                          []
                                                        ]
                                                      ],
                                                      undef
                                                    ],
                                                    '' => []
                                                  },
                                                  [],
                                                  [],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'lex:k11' => [
                                          170,
                                          '321',
                                          [
                                            []
                                          ],
                                          {
                                            'prefix:k10' => [
                                              208,
                                              '322',
                                              [
                                                []
                                              ],
                                              {
                                                '' => [],
                                                'copula' => [
                                                  233,
                                                  '323',
                                                  [
                                                    []
                                                  ],
                                                  {
                                                    'regex' => [
                                                      242,
                                                      '324',
                                                      [
                                                        []
                                                      ],
                                                      undef,
                                                      [
                                                        'default-lex-prefix-setting'
                                                      ],
                                                      [
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        [
                                                          []
                                                        ]
                                                      ],
                                                      undef
                                                    ]
                                                  },
                                                  [],
                                                  [],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'version:k14' => [
                                      116,
                                      '262',
                                      [
                                        []
                                      ],
                                      {
                                        '' => [],
                                        'copula' => [
                                          171,
                                          '263',
                                          [
                                            []
                                          ],
                                          {
                                            'version-number' => [
                                              209,
                                              '264',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'version-setting'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'start:k13' => [
                                      117,
                                      '282',
                                      [
                                        []
                                      ],
                                      {
                                        'symbol:k12' => [
                                          172,
                                          '283',
                                          [
                                            []
                                          ],
                                          {
                                            '' => [],
                                            'copula' => [
                                              210,
                                              '284',
                                              [
                                                []
                                              ],
                                              {
                                                '' => [],
                                                'symbol-phrase' => [
                                                  234,
                                                  '285',
                                                  [
                                                    []
                                                  ],
                                                  undef,
                                                  [
                                                    'start-symbol-setting'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'semantics:k16' => [
                                      118,
                                      '242',
                                      [
                                        []
                                      ],
                                      {
                                        '' => [],
                                        'copula' => [
                                          173,
                                          '243',
                                          [
                                            []
                                          ],
                                          {
                                            'perl5:k17' => [
                                              211,
                                              '244',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'semantics-setting'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'regex' => [],
                                'comment-sentence' => [
                                  96,
                                  '56',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'definition'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'symbol-phrase' => [
                                  97,
                                  '90,186,293,299',
                                  [
                                    [],
                                    [],
                                    [],
                                    []
                                  ],
                                  {
                                    '' => [],
                                    'is:k7' => [
                                      120,
                                      '91',
                                      [
                                        []
                                      ],
                                      {
                                        'string-specifier' => [
                                          175,
                                          '92',
                                          [
                                            []
                                          ],
                                          {
                                            'period' => [
                                              213,
                                              '93',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'string-definition'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        '' => []
                                      },
                                      [],
                                      [],
                                      undef
                                    ],
                                    'copula' => [
                                      122,
                                      '294,301',
                                      [
                                        [],
                                        []
                                      ],
                                      {
                                        '' => [],
                                        'the:ka:optional' => [
                                          176,
                                          '295',
                                          [
                                            []
                                          ],
                                          {
                                            'start:k13' => [
                                              214,
                                              '296',
                                              [
                                                []
                                              ],
                                              {
                                                'symbol:k12' => [
                                                  235,
                                                  '297',
                                                  [
                                                    []
                                                  ],
                                                  undef,
                                                  [
                                                    'start-symbol-setting'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'start:k13' => [
                                          177,
                                          '302',
                                          [
                                            []
                                          ],
                                          {
                                            'symbol:k12' => [
                                              215,
                                              '303',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'start-symbol-setting'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [
                                    'string-specifier'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'literal-string' => []
                              },
                              [],
                              [],
                              undef
                            ],
                            'definition' => [
                              95,
                              '29',
                              [
                                []
                              ],
                              undef,
                              [
                                'definition[Seq][1-*]'
                              ],
                              [
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                [
                                  []
                                ]
                              ],
                              undef
                            ]
                          },
                          [
                            'definition-paragraph'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'definition' => [
                          36,
                          '26',
                          [
                            []
                          ],
                          undef,
                          [
                            'definition[Seq][1-*]'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'default:k9' => [],
                        'version:k14' => [],
                        'non-structural-production-sentences' => [
                          39,
                          '195,203',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [
                              40,
                              '114,116,118,121,384,389',
                              [
                                [],
                                [],
                                [],
                                [],
                                [],
                                []
                              ],
                              {
                                'lhs' => [
                                  48,
                                  '385,390',
                                  [
                                    [],
                                    []
                                  ],
                                  {
                                    '%3a:k6' => [
                                      108,
                                      '386,392',
                                      [
                                        [],
                                        []
                                      ],
                                      {
                                        '' => [
                                          109,
                                          '114,116,118,123,125,128,130,134,137,141,146,152,154,156,158,161,163',
                                          [
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            [],
                                            []
                                          ],
                                          {
                                            'rhs-element' => [
                                              158,
                                              '129',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'rhs-element[Seq][1-*][Sep][comma]'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ],
                                            'rhs-symbol-specifier' => [
                                              157,
                                              '157',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'mandatory-rhs-element'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ],
                                            'symbol-word[Seq][1-*]' => [],
                                            'regex' => [
                                              159,
                                              '164',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'rhs-symbol-specifier'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ],
                                            'optional-rhs-element' => [
                                              160,
                                              '155',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'rhs-element'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ],
                                            'mandatory-rhs-element' => [
                                              161,
                                              '153',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'rhs-element'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ],
                                            'symbol-phrase' => [
                                              162,
                                              '135,142,162',
                                              [
                                                [],
                                                [],
                                                []
                                              ],
                                              {
                                                'sequence:k4' => [
                                                  199,
                                                  '136',
                                                  [
                                                    []
                                                  ],
                                                  undef,
                                                  [
                                                    'rhs'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ],
                                                'separated:k5' => [
                                                  200,
                                                  '143',
                                                  [
                                                    []
                                                  ],
                                                  {
                                                    '' => [],
                                                    'symbol-phrase' => [
                                                      226,
                                                      '144',
                                                      [
                                                        []
                                                      ],
                                                      {
                                                        'sequence:k4' => [
                                                          239,
                                                          '145',
                                                          [
                                                            []
                                                          ],
                                                          undef,
                                                          [
                                                            'rhs'
                                                          ],
                                                          [
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            [
                                                              []
                                                            ]
                                                          ],
                                                          undef
                                                        ]
                                                      },
                                                      [],
                                                      [],
                                                      undef
                                                    ]
                                                  },
                                                  [],
                                                  [],
                                                  undef
                                                ]
                                              },
                                              [
                                                'rhs-symbol-specifier'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ],
                                            'rhs-element[Seq][1-*][Sep][comma]' => [
                                              163,
                                              '124,126,131',
                                              [
                                                [],
                                                [],
                                                []
                                              ],
                                              {
                                                'comma' => [
                                                  201,
                                                  '127,132',
                                                  [
                                                    [],
                                                    []
                                                  ],
                                                  {
                                                    '' => [
                                                      202,
                                                      '114,116,118,152,154,156,158,161,163',
                                                      [
                                                        [],
                                                        [],
                                                        [],
                                                        [],
                                                        [],
                                                        [],
                                                        [],
                                                        [],
                                                        []
                                                      ],
                                                      {
                                                        'rhs-symbol-specifier' => [],
                                                        'regex' => [],
                                                        'optional-rhs-element' => [],
                                                        'mandatory-rhs-element' => [],
                                                        'symbol-phrase' => [
                                                          205,
                                                          '162',
                                                          [
                                                            []
                                                          ],
                                                          undef,
                                                          [
                                                            'rhs-symbol-specifier'
                                                          ],
                                                          [
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            undef,
                                                            [
                                                              []
                                                            ]
                                                          ],
                                                          undef
                                                        ],
                                                        'symbol-word' => [],
                                                        'symbol-word[Seq][1-*]' => [],
                                                        'optional:k3' => [
                                                          228,
                                                          '159',
                                                          [
                                                            []
                                                          ],
                                                          {
                                                            '' => [
                                                              165,
                                                              '114,116,118,161,163',
                                                              [
                                                                [],
                                                                [],
                                                                [],
                                                                [],
                                                                []
                                                              ],
                                                              {
                                                                'regex' => [],
                                                                'symbol-phrase' => [],
                                                                'symbol-word[Seq][1-*]' => [],
                                                                'symbol-word' => []
                                                              },
                                                              [],
                                                              [],
                                                              undef
                                                            ],
                                                            'rhs-symbol-specifier' => [
                                                              203,
                                                              '160',
                                                              [
                                                                []
                                                              ],
                                                              undef,
                                                              [
                                                                'optional-rhs-element'
                                                              ],
                                                              [
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                [
                                                                  []
                                                                ]
                                                              ],
                                                              undef
                                                            ]
                                                          },
                                                          [],
                                                          [],
                                                          undef
                                                        ]
                                                      },
                                                      [],
                                                      [],
                                                      undef
                                                    ],
                                                    'rhs-element' => [
                                                      227,
                                                      '133',
                                                      [
                                                        []
                                                      ],
                                                      undef,
                                                      [
                                                        'rhs-element[Seq][1-*][Sep][comma]'
                                                      ],
                                                      [
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        [
                                                          []
                                                        ]
                                                      ],
                                                      undef
                                                    ]
                                                  },
                                                  [
                                                    'rhs'
                                                  ],
                                                  [
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    undef,
                                                    [
                                                      []
                                                    ]
                                                  ],
                                                  undef
                                                ]
                                              },
                                              [
                                                'rhs'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ],
                                            'symbol-word' => [],
                                            'optional:k3' => [
                                              164,
                                              '138,147,159',
                                              [
                                                [],
                                                [],
                                                []
                                              ],
                                              {
                                                '' => [],
                                                'rhs-symbol-specifier' => [],
                                                'symbol-phrase' => [
                                                  204,
                                                  '139,148',
                                                  [
                                                    [],
                                                    []
                                                  ],
                                                  {
                                                    'sequence:k4' => [
                                                      229,
                                                      '140',
                                                      [
                                                        []
                                                      ],
                                                      undef,
                                                      [
                                                        'rhs'
                                                      ],
                                                      [
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        undef,
                                                        [
                                                          []
                                                        ]
                                                      ],
                                                      undef
                                                    ],
                                                    'separated:k5' => [
                                                      230,
                                                      '149',
                                                      [
                                                        []
                                                      ],
                                                      {
                                                        '' => [],
                                                        'symbol-phrase' => [
                                                          240,
                                                          '150',
                                                          [
                                                            []
                                                          ],
                                                          {
                                                            'sequence:k4' => [
                                                              243,
                                                              '151',
                                                              [
                                                                []
                                                              ],
                                                              undef,
                                                              [
                                                                'rhs'
                                                              ],
                                                              [
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                undef,
                                                                [
                                                                  []
                                                                ]
                                                              ],
                                                              undef
                                                            ]
                                                          },
                                                          [],
                                                          [],
                                                          undef
                                                        ]
                                                      },
                                                      [],
                                                      [],
                                                      undef
                                                    ]
                                                  },
                                                  [],
                                                  [],
                                                  undef
                                                ]
                                              },
                                              [],
                                              [],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ],
                                        'period' => [
                                          155,
                                          '393',
                                          [
                                            []
                                          ],
                                          undef,
                                          [
                                            'production-sentence'
                                          ],
                                          [
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            undef,
                                            [
                                              []
                                            ]
                                          ],
                                          undef
                                        ],
                                        'rhs' => [
                                          156,
                                          '387',
                                          [
                                            []
                                          ],
                                          {
                                            'period' => [
                                              198,
                                              '388',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'production-sentence'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'symbol-phrase' => [
                                  103,
                                  '122',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'lhs'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ],
                                'symbol-word[Seq][1-*]' => [],
                                'symbol-word' => []
                              },
                              [],
                              [],
                              undef
                            ],
                            'production-sentence' => [
                              102,
                              '196,205',
                              [
                                [],
                                []
                              ],
                              {
                                '' => [],
                                'production-paragraph[12:2]' => [
                                  151,
                                  '197',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'production-paragraph'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ]
                              },
                              [
                                'production-paragraph'
                              ],
                              [
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                [
                                  []
                                ]
                              ],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'version-setting' => [],
                        'symbol-word' => [],
                        'non-structural-terminal-sentence[Seq][1-*]' => [],
                        'action-specifier' => [],
                        'non-structural-terminal-sentences' => [
                          46,
                          '395,403',
                          [
                            [],
                            []
                          ],
                          {
                            '' => [
                              47,
                              '114,116,118,172,177',
                              [
                                [],
                                [],
                                [],
                                [],
                                []
                              ],
                              {
                                'symbol-phrase' => [
                                  107,
                                  '173',
                                  [
                                    []
                                  ],
                                  {
                                    'matches:k2' => [
                                      119,
                                      '174',
                                      [
                                        []
                                      ],
                                      {
                                        'regex' => [
                                          174,
                                          '175',
                                          [
                                            []
                                          ],
                                          {
                                            'period' => [
                                              212,
                                              '176',
                                              [
                                                []
                                              ],
                                              undef,
                                              [
                                                'terminal-sentence'
                                              ],
                                              [
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                undef,
                                                [
                                                  []
                                                ]
                                              ],
                                              undef
                                            ]
                                          },
                                          [],
                                          [],
                                          undef
                                        ]
                                      },
                                      [],
                                      [],
                                      undef
                                    ]
                                  },
                                  [],
                                  [],
                                  undef
                                ],
                                'match:k1' => [],
                                'symbol-word[Seq][1-*]' => [],
                                'symbol-word' => []
                              },
                              [],
                              [],
                              undef
                            ],
                            'terminal-sentence' => [
                              106,
                              '396,405',
                              [
                                [],
                                []
                              ],
                              {
                                '' => [],
                                'non-structural-terminal-sentences' => [
                                  154,
                                  '397',
                                  [
                                    []
                                  ],
                                  undef,
                                  [
                                    'terminal-paragraph'
                                  ],
                                  [
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    undef,
                                    [
                                      []
                                    ]
                                  ],
                                  undef
                                ]
                              },
                              [
                                'terminal-paragraph'
                              ],
                              [
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                undef,
                                [
                                  []
                                ]
                              ],
                              undef
                            ]
                          },
                          [],
                          [],
                          undef
                        ],
                        'lhs' => [],
                        'double-quoted-string' => [],
                        'bracketed-comment' => [],
                        'symbol-word[Seq][1-*]' => [],
                        'non-structural-production-sentence' => [],
                        'semantics:k16' => [],
                        'default-lex-prefix-setting' => [],
                        'start-symbol-setting' => [],
                        'the:ka:optional' => [],
                        'symbol-phrase' => [
                          59,
                          '90,122,173,186,293,299',
                          [
                            [],
                            [],
                            [],
                            [],
                            [],
                            []
                          ],
                          {
                            '' => [],
                            'matches:k2' => [],
                            'is:k7' => [],
                            'copula' => []
                          },
                          [
                            'string-specifier',
                            'lhs'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ],
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ],
                        'literal-string' => [],
                        'priority:k18' => []
                      },
                      [],
                      [],
                      undef
                    ],
                    'paragraph' => [
                      124,
                      '16',
                      [
                        []
                      ],
                      undef,
                      [
                        'paragraph[Seq][1-*][Sep][empty-line]'
                      ],
                      [
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        [
                          []
                        ]
                      ],
                      undef
                    ]
                  },
                  [
                    'paragraphs'
                  ],
                  [
                    undef,
                    [
                      []
                    ]
                  ],
                  undef
                ]
              },
              [
                'paragraphs'
              ],
              [
                undef,
                [
                  []
                ]
              ],
              undef
            ],
            'default-null-value-setting' => [],
            'definition-paragraph' => [],
            'perl5:k17' => [],
            'the:ka' => [],
            'terminal-paragraph' => [],
            'version%20number:k15' => [],
            'string-definition' => [],
            'single-quoted-string' => [],
            'comment-tag' => [],
            'production-paragraph' => [],
            'a:kd' => [],
            'setting' => [],
            'non-structural-terminal-sentence' => [],
            'non-structural-production-sentence[Seq][1-*]' => [],
            'string-specifier' => [],
            'preamble-setting' => [],
            'q-string' => [],
            'regex' => [],
            'comment-sentence' => [],
            'terminal-sentence' => [],
            'production-sentence' => [],
            'semantics-setting' => [],
            'start:k13' => [],
            'match:k1' => [],
            'default-action-setting' => [],
            'definition[Seq][1-*]' => [],
            'definition' => [],
            'default:k9' => [],
            'version:k14' => [],
            'symbol-word' => [],
            'non-structural-production-sentences' => [],
            'version-setting' => [],
            'non-structural-terminal-sentence[Seq][1-*]' => [],
            'action-specifier' => [],
            'non-structural-terminal-sentences' => [],
            'paragraphs' => [
              49,
              '2,4',
              [
                [],
                []
              ],
              {
                '' => [
                  50,
                  '187,189,191',
                  [
                    [],
                    [],
                    []
                  ],
                  {
                    'whitespace-line[Seq][1-*]' => [
                      111,
                      '188,192',
                      [
                        [],
                        []
                      ],
                      {
                        'whitespace-line' => [
                          166,
                          '193',
                          [
                            []
                          ],
                          undef,
                          [
                            'whitespace-line[Seq][1-*]'
                          ],
                          [
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            undef,
                            [
                              []
                            ]
                          ],
                          undef
                        ]
                      },
                      [
                        'whitespace-lines'
                      ],
                      [
                        undef,
                        undef,
                        [
                          []
                        ]
                      ],
                      undef
                    ],
                    'whitespace-line' => [
                      112,
                      '190',
                      [
                        []
                      ],
                      undef,
                      [
                        'whitespace-line[Seq][1-*]'
                      ],
                      [
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        undef,
                        [
                          []
                        ]
                      ],
                      undef
                    ]
                  },
                  [],
                  [],
                  undef
                ],
                'whitespace-lines' => [
                  110,
                  '5',
                  [
                    []
                  ],
                  undef,
                  [
                    'grammar'
                  ],
                  [
                    [
                      []
                    ]
                  ],
                  undef
                ]
              },
              [
                'grammar'
              ],
              [
                [
                  []
                ]
              ],
              undef
            ],
            'lhs' => [],
            'double-quoted-string' => [],
            'bracketed-comment' => [],
            'symbol-word[Seq][1-*]' => [],
            'non-structural-production-sentence' => [],
            'semantics:k16' => [],
            'default-lex-prefix-setting' => [],
            'start-symbol-setting' => [],
            'the:ka:optional' => [],
            'symbol-phrase' => [],
            'priority:k18' => [],
            'literal-string' => [],
            'paragraph' => [
              62,
              '12',
              [
                []
              ],
              undef,
              [
                'paragraph[Seq][1-*][Sep][empty-line]'
              ],
              [
                undef,
                undef,
                undef,
                undef,
                undef,
                [
                  []
                ]
              ],
              undef
            ]
          },
          [],
          [],
          undef
        ],
        'grammar' => [
          2,
          '411',
          [
            []
          ],
          undef,
          [
            'grammar[\']'
          ],
          [
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            undef,
            [
              []
            ]
          ],
          []
        ]
      },
      [],
      [],
      undef
    ],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    [],
    []
  ],
  {
    '320,348,374' => [],
    '331' => [],
    '358' => [],
    '305,312' => [],
    '49,51,56' => [],
    '18' => [],
    '376' => [],
    '329' => [],
    '16' => [],
    '44' => [],
    '33,37' => [],
    '10,15' => [],
    '84' => [],
    '233' => [],
    '190' => [],
    '187,189,191' => [],
    '259' => [],
    '95' => [],
    '316' => [],
    '20' => [],
    '231' => [],
    '243' => [],
    '109' => [],
    '385,390' => [],
    '151' => [],
    '138,147,159' => [],
    '175' => [],
    '90,186,293,299' => [],
    '31' => [],
    '343' => [],
    '115,119' => [],
    '35' => [],
    '39,48,96' => [],
    '306,314' => [],
    '78' => [],
    '114,116,118,123,125,128,130,134,137,141,146,152,154,156,158,161,163' => [],
    '200,209' => [],
    '139,148' => [],
    '397' => [],
    '93' => [],
    '349' => [],
    '90,122,173,186,293,299' => [],
    '166,170' => [],
    '157' => [],
    '29' => [],
    '251,256' => [],
    '350' => [],
    '197' => [],
    '7,9,14' => [],
    '47,81,333,340' => [],
    '291' => [],
    '58' => [],
    '153' => [],
    '60' => [],
    '50,96,165,167,169' => [],
    '337' => [],
    '382' => [],
    '321' => [],
    '284' => [],
    '86' => [],
    '24,28' => [],
    '76' => [],
    '62' => [],
    '247' => [],
    '371' => [],
    '289' => [],
    '46,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,183,185,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379' => [],
    '129' => [],
    '362,369' => [],
    '401' => [],
    '334,342' => [],
    '271,276' => [],
    '30,32,34,36,39,43,46,48,94,96,108,110,112,114,116,118,183,185,210,214,216,219,223,225,228,235' => [],
    '186' => [],
    '188,192' => [],
    '30,32,34,36,39,43,46,48,94,96,108,110,112,114,116,118,183,185,219,223,225,228,235' => [],
    '82' => [],
    '273' => [],
    '323' => [],
    '236' => [],
    '249' => [],
    '114,116,118,161,163' => [],
    '268' => [],
    '168' => [],
    '252,258' => [],
    '184' => [],
    '345' => [],
    '145' => [],
    '49' => [],
    '178' => [],
    '224' => [],
    '285' => [],
    '140' => [],
    '104' => [],
    '1,3,6,8,11,13,17,19,21,23,25,27,32,34,36,39,46,48,50,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,121,165,167,169,172,177,183,185,194,199,202,207,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379,384,389,394,399,402,407' => [],
    '195,203' => [],
    '181' => [],
    '114,116,118,152,154,156,158,161,163' => [],
    '282' => [],
    '307' => [],
    '262' => [],
    '79' => [],
    '212' => [],
    '135,142,162' => [],
    '352' => [],
    '344' => [],
    '388' => [],
    '364' => [],
    '159' => [],
    '238' => [],
    '17,19,21,23,25,27,32,34,36,39,46,48,50,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,121,165,167,169,172,177,183,185,194,199,202,207,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379,384,389,394,399,402,407' => [],
    '253' => [],
    '160' => [],
    '279' => [],
    '176' => [],
    '47' => [],
    '98' => [],
    '124,126,131' => [],
    '272,278' => [],
    '357' => [],
    '335' => [],
    '117' => [],
    '5' => [],
    '26' => [],
    '193' => [],
    '288' => [],
    '336' => [],
    '85,87' => [],
    '324' => [],
    '180' => [],
    '99' => [],
    '244' => [],
    '162' => [],
    '114,116,118,172,177' => [],
    '72' => [],
    '179' => [],
    '383' => [],
    '351' => [],
    '264' => [],
    '297' => [],
    '410' => [],
    '74' => [],
    '359' => [],
    '182' => [],
    '230' => [],
    '377' => [],
    '92' => [],
    '102,106' => [],
    '114,116,118' => [],
    '386,392' => [],
    '201' => [],
    '232' => [],
    '113' => [],
    '196,205' => [],
    '330' => [],
    '400,409' => [],
    '295' => [],
    '263' => [],
    '91' => [],
    '107' => [],
    '77' => [],
    '174' => [],
    '133' => [],
    '290' => [],
    '149' => [],
    '221' => [],
    '327,355,380' => [],
    '64' => [],
    '97' => [],
    '12' => [],
    '41' => [],
    '302' => [],
    '173' => [],
    '393' => [],
    '56' => [],
    '45' => [],
    '66' => [],
    '229' => [],
    '54' => [],
    '365' => [],
    '127,132' => [],
    '274' => [],
    '237' => [],
    '370' => [],
    '309' => [],
    '70' => [],
    '101,103,105' => [],
    '68' => [],
    '322' => [],
    '315' => [],
    '32,34,36,39,48,96' => [],
    '211,218,224' => [],
    '108,110,112,114,116,118,183,185' => [],
    '136' => [],
    '375' => [],
    '88' => [],
    '338' => [],
    '144' => [],
    '100' => [],
    '46,108,110,112,114,116,118,183,185' => [],
    '120' => [],
    '310' => [],
    '283' => [],
    '83' => [],
    '40' => [],
    '303' => [],
    '241,261,281,319,347,373' => [],
    '381' => [],
    '2,4' => [],
    '308' => [],
    '254' => [],
    '215' => [],
    '294,301' => [],
    '150' => [],
    '155' => [],
    '387' => [],
    '114,116,118,121,384,389' => [],
    '53' => [],
    '328' => [],
    '239' => [],
    '267' => [],
    '122' => [],
    '143' => [],
    '42' => [],
    '269' => [],
    '22' => [],
    '363' => [],
    '395,403' => [],
    '361,367' => [],
    '94' => [],
    '248' => [],
    '111' => [],
    '51' => [],
    '220,227' => [],
    '38' => [],
    '356' => [],
    '317' => [],
    '296' => [],
    '396,405' => [],
    '164' => [],
    '411' => [],
    '50,96' => [],
    '171' => [],
    '242' => []
  },
  [
    [],
    [],
    [],
    [],
    [],
    [],
    []
  ],
  0,
  undef,
  undef,
  qr/(?-xism:(?-xism:(?:[ \t]*(?:\n|(?:\#[^\n]*\n)))*[ \t]*))/,
  '',
  1,
  0,
  *::STDERR,
  ' "Earleme " . $earleme ',
  1,
  undef,
  '
    our $whitespace = qr/(?:[ \\t]*(?:\\n|(?:\\#[^\\n]*\\n)))*[ \\t]*/;
    our $default_lex_prefix = $whitespace;
    our %strings;
    my $new_start_symbol;
    my $new_version;
    my $new_semantics;
    my $new_default_action;
    my $new_default_null_value;
    my $new_default_lex_prefix;
',
  'precomputed grammar',
  1,
  '0.001058',
  30,
  'perl5'
], 'Parse::Marpa' );
$grammar->[2][0][2][2][0] = $grammar->[2][0];
$grammar->[2][0][2][2][1][2] = $grammar->[2][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][13] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][3][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][3][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][13] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][15] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][16] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][17] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][18] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][19] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][20] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][21] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][22] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][23] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][24] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][25] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][10];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][10];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][2][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][2][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][3][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][3][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][13] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][15] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][16] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][17] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][18] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][19] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][20] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][21] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][22] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][23] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][24] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][25] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][26] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][27] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][28] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][3][29] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][13] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][15] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0][2] = $grammar->[2][0][2][2][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][0][2][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][2][0][3][0][3][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][0][2][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[2][0][2][2][1][3][0][3][0] = $grammar->[2][0];
$grammar->[2][0][2][2][1][3][0][3][1] = $grammar->[2][0][2][2][1];
$grammar->[2][0][2][2][1][3][1][2][0][2] = $grammar->[2][0][2][2][1][3][1];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][2] = $grammar->[2][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1][2] = $grammar->[2][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1][3][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1][3][1] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][2][1] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][3][0] = $grammar->[2][0][2][2][1][3][1][2][0];
$grammar->[2][0][2][2][1][3][1][2][0][3][0][3][1] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][0][2][2][1][3][1][3][0] = $grammar->[2][0][2][2][1];
$grammar->[2][0][2][3][0][2][2][0] = $grammar->[2][0][2][3][0];
$grammar->[2][0][2][3][0][3][0] = $grammar->[2][0][2];
$grammar->[2][0][3][0] = $grammar->[2][0][2][2][1][3][0];
$grammar->[2][1] = $grammar->[2][0][2][2][1];
$grammar->[2][2] = $grammar->[2][0][2][2][1][3][0][2][0];
$grammar->[2][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[2][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][3][0];
$grammar->[2][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][3][0];
$grammar->[2][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0];
$grammar->[2][13] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][0];
$grammar->[2][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][1];
$grammar->[2][15] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][0];
$grammar->[2][16] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1];
$grammar->[2][17] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[2][18] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1];
$grammar->[2][19] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[2][20] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0];
$grammar->[2][21] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1];
$grammar->[2][22] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][23] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1];
$grammar->[2][24] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][25] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][26] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2];
$grammar->[2][27] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[2][28] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][3][0];
$grammar->[2][29] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][30] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][3][0];
$grammar->[2][31] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][3][0];
$grammar->[2][32] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][3][0];
$grammar->[2][33] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][3][0];
$grammar->[2][34] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[2][35] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[2][36] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1];
$grammar->[2][37] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1];
$grammar->[2][38] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0];
$grammar->[2][39] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1];
$grammar->[2][40] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][41] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][42] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0];
$grammar->[2][43] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1];
$grammar->[2][44] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2];
$grammar->[2][45] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1];
$grammar->[2][46] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[2][47] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[2][48] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0];
$grammar->[2][49] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1];
$grammar->[2][50] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[2][51] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][52] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2];
$grammar->[2][53] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][0];
$grammar->[2][54] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1];
$grammar->[2][55] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[2][56] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0];
$grammar->[2][57] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0];
$grammar->[2][58] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][59] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][60] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[2][61] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[2][62] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1];
$grammar->[2][63] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0];
$grammar->[2][64] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][65] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][66] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0];
$grammar->[2][67] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][0];
$grammar->[2][68] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1];
$grammar->[2][69] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[2][70] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0];
$grammar->[2][71] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[2][72] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0];
$grammar->[2][73] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[2][74] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[2][75] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[2][76] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[2][77] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][3][0];
$grammar->[2][78] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][79] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][80] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][81] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[2][82] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0];
$grammar->[2][83] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][0];
$grammar->[2][84] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1];
$grammar->[2][85] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[2][86] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1];
$grammar->[2][87] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[2][88] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[2][89] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[2][90] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[2][91] = $grammar->[2][0][2][2][1][3][1][2][0];
$grammar->[2][92] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0];
$grammar->[2][93] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1];
$grammar->[2][94] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[2][95] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[2][96] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][97] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[2][98] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0];
$grammar->[2][99] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1];
$grammar->[2][100] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0];
$grammar->[2][101] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0];
$grammar->[2][102] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[2][103] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2];
$grammar->[2][104] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[2][105] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[2][106] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[2][107] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[2][108] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[2][109] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[2][110] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[2][111] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[2][112] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[2][113] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[2][114] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[2][115] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[2][116] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[2][117] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[2][118] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[2][119] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[2][120] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[2][121] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[2][122] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[2][123] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[2][124] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[2][125] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[2][126] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[2][127] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[2][128] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[2][129] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[2][130] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[2][131] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[2][132] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[2][133] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[2][134] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[2][135] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[2][136] = $grammar->[2][0][2][3][0];
$grammar->[3][0] = $grammar->[2][0][2];
$grammar->[3][1] = $grammar->[2][0][2][2][1][3][0];
$grammar->[3][2] = $grammar->[2][0][2][2][1][3][1];
$grammar->[3][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1];
$grammar->[3][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0];
$grammar->[3][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][7] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2];
$grammar->[3][8] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2];
$grammar->[3][9] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][10] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][11] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[3][12] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[3][13] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0];
$grammar->[3][14] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2];
$grammar->[3][15] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2];
$grammar->[3][16] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[3][17] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][3][0];
$grammar->[3][18] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][3][1];
$grammar->[3][19] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[3][20] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[3][21] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[3][22] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[3][23] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][24] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][25] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0];
$grammar->[3][26] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0];
$grammar->[3][27] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][28] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][3][0];
$grammar->[3][29] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2];
$grammar->[3][30] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][31] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[3][32] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2];
$grammar->[3][33] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[3][34] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[3][35] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[3][36] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[3][37] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1];
$grammar->[3][38] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[3][39] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0];
$grammar->[3][40] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1];
$grammar->[3][41] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][3];
$grammar->[3][42] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0];
$grammar->[3][43] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1];
$grammar->[3][44] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2];
$grammar->[3][45] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[3][46] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[3][47] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[3][48] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4];
$grammar->[3][49] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5];
$grammar->[3][50] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2];
$grammar->[3][51] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5];
$grammar->[3][52] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][2];
$grammar->[3][53] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][3];
$grammar->[3][54] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1][3][0];
$grammar->[3][55] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[3][56] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][0];
$grammar->[3][57] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1];
$grammar->[3][58] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2];
$grammar->[3][59] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0];
$grammar->[3][60] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0];
$grammar->[3][61] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][62] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][63] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[3][64] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][3][0];
$grammar->[3][65] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0];
$grammar->[3][66] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[3][67] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][68] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0];
$grammar->[3][69] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0];
$grammar->[3][70] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1];
$grammar->[3][71] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0];
$grammar->[3][72] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2];
$grammar->[3][73] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0];
$grammar->[3][74] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1];
$grammar->[3][75] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][76] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2];
$grammar->[3][77] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[3][78] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[3][79] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[3][80] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[3][81] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][3][1];
$grammar->[3][82] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][0];
$grammar->[3][83] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][2];
$grammar->[3][84] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0];
$grammar->[3][85] = $grammar->[2][0][2][2][1][3][1][2][0][3][0];
$grammar->[3][86] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0];
$grammar->[3][87] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11];
$grammar->[3][88] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[3][89] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][2];
$grammar->[3][90] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0];
$grammar->[3][91] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[3][92] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2];
$grammar->[3][93] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[3][94] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11];
$grammar->[3][95] = $grammar->[2][0][2][3][0][2];
$grammar->[5]{'using:k0'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][2];
$grammar->[5]{'comment-word'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0];
$grammar->[5]{'paragraph[Seq][1-*][Sep][empty-line]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0];
$grammar->[5]{'default-null-value-setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2];
$grammar->[5]{'definition-paragraph'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'%3a:k6'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1];
$grammar->[5]{'are:kb'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1][3][0];
$grammar->[5]{'whitespace-line'} = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0];
$grammar->[5]{'terminal-paragraph'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2];
$grammar->[5]{'the:ka'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[5]{'version%20number:k15'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0];
$grammar->[5]{'single-quoted-string'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][3][0];
$grammar->[5]{'period'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1];
$grammar->[5]{'comma'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1];
$grammar->[5]{'comment-tag'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][0];
$grammar->[5]{'production-paragraph'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2];
$grammar->[5]{'non-structural-terminal-sentences[]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0];
$grammar->[5]{'prefix:k10'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5];
$grammar->[5]{'non-structural-terminal-sentence'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0];
$grammar->[5]{'separated:k5'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1];
$grammar->[5]{'string-specifier'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'preamble-setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2];
$grammar->[5]{'q-string'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'null:kf'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2];
$grammar->[5]{'regex'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[5]{'comment-sentence'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0];
$grammar->[5]{'semantics-setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2];
$grammar->[5]{'rhs'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2];
$grammar->[5]{'production-paragraph[12:3][]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11];
$grammar->[5]{'production-paragraph[12:2]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2];
$grammar->[5]{'version-number'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2][3][3];
$grammar->[5]{'optional-rhs-element'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2];
$grammar->[5]{'version:k14'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1];
$grammar->[5]{'mandatory-rhs-element'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'empty-line'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1];
$grammar->[5]{'version-setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2];
$grammar->[5]{'optional:k3'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0];
$grammar->[5]{'action-specifier'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'non-structural-terminal-sentences'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0];
$grammar->[5]{'rhs-element'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0];
$grammar->[5]{'paragraphs'} = $grammar->[2][0][2][2][1][3][0];
$grammar->[5]{'lex:k11'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4];
$grammar->[5]{'matches:k2'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][3][1];
$grammar->[5]{'is:k7'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0];
$grammar->[5]{'non-structural-production-sentence'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2];
$grammar->[5]{'copula'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1];
$grammar->[5]{'action-sentence:optional[]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11];
$grammar->[5]{'grammar'} = $grammar->[2][0][2];
$grammar->[5]{'default-lex-prefix-setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[5]{'symbol-phrase'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[5]{'the:ka:optional[]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[5]{'paragraph'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'action-sentence:optional'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0];
$grammar->[5]{'rhs[]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][2];
$grammar->[5]{'perl5:k17'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0];
$grammar->[5]{'integer'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][3][1];
$grammar->[5]{'whitespace-line[Seq][1-*]'} = $grammar->[2][0][2][2][1][3][1][2][0][3][0];
$grammar->[5]{'string-definition'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2];
$grammar->[5]{'preamble:kc'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][3];
$grammar->[5]{'comment-word[Seq][1-*]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0];
$grammar->[5]{'production-paragraph[12:3]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1];
$grammar->[5]{'rhs-symbol-specifier'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'a:kd'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1][3][2];
$grammar->[5]{'non-structural-production-sentence[Seq][1-*]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[5]{'whitespace-lines'} = $grammar->[2][0][2][2][1][3][1];
$grammar->[5]{'action:k8'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1];
$grammar->[5]{'terminal-sentence'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2];
$grammar->[5]{'rhs-element[Seq][1-*][Sep][comma]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0];
$grammar->[5]{'production-sentence'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2];
$grammar->[5]{'sequence:k4'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2];
$grammar->[5]{'start:k13'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1];
$grammar->[5]{'match:k1'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1][3][0];
$grammar->[5]{'default-action-setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'definition'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'definition[Seq][1-*]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'default:k9'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1];
$grammar->[5]{'non-structural-production-sentences'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0];
$grammar->[5]{'symbol-word'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'non-structural-production-sentences[]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0];
$grammar->[5]{'non-structural-terminal-sentence[Seq][1-*]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0];
$grammar->[5]{'action-sentence'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2];
$grammar->[5]{'lhs'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0];
$grammar->[5]{'double-quoted-string'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0];
$grammar->[5]{'comment-words'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2];
$grammar->[5]{'bracketed-comment'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2][3][0];
$grammar->[5]{'value:ke'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5];
$grammar->[5]{'symbol-word[Seq][1-*]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0];
$grammar->[5]{'semantics:k16'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1];
$grammar->[5]{'start-symbol-setting'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2];
$grammar->[5]{'the:ka:optional'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0];
$grammar->[5]{'grammar[\']'} = $grammar->[2][0][2][3][0][2];
$grammar->[5]{'production-paragraph[12:2][]'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2];
$grammar->[5]{'literal-string'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0];
$grammar->[5]{'symbol:k12'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2];
$grammar->[5]{'priority:k18'} = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][3][0];
$grammar->[6] = $grammar->[2][0][2][3][0][2];
$grammar->[7][0][3]{''}[0][2][0] = $grammar->[2][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'q-string'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'double-quoted-string'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'single-quoted-string'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'literal-string'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{'symbol-word'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{'symbol-word[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{'symbol-word[Seq][1-*]'}[0][3]{'symbol-word'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'symbol-word[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0][3]{'the:ka'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'default-action-setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1][3]{'are:kb'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'default-null-value-setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0][3]{'a:kd'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'preamble-setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][3]{'perl5:k17'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][3]{'perl5:k17'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'semantics-setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{'copula'}[0][3]{'version-number'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{'copula'}[0][3]{'version-number'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{'version-setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{'start-symbol-setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][3]{'regex'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][3]{'regex'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{'default-lex-prefix-setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'setting'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'setting'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{'comment-word'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'comment-word[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'comment-word[Seq][1-*]'}[0][3]{'comment-word'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{'comment-word[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{'comment-words'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{'comment-words'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'bracketed-comment'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'string-definition'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][3]{''}[2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][3]{''}[3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][3]{'definition'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition-paragraph'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0][3]{'integer'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0][3]{'integer'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{'non-structural-production-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0][3]{'non-structural-production-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{'non-structural-production-sentence[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'regex'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'rhs-symbol-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'mandatory-rhs-element'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0][3]{'rhs-symbol-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'optional-rhs-element'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{'rhs-element'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0][3]{'rhs-element'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs[]'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{'action-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'action-sentence:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'action-sentence:optional'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'action-sentence:optional'}[0][3]{'non-structural-production-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0][3]{'non-structural-production-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2][3]{'action-sentence:optional'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2][3]{'action-sentence:optional'}[0][3]{'non-structural-production-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-paragraph[12:3]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{''}[2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-paragraph[12:3]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2][3]{'non-structural-production-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-paragraph[12:3][]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{''}[2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2][]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2][]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'production-paragraph'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'comment-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{'non-structural-terminal-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0][3]{'non-structural-terminal-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0][3]{'regex'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0][3]{'regex'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{'string-specifier'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{'string-specifier'}[0][3]{'period'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences[]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'terminal-paragraph'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'paragraph'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][3]{''}[2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][3]{'paragraph'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][2][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[7][0][3]{''}[0][3]{''}[0][3]{'paragraphs'}[0][2][0] = $grammar->[2][0];
$grammar->[7][0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][2][0] = $grammar->[2][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][1][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[0][2][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[0][3]{'whitespace-line'}[0][2][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][2][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{''}[0] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{''}[1] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{'whitespace-line[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{'whitespace-line[Seq][1-*]'}[0][3]{'whitespace-line'}[0][2][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{'whitespace-line[Seq][1-*]'}[0][2][0] = $grammar->[2][0][2][2][1][3][1][2][0];
$grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{'whitespace-lines'}[0][2][0] = $grammar->[2][0][2][2][1];
$grammar->[7][0][3]{''}[0][3]{'grammar'}[0][2][0] = $grammar->[2][0][2][3][0];
$grammar->[7][1] = $grammar->[7][0][3]{''}[0][3]{''}[0];
$grammar->[7][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{'paragraphs'}[0];
$grammar->[7][3] = $grammar->[7][0][3]{''}[0][3]{''}[1];
$grammar->[7][4] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0];
$grammar->[7][5] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{'whitespace-lines'}[0];
$grammar->[7][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0];
$grammar->[7][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][9] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0];
$grammar->[7][10] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0];
$grammar->[7][11] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][12] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'paragraph'}[0];
$grammar->[7][13] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][14] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0];
$grammar->[7][15] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0];
$grammar->[7][16] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][3]{'paragraph'}[0];
$grammar->[7][17] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][18] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition-paragraph'}[0];
$grammar->[7][19] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][20] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'production-paragraph'}[0];
$grammar->[7][21] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][22] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'terminal-paragraph'}[0];
$grammar->[7][23] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][24] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition[Seq][1-*]'}[0];
$grammar->[7][25] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][26] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition'}[0];
$grammar->[7][27] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][28] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0];
$grammar->[7][29] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][3]{'definition'}[0];
$grammar->[7][30] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][31] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{'action-sentence'}[0];
$grammar->[7][32] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][33] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{'non-structural-production-sentence[Seq][1-*]'}[0];
$grammar->[7][34] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][35] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{'non-structural-production-sentence'}[0];
$grammar->[7][36] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][37] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0];
$grammar->[7][38] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0][3]{'non-structural-production-sentence'}[0];
$grammar->[7][39] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][40] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0];
$grammar->[7][41] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0][3]{'integer'}[0];
$grammar->[7][42] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0][3]{'integer'}[0][3]{'period'}[0];
$grammar->[7][43] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][44] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0];
$grammar->[7][45] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'period'}[0];
$grammar->[7][46] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][47] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'string-specifier'}[0];
$grammar->[7][48] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][49] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0];
$grammar->[7][50] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][51] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'comment-sentence'}[0];
$grammar->[7][52] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][53] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'setting'}[0];
$grammar->[7][54] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'setting'}[0][3]{'period'}[0];
$grammar->[7][55] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][56] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0];
$grammar->[7][57] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][58] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'bracketed-comment'}[0];
$grammar->[7][59] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[7][60] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'string-definition'}[0];
$grammar->[7][61] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][62] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'default-action-setting'}[0];
$grammar->[7][63] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][64] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'default-null-value-setting'}[0];
$grammar->[7][65] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][66] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'preamble-setting'}[0];
$grammar->[7][67] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[7][68] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'semantics-setting'}[0];
$grammar->[7][69] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4];
$grammar->[7][70] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{'version-setting'}[0];
$grammar->[7][71] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5];
$grammar->[7][72] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{'start-symbol-setting'}[0];
$grammar->[7][73] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6];
$grammar->[7][74] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{'default-lex-prefix-setting'}[0];
$grammar->[7][75] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0];
$grammar->[7][76] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0];
$grammar->[7][77] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0];
$grammar->[7][78] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0];
$grammar->[7][79] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0];
$grammar->[7][80] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1];
$grammar->[7][81] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0];
$grammar->[7][82] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0];
$grammar->[7][83] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0][3]{'a:kd'}[0];
$grammar->[7][84] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0];
$grammar->[7][85] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[7][86] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0][3]{'is:k7'}[0];
$grammar->[7][87] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[7][88] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1][3]{'are:kb'}[0];
$grammar->[7][89] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[7][90] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[7][91] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0];
$grammar->[7][92] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0];
$grammar->[7][93] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0][3]{'period'}[0];
$grammar->[7][94] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[7][95] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0][3]{'the:ka'}[0];
$grammar->[7][96] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][97] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0];
$grammar->[7][98] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0];
$grammar->[7][99] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{'comment-words'}[0];
$grammar->[7][100] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{'comment-words'}[0][3]{'period'}[0];
$grammar->[7][101] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0];
$grammar->[7][102] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{'comment-word[Seq][1-*]'}[0];
$grammar->[7][103] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][104] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{'comment-word'}[0];
$grammar->[7][105] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1];
$grammar->[7][106] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'comment-word[Seq][1-*]'}[0];
$grammar->[7][107] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'comment-word[Seq][1-*]'}[0][3]{'comment-word'}[0];
$grammar->[7][108] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][109] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'q-string'}[0];
$grammar->[7][110] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][111] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'double-quoted-string'}[0];
$grammar->[7][112] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][113] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'single-quoted-string'}[0];
$grammar->[7][114] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][115] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'symbol-word[Seq][1-*]'}[0];
$grammar->[7][116] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[7][117] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{'symbol-word'}[0];
$grammar->[7][118] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[7][119] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{'symbol-word[Seq][1-*]'}[0];
$grammar->[7][120] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{'symbol-word[Seq][1-*]'}[0][3]{'symbol-word'}[0];
$grammar->[7][121] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][122] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[7][123] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0];
$grammar->[7][124] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0];
$grammar->[7][125] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1];
$grammar->[7][126] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0];
$grammar->[7][127] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0];
$grammar->[7][128] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][129] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{'rhs-element'}[0];
$grammar->[7][130] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1];
$grammar->[7][131] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0];
$grammar->[7][132] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0];
$grammar->[7][133] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0][3]{'rhs-element'}[0];
$grammar->[7][134] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2];
$grammar->[7][135] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][3]{'symbol-phrase'}[0];
$grammar->[7][136] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[7][137] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3];
$grammar->[7][138] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0];
$grammar->[7][139] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0];
$grammar->[7][140] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[7][141] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4];
$grammar->[7][142] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0];
$grammar->[7][143] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0];
$grammar->[7][144] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0];
$grammar->[7][145] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[7][146] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5];
$grammar->[7][147] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0];
$grammar->[7][148] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0];
$grammar->[7][149] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0];
$grammar->[7][150] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0];
$grammar->[7][151] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[7][152] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][153] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'mandatory-rhs-element'}[0];
$grammar->[7][154] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][155] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'optional-rhs-element'}[0];
$grammar->[7][156] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][157] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'rhs-symbol-specifier'}[0];
$grammar->[7][158] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][159] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0];
$grammar->[7][160] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0][3]{'rhs-symbol-specifier'}[0];
$grammar->[7][161] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][162] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[7][163] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][164] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'regex'}[0];
$grammar->[7][165] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0];
$grammar->[7][166] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0];
$grammar->[7][167] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][168] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{'non-structural-terminal-sentence'}[0];
$grammar->[7][169] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][170] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0];
$grammar->[7][171] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0][3]{'non-structural-terminal-sentence'}[0];
$grammar->[7][172] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0];
$grammar->[7][173] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[7][174] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0];
$grammar->[7][175] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0][3]{'regex'}[0];
$grammar->[7][176] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0][3]{'regex'}[0][3]{'period'}[0];
$grammar->[7][177] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1];
$grammar->[7][178] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0];
$grammar->[7][179] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0];
$grammar->[7][180] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0];
$grammar->[7][181] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{'string-specifier'}[0];
$grammar->[7][182] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{'string-specifier'}[0][3]{'period'}[0];
$grammar->[7][183] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][184] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'literal-string'}[0];
$grammar->[7][185] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][186] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'symbol-phrase'}[0];
$grammar->[7][187] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0];
$grammar->[7][188] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{'whitespace-line[Seq][1-*]'}[0];
$grammar->[7][189] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[0];
$grammar->[7][190] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[0][3]{'whitespace-line'}[0];
$grammar->[7][191] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1];
$grammar->[7][192] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{'whitespace-line[Seq][1-*]'}[0];
$grammar->[7][193] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{'whitespace-line[Seq][1-*]'}[0][3]{'whitespace-line'}[0];
$grammar->[7][194] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][195] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[7][196] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0];
$grammar->[7][197] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2]'}[0];
$grammar->[7][198] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1];
$grammar->[7][199] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0];
$grammar->[7][200] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0];
$grammar->[7][201] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2]'}[0];
$grammar->[7][202] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2];
$grammar->[7][203] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0];
$grammar->[7][204] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0];
$grammar->[7][205] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2][]'}[0];
$grammar->[7][206] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3];
$grammar->[7][207] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0];
$grammar->[7][208] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0];
$grammar->[7][209] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2][]'}[0];
$grammar->[7][210] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0];
$grammar->[7][211] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[7][212] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-paragraph[12:3]'}[0];
$grammar->[7][213] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1];
$grammar->[7][214] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0];
$grammar->[7][215] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-paragraph[12:3]'}[0];
$grammar->[7][216] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2];
$grammar->[7][217] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2][3]{'non-structural-production-sentences'}[0];
$grammar->[7][218] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-paragraph[12:3][]'}[0];
$grammar->[7][219] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[7][220] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'action-sentence:optional'}[0];
$grammar->[7][221] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'action-sentence:optional'}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[7][222] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[7][223] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0];
$grammar->[7][224] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[7][225] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2];
$grammar->[7][226] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2][3]{'action-sentence:optional'}[0];
$grammar->[7][227] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2][3]{'action-sentence:optional'}[0][3]{'non-structural-production-sentences[]'}[0];
$grammar->[7][228] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][229] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0];
$grammar->[7][230] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0];
$grammar->[7][231] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[7][232] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[7][233] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][3]{'period'}[0];
$grammar->[7][234] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][235] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0];
$grammar->[7][236] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0];
$grammar->[7][237] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[7][238] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[7][239] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][3]{'period'}[0];
$grammar->[7][240] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[7][241] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0];
$grammar->[7][242] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0];
$grammar->[7][243] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0];
$grammar->[7][244] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][3]{'perl5:k17'}[0];
$grammar->[7][245] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1];
$grammar->[7][246] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[7][247] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0];
$grammar->[7][248] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0];
$grammar->[7][249] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][3]{'perl5:k17'}[0];
$grammar->[7][250] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2];
$grammar->[7][251] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0];
$grammar->[7][252] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0];
$grammar->[7][253] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[7][254] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0];
$grammar->[7][255] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3];
$grammar->[7][256] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0];
$grammar->[7][257] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0];
$grammar->[7][258] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[7][259] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0];
$grammar->[7][260] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0];
$grammar->[7][261] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0];
$grammar->[7][262] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0];
$grammar->[7][263] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{'copula'}[0];
$grammar->[7][264] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{'copula'}[0][3]{'version-number'}[0];
$grammar->[7][265] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1];
$grammar->[7][266] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[7][267] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0];
$grammar->[7][268] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{'copula'}[0];
$grammar->[7][269] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{'copula'}[0][3]{'version-number'}[0];
$grammar->[7][270] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2];
$grammar->[7][271] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0];
$grammar->[7][272] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0];
$grammar->[7][273] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[7][274] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0];
$grammar->[7][275] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3];
$grammar->[7][276] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0];
$grammar->[7][277] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0];
$grammar->[7][278] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[7][279] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0];
$grammar->[7][280] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0];
$grammar->[7][281] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0];
$grammar->[7][282] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0];
$grammar->[7][283] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[7][284] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0];
$grammar->[7][285] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{'symbol-phrase'}[0];
$grammar->[7][286] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1];
$grammar->[7][287] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[7][288] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0];
$grammar->[7][289] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[7][290] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0];
$grammar->[7][291] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{'symbol-phrase'}[0];
$grammar->[7][292] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2];
$grammar->[7][293] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0];
$grammar->[7][294] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0];
$grammar->[7][295] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[7][296] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0];
$grammar->[7][297] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[7][298] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3];
$grammar->[7][299] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0];
$grammar->[7][300] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0];
$grammar->[7][301] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[7][302] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0];
$grammar->[7][303] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[7][304] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0];
$grammar->[7][305] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0];
$grammar->[7][306] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0];
$grammar->[7][307] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[7][308] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[7][309] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[7][310] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[7][311] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1];
$grammar->[7][312] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0];
$grammar->[7][313] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0];
$grammar->[7][314] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[7][315] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[7][316] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[7][317] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[7][318] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2];
$grammar->[7][319] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0];
$grammar->[7][320] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[7][321] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[7][322] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[7][323] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0];
$grammar->[7][324] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][3]{'regex'}[0];
$grammar->[7][325] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3];
$grammar->[7][326] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[7][327] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[7][328] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[7][329] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[7][330] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0];
$grammar->[7][331] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][3]{'regex'}[0];
$grammar->[7][332] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[7][333] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0];
$grammar->[7][334] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0];
$grammar->[7][335] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[7][336] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[7][337] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[7][338] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[7][339] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1];
$grammar->[7][340] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0];
$grammar->[7][341] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0];
$grammar->[7][342] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[7][343] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[7][344] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[7][345] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[7][346] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2];
$grammar->[7][347] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0];
$grammar->[7][348] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[7][349] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[7][350] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[7][351] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0];
$grammar->[7][352] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{'string-specifier'}[0];
$grammar->[7][353] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3];
$grammar->[7][354] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[7][355] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[7][356] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[7][357] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[7][358] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0];
$grammar->[7][359] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{'string-specifier'}[0];
$grammar->[7][360] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[7][361] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0];
$grammar->[7][362] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0];
$grammar->[7][363] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0];
$grammar->[7][364] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[7][365] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[7][366] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[7][367] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0];
$grammar->[7][368] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0];
$grammar->[7][369] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[7][370] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[7][371] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[7][372] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[7][373] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0];
$grammar->[7][374] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[7][375] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[7][376] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[7][377] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[7][378] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[7][379] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[7][380] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[7][381] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[7][382] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[7][383] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[7][384] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[7][385] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0];
$grammar->[7][386] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0];
$grammar->[7][387] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs'}[0];
$grammar->[7][388] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs'}[0][3]{'period'}[0];
$grammar->[7][389] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[7][390] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0];
$grammar->[7][391] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0];
$grammar->[7][392] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs[]'}[0];
$grammar->[7][393] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs[]'}[0][3]{'period'}[0];
$grammar->[7][394] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0];
$grammar->[7][395] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0];
$grammar->[7][396] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0];
$grammar->[7][397] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences'}[0];
$grammar->[7][398] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1];
$grammar->[7][399] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[7][400] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0];
$grammar->[7][401] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences'}[0];
$grammar->[7][402] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2];
$grammar->[7][403] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0];
$grammar->[7][404] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0];
$grammar->[7][405] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[7][406] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3];
$grammar->[7][407] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[7][408] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0];
$grammar->[7][409] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[7][410] = $grammar->[7][0][3]{''}[0];
$grammar->[7][411] = $grammar->[7][0][3]{''}[0][3]{'grammar'}[0];
$grammar->[8][0][2][0] = $grammar->[7][0][3]{''}[0];
$grammar->[8][0][3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[2][9] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][10] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][11] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][12] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][13] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][14] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][15] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][16] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][17] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][18] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][19] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][20] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][21] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[2][22] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[8][0][3]{''}[2][23] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][24] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][25] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[2][26] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[8][0][3]{''}[2][27] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4];
$grammar->[8][0][3]{''}[2][28] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5];
$grammar->[8][0][3]{''}[2][29] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6];
$grammar->[8][0][3]{''}[2][30] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0];
$grammar->[8][0][3]{''}[2][31] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1];
$grammar->[8][0][3]{''}[2][32] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[8][0][3]{''}[2][33] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][34] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[2][35] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][36] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][37] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[2][38] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[2][39] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][40] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][41] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][42] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][43] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][44] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][45] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][46] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][47] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][48] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][49] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[2][50] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0];
$grammar->[8][0][3]{''}[2][51] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2];
$grammar->[8][0][3]{''}[2][52] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0];
$grammar->[8][0][3]{''}[2][53] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[8][0][3]{''}[2][54] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[2][55] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2];
$grammar->[8][0][3]{''}[2][56] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3];
$grammar->[8][0][3]{''}[2][57] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0];
$grammar->[8][0][3]{''}[2][58] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[2][59] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2];
$grammar->[8][0][3]{''}[2][60] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3];
$grammar->[8][0][3]{''}[2][61] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0];
$grammar->[8][0][3]{''}[2][62] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[2][63] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2];
$grammar->[8][0][3]{''}[2][64] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3];
$grammar->[8][0][3]{''}[2][65] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0];
$grammar->[8][0][3]{''}[2][66] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1];
$grammar->[8][0][3]{''}[2][67] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2];
$grammar->[8][0][3]{''}[2][68] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[2][69] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[2][70] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1];
$grammar->[8][0][3]{''}[2][71] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2];
$grammar->[8][0][3]{''}[2][72] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[2][73] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][74] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][75] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[2][76] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[2][77] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[2][78] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[2][79] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0];
$grammar->[8][0][3]{''}[2][80] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[8][0][3]{''}[2][81] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2];
$grammar->[8][0][3]{''}[2][82] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][9] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][10] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][11] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][12] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][13] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][14] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][15] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][16] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][17] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][18] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][19] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][20] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][21] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][22] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][23] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][24] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][25] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][26] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][27] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][28] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][29] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][30] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][31] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][32] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][33] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][34] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][35] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][36] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][37] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][38] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][39] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][40] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][41] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][42] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][43] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][44] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][45] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][46] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][47] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][48] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][49] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][50] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][51] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][52] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][53] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][54] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][55] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][56] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][57] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][58] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][59] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][60] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][61] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][62] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][63] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][64] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][65] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][66] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][67] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][68] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][69] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][70] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][71] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][72] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][73] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][74] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][75] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[2][76] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-null-value-setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'default-null-value-setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-null-value-setting'}[5][27][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition-paragraph'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition-paragraph'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition-paragraph'}[5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'is:k7'}[5][38][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'are:kb'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{''}[1][3]{'are:kb'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'are:kb'}[5][38][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0][3]{'the:ka'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'}[5][20][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'semantics:k16'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'semantics:k16'}[5][33][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'semantics:k16'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3][3]{'perl5:k17'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'semantics:k16'}[5][33][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'the:ka'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-paragraph'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'terminal-paragraph'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-paragraph'}[5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'version:k14'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'version:k14'}[5][34][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'version:k14'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3][3]{'version%20number:k15'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'version:k14'}[5][34][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][1][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'single-quoted-string'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'}[5][61][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-definition'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'string-definition'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-definition'}[5][9][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{'comment-word[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'comment-word[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'}[3]{'comment-word'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'comment-word[Seq][1-*]'}[0][3]{'comment-word'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'}[3]{'comment-word'}[5][60][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'}[5][58][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{'comment-word'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word'}[5][60][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][2][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{'comment-words'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{'comment-words'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{'comment-words'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'comment-tag'}[0][3]{'%3a:k6'}[0][3]{'comment-words'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{'comment-words'}[3]{'period'}[5][25][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-paragraph'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'production-paragraph'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-paragraph'}[5][3][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{'string-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{'string-specifier'}[5][32][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'q-string'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'}[5][61][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'double-quoted-string'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'}[5][61][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'single-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'}[5][24][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'symbol-word[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{'symbol-word[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'}[3]{'symbol-word'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1][3]{'symbol-word[Seq][1-*]'}[0][3]{'symbol-word'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'}[3]{'symbol-word'}[5][68][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'}[5][45][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{'symbol-word'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'}[5][68][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'literal-string'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'}[5][24][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'setting'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'}[3]{'period'}[5][9][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{'non-structural-terminal-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentence'}[5][80][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{'non-structural-production-sentence[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'}[5][15][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[3]{'integer'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0][3]{'integer'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[3]{'integer'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'priority:k18'}[0][3]{'integer'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[3]{'integer'}[3]{'period'}[5][15][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{'non-structural-production-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-production-sentence[Seq][1-*]'}[0][3]{'non-structural-production-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{'non-structural-production-sentence'}[5][16][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[5][11][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'preamble-setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'preamble-setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'preamble-setting'}[5][27][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'q-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[3]{'a:kd'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0][3]{'a:kd'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[3]{'a:kd'}[3]{'preamble:kc'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'string-specifier'}[0][3]{'is:k7'}[0][3]{'a:kd'}[0][3]{'preamble:kc'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[3]{'a:kd'}[3]{'preamble:kc'}[5][32][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][1][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[3]{'null:kf'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[5][31][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'string-specifier'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[5][31][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[5][23][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[3]{'lex:k11'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[5][36][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0][3]{'regex'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[5][36][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'comment-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'}[5][9][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'}[5][15][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'}[5][26][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[3][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'comment-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'comment-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'comment-sentence'}[5][26][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{'non-structural-terminal-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{''}[0][3]{''}[1][3]{'non-structural-terminal-sentence[Seq][1-*]'}[0][3]{'non-structural-terminal-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{'non-structural-terminal-sentence'}[5][80][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[5][78][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1][3]{'non-structural-terminal-sentences[]'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'}[5][8][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[5][8][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2][]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][9] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][10] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][11] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][12] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][13] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][14] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][15] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][16] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][17] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][18] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][19] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][20] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][21] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][22] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][23] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][24] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[2][25] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'action-sentence:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2][3]{'action-sentence:optional'}[0][3]{'non-structural-production-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'comment-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'priority:k18'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{'non-structural-production-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'}[5][16][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{'non-structural-production-sentences'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'action-sentence:optional'}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{'non-structural-production-sentences'}[5][93][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[5][93][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'the:ka'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'single-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-paragraph[12:3][]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][9] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][10] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][11] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][12] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][13] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][14] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][15] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][16] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][17] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][18] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][19] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][20] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][21] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][22] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-sentence:optional'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'single-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'non-structural-production-sentences'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'action-sentence:optional[]'}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'non-structural-production-sentences'}[5][93][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'}[3]{'period'}[5][14][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{'action-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-sentence'}[5][13][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'double-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'non-structural-production-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'string-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'string-specifier'}[5][23][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'q-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'q-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'string-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'string-specifier'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'single-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'literal-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional[]'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'}[5][14][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'the:ka:optional'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'}[5][14][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'comment-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-phrase'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'literal-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'priority:k18'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-paragraph[12:3]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-paragraph[12:3]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-paragraph[12:3]'}[5][91][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[5][91][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[5][93][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'production-paragraph[12:3]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-paragraph[12:3]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'production-paragraph[12:3]'}[5][91][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'double-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'string-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'string-specifier'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'q-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action:k8'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'the:ka:optional'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'comment-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'symbol-phrase'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'literal-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'priority:k18'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1][3]{'non-structural-production-sentences[]'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'}[5][7][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[5][7][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'semantics-setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'semantics-setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'semantics-setting'}[5][27][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'}[5][35][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{'string-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{'string-specifier'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1][3]{'match:k1'}[0][3]{'symbol-phrase'}[0][3]{'using:k0'}[0][3]{'string-specifier'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{'string-specifier'}[3]{'period'}[5][79][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-action-setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'default-action-setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-action-setting'}[5][27][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][9] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][10] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][11] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][12] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][13] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][14] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][15] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][16] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][17] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][18] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][19] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][20] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][21] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][22] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][23] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][24] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][25] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][26] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][27] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][28] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][29] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][30] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][31] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][32] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][33] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][34] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[1][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][35] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][36] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][37] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][38] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][39] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][40] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][41] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][42] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][43] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][44] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][45] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][46] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][47] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[2][48] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'semantics-setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-null-value-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-null-value-setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'start:k13'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-action-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-action-setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'perl5:k17'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[5][30][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][17];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'}[5][31][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][5];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[3][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][3]{'regex'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'}[5][36][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][5];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version%20number:k15'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'version:k14'}[0][3]{'copula'}[0][3]{'version-number'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'}[5][34][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'string-definition'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-definition'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'single-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version-setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{'version-setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version-setting'}[5][27][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'default:k9'}[3]{'action:k8'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional[]'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'default:k9'}[3]{'action:k8'}[5][30][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][15];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'action-specifier'}[0][3]{'is:k7'}[0][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[5][30][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][14];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'bracketed-comment'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'bracketed-comment'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'bracketed-comment'}[5][9][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'double-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'a:kd'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[1][3]{'the:ka:optional[]'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][3]{'perl5:k17'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'}[5][33][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'q-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'string-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'preamble-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'preamble-setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-lex-prefix-setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{'default-lex-prefix-setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-lex-prefix-setting'}[5][27][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'start-symbol-setting'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{'start-symbol-setting'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'start-symbol-setting'}[5][27][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'action:k8'}[0][3]{'is:k7'}[0][3]{'action-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[5][30][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][16];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'null:kf'}[0][3]{'value:ke'}[0][3]{'copula'}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'}[5][31][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][2][2][2][1][3][2][3][2][3][5][3][4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[6][3]{''}[2][3]{'the:ka:optional'}[0][3]{'default:k9'}[0][3]{'lex:k11'}[0][3]{'prefix:k10'}[0][3]{'copula'}[0][3]{'regex'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'}[5][36][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][0][3][1][3][2][3][1][3][6][3][4][3][3][3][5][3][4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[4][3]{''}[0][3]{'the:ka:optional'}[0][3]{'version:k14'}[0][3]{'copula'}[0][3]{'version-number'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'}[5][34][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][3][2][2][0][3][1][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0][3]{'copula'}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'}[5][35][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'the:ka:optional'}[0][3]{'semantics:k16'}[0][3]{'copula'}[0][3]{'perl5:k17'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'}[5][33][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'regex'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'comment-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'comment-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'comment-sentence'}[5][9][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{'string-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{'string-specifier'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0][3]{'is:k7'}[0][3]{'string-specifier'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{'string-specifier'}[3]{'period'}[5][29][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'start:k13'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[5][35][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'start:k13'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'start:k13'}[3]{'symbol:k12'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0][3]{'copula'}[0][3]{'the:ka:optional[]'}[0][3]{'start:k13'}[0][3]{'symbol:k12'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'start:k13'}[3]{'symbol:k12'}[5][35][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0][3][5][3][1][3][2][3][2][3][5];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[5][24][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'literal-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{'definition'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'definition[Seq][1-*]'}[0][3]{'definition'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{'definition'}[5][10][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[5][6][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'definition'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition'}[5][10][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default:k9'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version:k14'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][9] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][10] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][11] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][12] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][13] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][14] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][15] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[2][16] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{'rhs-element'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element'}[5][71][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-symbol-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'rhs-symbol-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-symbol-specifier'}[5][75][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'regex'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'regex'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'regex'}[5][77][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional-rhs-element'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'optional-rhs-element'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional-rhs-element'}[5][69][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'mandatory-rhs-element'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'mandatory-rhs-element'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'mandatory-rhs-element'}[5][69][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'sequence:k4'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[2][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'sequence:k4'}[5][66][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[4][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'}[5][66][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[5][77][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][6] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][7] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[2][8] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'rhs-symbol-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-symbol-specifier'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'regex'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'regex'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional-rhs-element'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional-rhs-element'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'mandatory-rhs-element'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'mandatory-rhs-element'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'symbol-phrase'}[5][77][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[3]{'regex'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'regex'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[3]{'symbol-phrase'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{'rhs-symbol-specifier'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0][3]{'rhs-symbol-specifier'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{'rhs-symbol-specifier'}[5][76][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{'rhs-element'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[1][3]{'rhs-element[Seq][1-*][Sep][comma]'}[0][3]{'comma'}[0][3]{'rhs-element'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{'rhs-element'}[5][71][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[5][66][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[5][66][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'optional:k3'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'rhs-symbol-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{'rhs-symbol-specifier'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'sequence:k4'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[3][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'sequence:k4'}[5][66][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{''}[5][3]{'optional:k3'}[0][3]{'symbol-phrase'}[0][3]{'separated:k5'}[0][3]{'symbol-phrase'}[0][3]{'sequence:k4'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'}[5][66][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][3][1][3][0][3][0][3][2][3][2][3][1][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[1][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs[]'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'period'}[5][12][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'rhs'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'rhs'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{'lhs'}[0][3]{'%3a:k6'}[0][3]{'rhs'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'rhs'}[3]{'period'}[5][12][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-phrase'}[5][65][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[2][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2][]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{'production-sentence'}[0][3]{'production-paragraph[12:2]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'}[5][7][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[5][7][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version-setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'action-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[3]{'regex'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0][3]{'regex'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[3]{'regex'}[3]{'period'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0][3]{'matches:k2'}[0][3]{'regex'}[0][3]{'period'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[3]{'regex'}[3]{'period'}[5][79][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'match:k1'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[2][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences[]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{'terminal-sentence'}[0][3]{'non-structural-terminal-sentences'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'}[5][8][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[5][8][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'lhs'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'double-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'bracketed-comment'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'bracketed-comment'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'semantics:k16'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-lex-prefix-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-lex-prefix-setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start-symbol-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'start-symbol-setting'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'the:ka:optional'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[3][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{''}[0][3]{'non-structural-production-sentences'}[0][3]{''}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[2][3]{''}[0][3]{'non-structural-terminal-sentences'}[0][3]{''}[0][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[2][3] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[2][4] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[2][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[2][5] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[5][3]{''}[3][3]{'symbol-phrase'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[3]{''} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[5][24][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'}[5][65][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'literal-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'priority:k18'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'};
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{'paragraph'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[1][3]{'paragraph[Seq][1-*][Sep][empty-line]'}[0][3]{'empty-line'}[0][3]{'paragraph'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{'paragraph'}[5][5][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[5][1][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][3][1][3][1][3][0];
$grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[5][1][0] = $grammar->[2][0][2][2][1][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'default-null-value-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-null-value-setting'};
$grammar->[8][0][3]{''}[3]{'definition-paragraph'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition-paragraph'};
$grammar->[8][0][3]{''}[3]{'perl5:k17'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'};
$grammar->[8][0][3]{''}[3]{'the:ka'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'};
$grammar->[8][0][3]{''}[3]{'terminal-paragraph'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-paragraph'};
$grammar->[8][0][3]{''}[3]{'version%20number:k15'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'};
$grammar->[8][0][3]{''}[3]{'string-definition'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-definition'};
$grammar->[8][0][3]{''}[3]{'single-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[8][0][3]{''}[3]{'comment-tag'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][0][3]{''}[3]{'production-paragraph'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-paragraph'};
$grammar->[8][0][3]{''}[3]{'a:kd'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'};
$grammar->[8][0][3]{''}[3]{'setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'};
$grammar->[8][0][3]{''}[3]{'non-structural-terminal-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentence'};
$grammar->[8][0][3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'string-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'};
$grammar->[8][0][3]{''}[3]{'preamble-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'preamble-setting'};
$grammar->[8][0][3]{''}[3]{'q-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[8][0][3]{''}[3]{'regex'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'};
$grammar->[8][0][3]{''}[3]{'comment-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][0][3]{''}[3]{'terminal-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'};
$grammar->[8][0][3]{''}[3]{'production-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'};
$grammar->[8][0][3]{''}[3]{'semantics-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'semantics-setting'};
$grammar->[8][0][3]{''}[3]{'start:k13'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'};
$grammar->[8][0][3]{''}[3]{'match:k1'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'};
$grammar->[8][0][3]{''}[3]{'default-action-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-action-setting'};
$grammar->[8][0][3]{''}[3]{'definition[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'definition'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition'};
$grammar->[8][0][3]{''}[3]{'default:k9'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'};
$grammar->[8][0][3]{''}[3]{'version:k14'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'};
$grammar->[8][0][3]{''}[3]{'symbol-word'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][0][3]{''}[3]{'non-structural-production-sentences'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'};
$grammar->[8][0][3]{''}[3]{'version-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version-setting'};
$grammar->[8][0][3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'action-specifier'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'};
$grammar->[8][0][3]{''}[3]{'non-structural-terminal-sentences'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'};
$grammar->[8][0][3]{''}[3]{'paragraphs'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{'paragraphs'}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[2][2] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{'whitespace-line[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'}[2][1] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{'whitespace-line[Seq][1-*]'}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'}[3]{'whitespace-line'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[1][3]{'whitespace-line[Seq][1-*]'}[0][3]{'whitespace-line'}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'}[3]{'whitespace-line'}[5][85][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0][3][0][3][1];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'}[5][2][0] = $grammar->[2][0][2][2][1][3][1][2][0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{''}[0][3]{''}[0][3]{'whitespace-line'}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line'}[5][85][0] = $grammar->[2][0][2][2][1][3][1][2][0][3][0][2][0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{'whitespace-lines'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[1][3]{'paragraphs'}[0][3]{'whitespace-lines'}[0];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{'whitespace-lines'}[5][0][0] = $grammar->[2][0][2][2][1];
$grammar->[8][0][3]{''}[3]{'paragraphs'}[5][0][0] = $grammar->[2][0];
$grammar->[8][0][3]{''}[3]{'lhs'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'};
$grammar->[8][0][3]{''}[3]{'double-quoted-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[8][0][3]{''}[3]{'bracketed-comment'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'bracketed-comment'};
$grammar->[8][0][3]{''}[3]{'symbol-word[Seq][1-*]'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][0][3]{''}[3]{'non-structural-production-sentence'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'};
$grammar->[8][0][3]{''}[3]{'semantics:k16'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'};
$grammar->[8][0][3]{''}[3]{'default-lex-prefix-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-lex-prefix-setting'};
$grammar->[8][0][3]{''}[3]{'start-symbol-setting'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'start-symbol-setting'};
$grammar->[8][0][3]{''}[3]{'the:ka:optional'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'};
$grammar->[8][0][3]{''}[3]{'symbol-phrase'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][0][3]{''}[3]{'priority:k18'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'};
$grammar->[8][0][3]{''}[3]{'literal-string'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[8][0][3]{''}[3]{'paragraph'}[2][0] = $grammar->[7][0][3]{''}[0][3]{''}[0][3]{''}[0][3]{''}[0][3]{'paragraph'}[0];
$grammar->[8][0][3]{''}[3]{'paragraph'}[5][5][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0];
$grammar->[8][0][3]{'grammar'}[2][0] = $grammar->[7][0][3]{''}[0][3]{'grammar'}[0];
$grammar->[8][0][3]{'grammar'}[5][95][0] = $grammar->[2][0][2][3][0];
$grammar->[8][0][3]{'grammar'}[6] = $grammar->[2][0][2][3][0];
$grammar->[8][1] = $grammar->[8][0][3]{''};
$grammar->[8][2] = $grammar->[8][0][3]{'grammar'};
$grammar->[8][3] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'};
$grammar->[8][4] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-null-value-setting'};
$grammar->[8][5] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition-paragraph'};
$grammar->[8][6] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'};
$grammar->[8][7] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[8][8] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'};
$grammar->[8][9] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-paragraph'};
$grammar->[8][10] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'};
$grammar->[8][11] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[8][12] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-definition'};
$grammar->[8][13] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[8][14] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-paragraph'};
$grammar->[8][15] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'};
$grammar->[8][16] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'};
$grammar->[8][17] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentence'};
$grammar->[8][18] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'};
$grammar->[8][19] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''};
$grammar->[8][20] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[8][21] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'preamble-setting'};
$grammar->[8][22] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'};
$grammar->[8][23] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'};
$grammar->[8][24] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][25] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'};
$grammar->[8][26] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''};
$grammar->[8][27] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'};
$grammar->[8][28] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''};
$grammar->[8][29] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'semantics-setting'};
$grammar->[8][30] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'};
$grammar->[8][31] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'};
$grammar->[8][32] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''};
$grammar->[8][33] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-action-setting'};
$grammar->[8][34] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'};
$grammar->[8][35] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''};
$grammar->[8][36] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition'};
$grammar->[8][37] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'};
$grammar->[8][38] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'};
$grammar->[8][39] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'};
$grammar->[8][40] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''};
$grammar->[8][41] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version-setting'};
$grammar->[8][42] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[8][43] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'};
$grammar->[8][44] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'};
$grammar->[8][45] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{''};
$grammar->[8][46] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'};
$grammar->[8][47] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''};
$grammar->[8][48] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'};
$grammar->[8][49] = $grammar->[8][0][3]{''}[3]{'paragraphs'};
$grammar->[8][50] = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''};
$grammar->[8][51] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'bracketed-comment'};
$grammar->[8][52] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[8][53] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[8][54] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'};
$grammar->[8][55] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'};
$grammar->[8][56] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'};
$grammar->[8][57] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'start-symbol-setting'};
$grammar->[8][58] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-lex-prefix-setting'};
$grammar->[8][59] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][60] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[8][61] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'};
$grammar->[8][62] = $grammar->[8][0][3]{''}[3]{'paragraph'};
$grammar->[8][63] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'};
$grammar->[8][64] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''};
$grammar->[8][65] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'};
$grammar->[8][66] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''};
$grammar->[8][67] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'is:k7'};
$grammar->[8][68] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'are:kb'};
$grammar->[8][69] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'};
$grammar->[8][70] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'};
$grammar->[8][71] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''};
$grammar->[8][72] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'};
$grammar->[8][73] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'}[3]{'period'};
$grammar->[8][74] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{'non-structural-production-sentence'};
$grammar->[8][75] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][76] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'};
$grammar->[8][77] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'};
$grammar->[8][78] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'};
$grammar->[8][79] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'};
$grammar->[8][80] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][81] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'};
$grammar->[8][82] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'};
$grammar->[8][83] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''};
$grammar->[8][84] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'};
$grammar->[8][85] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''};
$grammar->[8][86] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'};
$grammar->[8][87] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'production-paragraph[12:3]'};
$grammar->[8][88] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-sentence'};
$grammar->[8][89] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'string-specifier'};
$grammar->[8][90] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'};
$grammar->[8][91] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'};
$grammar->[8][92] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][93] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[8][94] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'};
$grammar->[8][95] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{'definition'};
$grammar->[8][96] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'comment-sentence'};
$grammar->[8][97] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][98] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[8][99] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[8][100] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[8][101] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{'copula'};
$grammar->[8][102] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'};
$grammar->[8][103] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][104] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'};
$grammar->[8][105] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{'non-structural-terminal-sentence'};
$grammar->[8][106] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'};
$grammar->[8][107] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][108] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'};
$grammar->[8][109] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''};
$grammar->[8][110] = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{'whitespace-lines'};
$grammar->[8][111] = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'};
$grammar->[8][112] = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line'};
$grammar->[8][113] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'}[3]{'symbol-word'};
$grammar->[8][114] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{'copula'};
$grammar->[8][115] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[8][116] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'};
$grammar->[8][117] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'};
$grammar->[8][118] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'};
$grammar->[8][119] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'};
$grammar->[8][120] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'};
$grammar->[8][121] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''};
$grammar->[8][122] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'};
$grammar->[8][123] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[3]{'integer'};
$grammar->[8][124] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{'paragraph'};
$grammar->[8][125] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[8][126] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'semantics:k16'};
$grammar->[8][127] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[8][128] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'version:k14'};
$grammar->[8][129] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{'comment-words'};
$grammar->[8][130] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'};
$grammar->[8][131] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word'};
$grammar->[8][132] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'};
$grammar->[8][133] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[3]{'a:kd'};
$grammar->[8][134] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'};
$grammar->[8][135] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[8][136] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'};
$grammar->[8][137] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[8][138] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{'non-structural-production-sentences'};
$grammar->[8][139] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-paragraph[12:3]'};
$grammar->[8][140] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'non-structural-production-sentences'};
$grammar->[8][141] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'}[3]{'period'};
$grammar->[8][142] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[8][143] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''};
$grammar->[8][144] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'};
$grammar->[8][145] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'};
$grammar->[8][146] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'};
$grammar->[8][147] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[8][148] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[8][149] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[8][150] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'};
$grammar->[8][151] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'};
$grammar->[8][152] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'default:k9'};
$grammar->[8][153] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'};
$grammar->[8][154] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'};
$grammar->[8][155] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'period'};
$grammar->[8][156] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'rhs'};
$grammar->[8][157] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-symbol-specifier'};
$grammar->[8][158] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element'};
$grammar->[8][159] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'regex'};
$grammar->[8][160] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional-rhs-element'};
$grammar->[8][161] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'mandatory-rhs-element'};
$grammar->[8][162] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][163] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'};
$grammar->[8][164] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'};
$grammar->[8][165] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''};
$grammar->[8][166] = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'}[3]{'whitespace-line'};
$grammar->[8][167] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'};
$grammar->[8][168] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[8][169] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[8][170] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[8][171] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{'copula'};
$grammar->[8][172] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[8][173] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{'copula'};
$grammar->[8][174] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[3]{'regex'};
$grammar->[8][175] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{'string-specifier'};
$grammar->[8][176] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[8][177] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'start:k13'};
$grammar->[8][178] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[3]{'integer'}[3]{'period'};
$grammar->[8][179] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'semantics:k16'};
$grammar->[8][180] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'version:k14'};
$grammar->[8][181] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{'comment-words'}[3]{'period'};
$grammar->[8][182] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'}[3]{'comment-word'};
$grammar->[8][183] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{'string-specifier'};
$grammar->[8][184] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[3]{'a:kd'}[3]{'preamble:kc'};
$grammar->[8][185] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[8][186] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[8][187] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[8][188] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[8][189] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[8][190] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[8][191] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'};
$grammar->[8][192] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{'string-specifier'};
$grammar->[8][193] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[8][194] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'};
$grammar->[8][195] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'};
$grammar->[8][196] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[8][197] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[8][198] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'rhs'}[3]{'period'};
$grammar->[8][199] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[8][200] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'};
$grammar->[8][201] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'};
$grammar->[8][202] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''};
$grammar->[8][203] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{'rhs-symbol-specifier'};
$grammar->[8][204] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'};
$grammar->[8][205] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'symbol-phrase'};
$grammar->[8][206] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[8][207] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[8][208] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[8][209] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'};
$grammar->[8][210] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'};
$grammar->[8][211] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'};
$grammar->[8][212] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[3]{'regex'}[3]{'period'};
$grammar->[8][213] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{'string-specifier'}[3]{'period'};
$grammar->[8][214] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'start:k13'};
$grammar->[8][215] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[8][216] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[8][217] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[8][218] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[8][219] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[8][220] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'};
$grammar->[8][221] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[8][222] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{'string-specifier'}[3]{'period'};
$grammar->[8][223] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'};
$grammar->[8][224] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'};
$grammar->[8][225] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[8][226] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'};
$grammar->[8][227] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{'rhs-element'};
$grammar->[8][228] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'};
$grammar->[8][229] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[8][230] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'};
$grammar->[8][231] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[8][232] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'};
$grammar->[8][233] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'};
$grammar->[8][234] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'};
$grammar->[8][235] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[8][236] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[8][237] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[8][238] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'};
$grammar->[8][239] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[8][240] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'};
$grammar->[8][241] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'};
$grammar->[8][242] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'};
$grammar->[8][243] = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[9]{'320,348,374'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[9]{'331'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'};
$grammar->[9]{'358'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'};
$grammar->[9]{'305,312'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'};
$grammar->[9]{'49,51,56'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-sentence'};
$grammar->[9]{'18'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition-paragraph'};
$grammar->[9]{'376'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[9]{'329'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[9]{'16'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{'paragraph'};
$grammar->[9]{'44'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'};
$grammar->[9]{'33,37'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'};
$grammar->[9]{'10,15'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'};
$grammar->[9]{'84'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[3]{'a:kd'}[3]{'preamble:kc'};
$grammar->[9]{'233'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'};
$grammar->[9]{'190'} = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line'};
$grammar->[9]{'187,189,191'} = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''};
$grammar->[9]{'259'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'semantics:k16'};
$grammar->[9]{'95'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''}[3]{'the:ka'};
$grammar->[9]{'316'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[9]{'20'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-paragraph'};
$grammar->[9]{'231'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[9]{'243'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{'copula'};
$grammar->[9]{'109'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'q-string'};
$grammar->[9]{'385,390'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'};
$grammar->[9]{'151'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[9]{'138,147,159'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'};
$grammar->[9]{'175'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[3]{'regex'};
$grammar->[9]{'90,186,293,299'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'};
$grammar->[9]{'31'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-sentence'};
$grammar->[9]{'343'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'};
$grammar->[9]{'115,119'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'};
$grammar->[9]{'35'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''}[3]{'non-structural-production-sentence'};
$grammar->[9]{'39,48,96'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''};
$grammar->[9]{'306,314'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'};
$grammar->[9]{'78'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'};
$grammar->[9]{'114,116,118,123,125,128,130,134,137,141,146,152,154,156,158,161,163'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''};
$grammar->[9]{'200,209'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'};
$grammar->[9]{'139,148'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'};
$grammar->[9]{'397'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'};
$grammar->[9]{'93'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{'string-specifier'}[3]{'period'};
$grammar->[9]{'349'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[9]{'90,122,173,186,293,299'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'symbol-phrase'};
$grammar->[9]{'166,170'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'};
$grammar->[9]{'157'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-symbol-specifier'};
$grammar->[9]{'29'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{'definition'};
$grammar->[9]{'251,256'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'};
$grammar->[9]{'350'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[9]{'197'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'};
$grammar->[9]{'7,9,14'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'};
$grammar->[9]{'47,81,333,340'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'};
$grammar->[9]{'291'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'};
$grammar->[9]{'58'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'bracketed-comment'};
$grammar->[9]{'153'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'mandatory-rhs-element'};
$grammar->[9]{'60'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-definition'};
$grammar->[9]{'50,96,165,167,169'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''};
$grammar->[9]{'337'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[9]{'382'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[9]{'321'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[9]{'284'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'};
$grammar->[9]{'86'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'is:k7'};
$grammar->[9]{'24,28'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'};
$grammar->[9]{'76'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'};
$grammar->[9]{'62'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-action-setting'};
$grammar->[9]{'247'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'};
$grammar->[9]{'371'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[9]{'289'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[9]{'46,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,183,185,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''};
$grammar->[9]{'129'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element'};
$grammar->[9]{'362,369'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'};
$grammar->[9]{'401'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{'non-structural-terminal-sentences'};
$grammar->[9]{'334,342'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'};
$grammar->[9]{'271,276'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'};
$grammar->[9]{'30,32,34,36,39,43,46,48,94,96,108,110,112,114,116,118,183,185,210,214,216,219,223,225,228,235'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''};
$grammar->[9]{'186'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-phrase'};
$grammar->[9]{'188,192'} = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'};
$grammar->[9]{'30,32,34,36,39,43,46,48,94,96,108,110,112,114,116,118,183,185,219,223,225,228,235'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''};
$grammar->[9]{'82'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'};
$grammar->[9]{'273'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[9]{'323'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'};
$grammar->[9]{'236'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'};
$grammar->[9]{'249'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'};
$grammar->[9]{'114,116,118,161,163'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{''};
$grammar->[9]{'268'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{'copula'};
$grammar->[9]{'168'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentence'};
$grammar->[9]{'252,258'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'};
$grammar->[9]{'184'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'literal-string'};
$grammar->[9]{'345'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[9]{'145'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[9]{'49'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'comment-sentence'};
$grammar->[9]{'178'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'};
$grammar->[9]{'224'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'non-structural-production-sentences'};
$grammar->[9]{'285'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{'symbol-phrase'};
$grammar->[9]{'140'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[9]{'104'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word'};
$grammar->[9]{'1,3,6,8,11,13,17,19,21,23,25,27,32,34,36,39,46,48,50,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,121,165,167,169,172,177,183,185,194,199,202,207,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379,384,389,394,399,402,407'} = $grammar->[8][0][3]{''};
$grammar->[9]{'195,203'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'};
$grammar->[9]{'181'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{'string-specifier'};
$grammar->[9]{'114,116,118,152,154,156,158,161,163'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''};
$grammar->[9]{'282'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'};
$grammar->[9]{'307'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[9]{'262'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'};
$grammar->[9]{'79'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{'string-specifier'};
$grammar->[9]{'212'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-paragraph[12:3]'};
$grammar->[9]{'135,142,162'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'};
$grammar->[9]{'352'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'};
$grammar->[9]{'344'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[9]{'388'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'rhs'}[3]{'period'};
$grammar->[9]{'364'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[9]{'159'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'};
$grammar->[9]{'238'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[9]{'17,19,21,23,25,27,32,34,36,39,46,48,50,52,55,57,59,61,63,65,67,69,71,73,75,80,89,94,96,108,110,112,114,116,118,121,165,167,169,172,177,183,185,194,199,202,207,240,246,250,255,260,266,270,275,280,287,292,298,304,311,318,326,332,339,346,354,360,366,372,379,384,389,394,399,402,407'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''};
$grammar->[9]{'253'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[9]{'160'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'optional:k3'}[3]{'rhs-symbol-specifier'};
$grammar->[9]{'279'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'version:k14'};
$grammar->[9]{'176'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'}[3]{'regex'}[3]{'period'};
$grammar->[9]{'47'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'string-specifier'};
$grammar->[9]{'98'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'};
$grammar->[9]{'124,126,131'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'};
$grammar->[9]{'272,278'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'};
$grammar->[9]{'357'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[9]{'335'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[9]{'117'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word'};
$grammar->[9]{'5'} = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{'whitespace-lines'};
$grammar->[9]{'26'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition'};
$grammar->[9]{'193'} = $grammar->[8][0][3]{''}[3]{'paragraphs'}[3]{''}[3]{'whitespace-line[Seq][1-*]'}[3]{'whitespace-line'};
$grammar->[9]{'288'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'};
$grammar->[9]{'336'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[9]{'85,87'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''};
$grammar->[9]{'324'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'}[3]{'regex'};
$grammar->[9]{'180'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'};
$grammar->[9]{'99'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{'comment-words'};
$grammar->[9]{'244'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'}[3]{'copula'}[3]{'perl5:k17'};
$grammar->[9]{'162'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{''}[3]{'symbol-phrase'};
$grammar->[9]{'114,116,118,172,177'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''};
$grammar->[9]{'72'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'start-symbol-setting'};
$grammar->[9]{'179'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'};
$grammar->[9]{'383'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[9]{'351'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'};
$grammar->[9]{'264'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'};
$grammar->[9]{'297'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[9]{'410'} = $grammar->[8][0];
$grammar->[9]{'74'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default-lex-prefix-setting'};
$grammar->[9]{'359'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'}[3]{'copula'}[3]{'string-specifier'};
$grammar->[9]{'182'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'match:k1'}[3]{'symbol-phrase'}[3]{'using:k0'}[3]{'string-specifier'}[3]{'period'};
$grammar->[9]{'230'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'};
$grammar->[9]{'377'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[9]{'92'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'}[3]{'string-specifier'};
$grammar->[9]{'102,106'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'};
$grammar->[9]{'114,116,118'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'}[3]{''};
$grammar->[9]{'386,392'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'};
$grammar->[9]{'201'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{'production-paragraph[12:2]'};
$grammar->[9]{'232'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'};
$grammar->[9]{'113'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'single-quoted-string'};
$grammar->[9]{'196,205'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{'production-sentence'};
$grammar->[9]{'330'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'}[3]{'copula'};
$grammar->[9]{'400,409'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'};
$grammar->[9]{'295'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'};
$grammar->[9]{'263'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'version:k14'}[3]{'copula'};
$grammar->[9]{'91'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'is:k7'};
$grammar->[9]{'107'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''}[3]{'comment-word[Seq][1-*]'}[3]{'comment-word'};
$grammar->[9]{'77'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'};
$grammar->[9]{'174'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'}[3]{'matches:k2'};
$grammar->[9]{'133'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'}[3]{'rhs-element'};
$grammar->[9]{'290'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'start:k13'}[3]{'symbol:k12'}[3]{'copula'};
$grammar->[9]{'149'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'};
$grammar->[9]{'221'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{'non-structural-production-sentences'};
$grammar->[9]{'327,355,380'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'};
$grammar->[9]{'64'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'default-null-value-setting'};
$grammar->[9]{'97'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'};
$grammar->[9]{'12'} = $grammar->[8][0][3]{''}[3]{'paragraph'};
$grammar->[9]{'41'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[3]{'integer'};
$grammar->[9]{'302'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'start:k13'};
$grammar->[9]{'173'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{''}[3]{'symbol-phrase'};
$grammar->[9]{'393'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'period'};
$grammar->[9]{'56'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'comment-sentence'};
$grammar->[9]{'45'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action-specifier'}[3]{'period'};
$grammar->[9]{'66'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'preamble-setting'};
$grammar->[9]{'229'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'the:ka:optional'};
$grammar->[9]{'54'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'}[3]{'period'};
$grammar->[9]{'365'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[9]{'127,132'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'rhs-element[Seq][1-*][Sep][comma]'}[3]{'comma'};
$grammar->[9]{'274'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'version%20number:k15'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'version:k14'};
$grammar->[9]{'237'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'};
$grammar->[9]{'370'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'default:k9'};
$grammar->[9]{'309'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[9]{'70'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version-setting'};
$grammar->[9]{'101,103,105'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{''};
$grammar->[9]{'68'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'semantics-setting'};
$grammar->[9]{'322'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[9]{'315'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'};
$grammar->[9]{'32,34,36,39,48,96'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'}[3]{''};
$grammar->[9]{'211,218,224'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'};
$grammar->[9]{'108,110,112,114,116,118,183,185'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''};
$grammar->[9]{'136'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'sequence:k4'};
$grammar->[9]{'375'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[9]{'88'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{''}[3]{'are:kb'};
$grammar->[9]{'338'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'null:kf'}[3]{'value:ke'};
$grammar->[9]{'144'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'};
$grammar->[9]{'100'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'comment-tag'}[3]{'%3a:k6'}[3]{'comment-words'}[3]{'period'};
$grammar->[9]{'46,108,110,112,114,116,118,183,185'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{''};
$grammar->[9]{'120'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'symbol-word[Seq][1-*]'}[3]{'symbol-word'};
$grammar->[9]{'310'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[9]{'283'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[9]{'83'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'string-specifier'}[3]{'is:k7'}[3]{'a:kd'};
$grammar->[9]{'40'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'};
$grammar->[9]{'303'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'start:k13'}[3]{'symbol:k12'};
$grammar->[9]{'241,261,281,319,347,373'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'};
$grammar->[9]{'381'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'action:k8'};
$grammar->[9]{'2,4'} = $grammar->[8][0][3]{''}[3]{'paragraphs'};
$grammar->[9]{'308'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'default:k9'};
$grammar->[9]{'254'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'semantics:k16'};
$grammar->[9]{'215'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'production-paragraph[12:3]'};
$grammar->[9]{'294,301'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'};
$grammar->[9]{'150'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional:k3'}[3]{'symbol-phrase'}[3]{'separated:k5'}[3]{'symbol-phrase'};
$grammar->[9]{'155'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'optional-rhs-element'};
$grammar->[9]{'387'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{'rhs'};
$grammar->[9]{'114,116,118,121,384,389'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''};
$grammar->[9]{'53'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'setting'};
$grammar->[9]{'328'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'lex:k11'};
$grammar->[9]{'239'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'action:k8'}[3]{'is:k7'}[3]{'action-specifier'}[3]{'period'};
$grammar->[9]{'267'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'};
$grammar->[9]{'122'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'symbol-phrase'};
$grammar->[9]{'143'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'symbol-phrase'}[3]{'separated:k5'};
$grammar->[9]{'42'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{''}[3]{'priority:k18'}[3]{'integer'}[3]{'period'};
$grammar->[9]{'269'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'version:k14'}[3]{'copula'}[3]{'version-number'};
$grammar->[9]{'22'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-paragraph'};
$grammar->[9]{'363'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'}[3]{'is:k7'}[3]{'the:ka:optional'};
$grammar->[9]{'395,403'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'};
$grammar->[9]{'361,367'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'action-specifier'};
$grammar->[9]{'94'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'perl5:k17'}[3]{'copula'}[3]{''};
$grammar->[9]{'248'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'semantics:k16'}[3]{'copula'};
$grammar->[9]{'111'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'a:kd'}[3]{'preamble:kc'}[3]{'is:k7'}[3]{''}[3]{'double-quoted-string'};
$grammar->[9]{'51'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'comment-sentence'};
$grammar->[9]{'220,227'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'production-sentence'}[3]{''}[3]{'action-sentence:optional'};
$grammar->[9]{'38'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentence[Seq][1-*]'}[3]{'non-structural-production-sentence'};
$grammar->[9]{'356'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'default:k9'}[3]{'null:kf'};
$grammar->[9]{'317'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'regex'}[3]{'copula'}[3]{'default:k9'}[3]{'lex:k11'}[3]{'prefix:k10'};
$grammar->[9]{'296'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'symbol-phrase'}[3]{'copula'}[3]{'the:ka:optional'}[3]{'start:k13'};
$grammar->[9]{'396,405'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-terminal-sentences'}[3]{'terminal-sentence'};
$grammar->[9]{'164'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'non-structural-production-sentences'}[3]{''}[3]{'lhs'}[3]{'%3a:k6'}[3]{''}[3]{'regex'};
$grammar->[9]{'411'} = $grammar->[8][0][3]{'grammar'};
$grammar->[9]{'50,96'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{''};
$grammar->[9]{'171'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'terminal-sentence'}[3]{''}[3]{'non-structural-terminal-sentence[Seq][1-*]'}[3]{'non-structural-terminal-sentence'};
$grammar->[9]{'242'} = $grammar->[8][0][3]{''}[3]{'paragraph[Seq][1-*][Sep][empty-line]'}[3]{'empty-line'}[3]{''}[3]{'definition[Seq][1-*]'}[3]{''}[3]{'the:ka:optional'}[3]{'semantics:k16'};
$grammar->[10][0] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0];
$grammar->[10][1] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][2][0][3][0][11];
$grammar->[10][2] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][0][3][1][2][2][1][3][0][3][2][3][1][3][3][3][0];
$grammar->[10][3] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][0][3][2][3][2];
$grammar->[10][4] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][2][1][3][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][3][2][3][0][2][2][1][3][0][3][2][3][0];
$grammar->[10][5] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2];
$grammar->[10][6] = $grammar->[2][0][2][2][1][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][0][3][0][2][1][3][0][3][0][2][2][1][3][1][2][0][3][0][3][0][2][2][1][3][1][3][0][2][2][1][3][0][2][0][3][1][3][1][2][3][0][2][2][1][3][0][3][2][3][2][3][1][3][0][3][0][3][2][2][0][3][1][11];
1;
